﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Aldor"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\Spell_Shadow_DemonicFortitude",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Aldor",
            ["deDE"] = "Die Aldor",
            ["frFR"] = "L'Aldor",
            ["zhTW"] = "奧多爾",
			["zhCN"] = "奥尔多",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "AL",
            ["deDE"] = "AL",
            ["frFR"] = "AL",
            ["zhTW"] = "奧多爾",
			["zhCN"] = "奥尔多",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 3000, --May be inaccurate

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = -3000 --May be inaccurate
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "DreadfangVenomSac",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Organ_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Venom Sacs",
                                    ["deDE"] = "Mehr Giftbeutel",
                                    ["frFR"] = "Plus de glandes \195\160 venin",
                                    ["zhTW"] = "更多毒囊",
									["zhCN"] = "更多毒囊",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [25802] =
                                {
                                    ["Count"] = 8, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Dreadfang Venom Sac",
                                            ["deDE"] = "Schreckensgiftbeutel",
                                            ["frFR"] = "Glande \195\160 venin de croc-d'effroi",
                                            ["zhTW"] = "懼牙毒囊",
											["zhCN"] = "巨牙毒囊",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Aldor"] = 
                                {
                                    ["Max"] = 3
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Sha'nir",
                                            ["deDE"] = "Sha'nir",
                                            ["frFR"] = "Sha'nir",
                                            ["zhTW"] = "薩尼爾",
											["zhCN"] = "莎妮尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 64,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [2]={
                    ["Quest"] = "MarkofKiljaeden",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_DemonicFortitude",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Marks of Kil'jaeden",
                                    ["deDE"] = "Mehr Male von Kil'jaeden",
                                    ["frFR"] = "De nouvelles marques de Kil'jaeden",
                                    ["zhTW"] = "更多的基爾加丹印記",
									["zhCN"] = "更多基尔加丹印记",
                                },
                            [2]={
                                    ["enUS"] = "Single Mark of Kil'jaeden",
                                    ["deDE"] = "Einzelne Male von Kil'jaeden",
                                    ["frFR"] = "Une marque de Kil'jaeden",
                                    ["zhTW"] = "單一基爾加丹印記",
									["zhCN"] = "单枚基尔加丹印记",
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29425] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Mark of Kil'jaeden",
                                            ["deDE"] = "Mal von Kil'jaeden",
                                            ["frFR"] = "Marque de Kil'jaeden",
                                            ["zhTW"] = "基爾加丹印記",
											["zhCN"] = "基尔加丹印记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Aldor"] = 
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Adyen the Lightwarden",
                                            ["deDE"] = "Adyen der Lichtwächter",
                                            ["frFR"] = "Adyen le Gardelumi\195\168re",
                                            ["zhTW"] = "『護光者』艾德伊恩",
											["zhCN"] = "圣光护卫者阿德因",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 31,
                                    ["yCoord"] = 35
                                }
                        }
                },
            [3]={
                    ["Quest"] = "FelArmament",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Desecrated_PlateGloves",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Fel Armaments",
                                    ["deDE"] = "Teuflische Waffen",
                                    ["frFR"] = "Armes gangren\195\169es",
                                    ["zhTW"] = "魔化武器",
									["zhCN"] = "邪能装备",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29740] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Fel Armament",
                                            ["deDE"] = "Teuflische Waffen",
                                            ["frFR"] = "Arme gangren\195\169e",
                                            ["zhTW"] = "魔化武器",
											["zhCN"] = "邪能装备",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 64,
                    ["RepRequirements"] =
                        {
                            ["Aldor"] = 
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Ishanah",
                                            ["deDE"] = "Ishanah",
                                            ["frFR"] = "Ishanah",
                                            ["zhTW"] = "伊莎納",
											["zhCN"] = "伊沙娜",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 24,
                                    ["yCoord"] = 30
                                }
                        }
                },
            [4]={
                    ["Quest"] = "MarkofSargeras",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_DemonicFortitude",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Marks of Sargeras",
                                    ["deDE"] = "Mehr Male des Sargeras",
                                    ["frFR"] = "De nouvelles marques de Sargeras",
                                    ["zhTW"] = "更多的薩格拉斯印記",
									["zhCN"] = "更多萨格拉斯印记",
                                },
                            [2]={
                                    ["enUS"] = "Single Mark of Sargeras",
                                    ["deDE"] = "Einzelne Male des Sageras",
                                    ["frFR"] = "Une marques de Sargeras",
                                    ["zhTW"] = "一個薩格拉斯印記",
									["zhCN"] = "单枚萨格拉斯印记",
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [30809] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Mark of Sargeras",
                                            ["deDE"] = "Mal des Sargeras",
                                            ["frFR"] = "Marque de Sargeras",
                                            ["zhTW"] = "薩格拉斯印記",
											["zhCN"] = "萨格拉斯印记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                            ["Aldor"] = 
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Adyen the Lightwarden",
                                            ["deDE"] = "Adyen der Lichtwächter",
                                            ["frFR"] = "Adyen le Gardelumi\195\168re",
                                            ["zhTW"] = "『護光者』艾德伊恩",
											["zhCN"] = "圣光护卫者阿德因",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 31,
                                    ["yCoord"] = 35
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Harbinger Saronen",
                                            ["deDE"] = "Herold Saronen",
                                            ["frFR"] = "Messager Saronen",
                                            ["zhTW"] = "先驅者沙洛尼恩",
											["zhCN"] = "先驱者萨隆尼",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 62,
                                    ["yCoord"] = 29
                                },
                        }
                },                
                [5]={["EndOfRow"] = true}
        }
}
