--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ArgentCrusade"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Jewelry_Talisman_08",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Argent Crusade",
            ["deDE"] = "Argentumkreuzzug",
            ["frFR"] = "La croisade d'argent",
            ["zhTW"] = "銀白十字軍",
			["zhCN"] = "银色北伐军",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "AC",
            ["deDE"] = "AK",
            ["frFR"] = "CA",
            ["zhTW"] = "銀白十字",
			["zhCN"] = "银色北伐",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "SlavestoSaronite",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Ingot_Yoggthorite",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Slaves to Saronite",
                                    ["deDE"] = "Vom Saronit abhängig",
                                    ["frFR"] = "Esclaves de la saronite",
                                    ["zhTW"] = "搶救薩鋼礦奴",
									["zhCN"] = "萨隆邪铁的奴隶",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Saronite Mine Slave rescued",
                                            ["deDE"] = "Saronitminensklave gerettet",
                                            ["frFR"] = "Esclave des mines de saronite sauv\195\169",
                                            ["zhTW"] = "薩鋼礦坑奴隸已救出",
											["zhCN"] = "营救萨隆邪铁矿洞奴隶",
                                        },
                                    ["Count"] = 10
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Absalan the Pious",
                                            ["deDE"] = "Absalan der Fromme",
                                            ["frFR"] = "Absalan le Pieux (A) / Fr\195\168re Keltan (H)",
                                            ["zhTW"] = "虔誠的亞柏薩倫",
											["zhCN"] = "虔诚的阿布萨兰",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown, Skybreaker",
                                            ["deDE"] = "Eiskrone, Himmelsbrecher",
                                            ["frFR"] = "La Couronne de glace, Brise-ciel (A) / Marteau d'Orgrim (H)",
                                            ["zhTW"] = "寒冰皇冠, 破天者號",
											["zhCN"] = "冰冠冰川, 破天号",
                                        },
                                    ["xCoord"] = "55-66",
                                    ["yCoord"] = "38-57"
                                }
                        }
                },
            [2]={
                    ["Quest"] = "TrollPatrol",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Racial_Troll_Berserk",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Troll Patrol",
                                    ["deDE"] = "Trollpatrouille",
                                    ["frFR"] = "Patrouille anti-trolls",
                                    ["zhTW"] = "食人妖巡邏",
									["zhCN"] = "巡逻员",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Captain Brandon's Task",
                                            ["deDE"] = "Hauptmann Brandons Auftrag",
                                            ["frFR"] = "T\195\160che pour le capitaine Brandon",
                                            ["zhTW"] = "布蘭登上尉的工作",
											["zhCN"] = "布兰顿上尉的任务",
                                        },
                                    ["Count"] = 0
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Captain Rupert's Task",
                                            ["deDE"] = "Hauptmann Ruperts Auftrag",
                                            ["frFR"] = "T\195\160che pour le capitaine Rupert",
                                            ["zhTW"] = "魯伯特上尉的工作",
											["zhCN"] = "鲁伯特上尉的任务",
                                        },
                                    ["Count"] = 0
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 3,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Captain Grondel's Task",
                                            ["deDE"] = "Hauptmann Grondels Auftrag",
                                            ["frFR"] = "T\195\160che pour le capitaine Grondel",
                                            ["zhTW"] = "格隆戴爾上尉的工作",
											["zhCN"] = "格隆迪尔上尉的任务",
                                        },
                                    ["Count"] = 0
                                },
                            [4]={
                                    ["ObjectiveIndex"] = 4,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Alchemist Finklestein's Task",
                                            ["deDE"] = "Alchemist Finkelsteins Auftrag",
                                            ["frFR"] = "T\195\160che pour l'alchimiste Finklestein",
                                            ["zhTW"] = "鍊金師芬克斯坦的工作",
											["zhCN"] = "炼金师菲肯斯坦的任务",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 76,
                    ["RepRequirements"] =
                        {
                        },
                    ["ExtraInfo"]=
                        {
                            ["enUS"] = "Double rep if completed in less than 20 minutes",
                            ["deDE"] = "Doppelter Ruf wenn Aufgaben innerhalb von 20 minuten gelöst werden",
                            ["frFR"] = "R\195\169putation doubl\195\169e si qu\195\170te faite en moins de 20 minutes",
                            ["zhTW"] = "如果逆在20分鐘內完成將可獲得雙倍聲望",
							["zhCN"] = "如果你在20分钟内完成将可获得双倍声望。",
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Commander Kunz",
                                            ["deDE"] = "Kommandant Kunz",
                                            ["frFR"] = "Commandant Kunz",
                                            ["zhTW"] = "指揮官康茲",
											["zhCN"] = "指挥官库恩斯",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zul'Drak",
                                            ["deDE"] = "Zul'Drak",
                                            ["frFR"] = "Zul'Drak",
                                            ["zhTW"] = "祖爾德拉克",
											["zhCN"] = "祖达克",
                                        },
                                    ["xCoord"] = 40,
                                    ["yCoord"] = 66
                                }
                        }
                },
            [3]={["EndOfRow"] = true}
        }
}
