﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ArgentDawn"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Jewelry_Talisman_07",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Argent Dawn",
            ["deDE"] = "Argentumdämmerung",
            ["frFR"] = "L'aube d'argent",
            ["zhTW"] = "銀色黎明",
			["zhCN"] = "银色黎明",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "AD",
            ["deDE"] = "AD",
            ["frFR"] = "AD",
            ["zhTW"] = "銀色黎明",
			["zhCN"] = "银色黎明",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "MinionsScourgestone",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Talisman_14",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Minion's Scourgestones",
                                    ["deDE"] = "Geißelsteine des Dieners",
                                    ["frFR"] = "Pierres du Fl\195\169au des serviteurs",
                                    ["zhTW"] = "爪牙的天譴石",
									["zhCN"] = "爪牙的天灾石",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [12840] =
                                {
                                    ["Count"] = 20, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Minion's Scourgestone",
                                            ["deDE"] = "Geißelstein des Dieners",
                                            ["frFR"] = "Pierre du Fl\195\169au des serviteurs",
                                            ["zhTW"] = "爪牙的天譴石",
											["zhCN"] = "爪牙的天灾石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Argent Officer Pureheart",
                                            ["deDE"] = "Argentumoffizier Reinherz",
                                            ["frFR"] = "Officier de l'Aube d'argent Purecarde",
                                            ["zhTW"] = "銀色黎明軍官普爾哈特",
											["zhCN"] = "银色黎明军官普尔哈特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Western Plaguelands",
                                            ["deDE"] = "Westliche Pestländer",
                                            ["frFR"] = "Maleterres de l'ouest",
                                            ["zhTW"] = "西瘟疫之地",
											["zhCN"] = "西瘟疫之地",
                                        },
                                    ["xCoord"] = 42,
                                    ["yCoord"] = 83
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Duke Nicholas Zverenhoff",
                                            ["deDE"] = "Fürst Nicholas Zverenhoff",
                                            ["frFR"] = "Duc Nicholas Zverenhoff",
                                            ["zhTW"] = "尼古拉斯·瑟倫霍夫公爵",
											["zhCN"] = "尼古拉斯·瑟伦霍夫公爵",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Eastern Plaguelands",
                                            ["deDE"] = "Östliche Pestländer",
                                            ["frFR"] = "Maleterres de l'est",
                                            ["zhTW"] = "東瘟疫之地",
											["zhCN"] = "东瘟疫之地",
                                        },
                                    ["xCoord"] = 81,
                                    ["yCoord"] = 59
                                }
                        }
                },
            [2]={
                    ["Quest"] = "InvadersScourgestone",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Talisman_13",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Invader's Scourgestones",
                                    ["deDE"] = "Geißelsteine des Eindringlings",
                                    ["frFR"] = "Pierres du Fl\195\169au des envahisseurs",
                                    ["zhTW"] = "侵略者的天譴石",
									["zhCN"] = "侵略者的天灾石",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [12841] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Invader's Scourgestone",
                                            ["deDE"] = "Geißelstein des Eindringlings",
                                            ["frFR"] = "Pierre du Fl\195\169au des envahisseurs",
                                            ["zhTW"] = "侵略者的天譴石",
											["zhCN"] = "侵略者的天灾石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Argent Officer Pureheart",
                                            ["deDE"] = "Argentumoffizier Reinherz",
                                            ["frFR"] = "Officier de l'Aube d'argent Purecarde",
                                            ["zhTW"] = "銀色黎明軍官普爾哈特",
											["zhCN"] = "银色黎明军官普尔哈特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Western Plaguelands",
                                            ["deDE"] = "Westliche Pestländer",
                                            ["frFR"] = "Maleterres de l'ouest",
                                            ["zhTW"] = "西瘟疫之地",
											["zhCN"] = "西瘟疫之地",
                                        },
                                    ["xCoord"] = 42,
                                    ["yCoord"] = 83
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Duke Nicholas Zverenhoff",
                                            ["deDE"] = "Fürst Nicholas Zverenhoff",
                                            ["frFR"] = "Duc Nicholas Zverenhoff",
                                            ["zhTW"] = "尼古拉斯·瑟倫霍夫公爵",
											["zhCN"] = "尼古拉斯·瑟伦霍夫公爵",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Eastern Plaguelands",
                                            ["deDE"] = "Östliche Pestländer",
                                            ["frFR"] = "Maleterres de l'est",
                                            ["zhTW"] = "東瘟疫之地",
											["zhCN"] = "东瘟疫之地",
                                        },
                                    ["xCoord"] = 81,
                                    ["yCoord"] = 59
                                }
                        }
                },
            [3]={
                    ["Quest"] = "CorruptorsScourgestone",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Talisman_12",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Corruptor's Scourgestones",
                                    ["deDE"] = "Geißelsteine des Verderbers",
                                    ["frFR"] = "Pierres du Fl\195\169au des corrupteurs",
                                    ["zhTW"] = "墮落者的天譴石",
									["zhCN"] = "堕落者的天灾石",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [12843] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Corruptor's Scourgestone",
                                            ["deDE"] = "Geißelstein des Verderbers",
                                            ["frFR"] = "Pierre du Fl\195\169au des corrupteurs",
                                            ["zhTW"] = "墮落者的天譴石",
											["zhCN"] = "堕落者的天灾石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Argent Officer Pureheart",
                                            ["deDE"] = "Argentumoffizier Reinherz",
                                            ["frFR"] = "Officier de l'Aube d'argent Purecarde",
                                            ["zhTW"] = "銀色黎明軍官普爾哈特",
											["zhCN"] = "银色黎明军官普尔哈特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Western Plaguelands",
                                            ["deDE"] = "Westliche Pestländer",
                                            ["frFR"] = "Maleterres de l'ouest",
                                            ["zhTW"] = "西瘟疫之地",
											["zhCN"] = "西瘟疫之地",
                                        },
                                    ["xCoord"] = 42,
                                    ["yCoord"] = 83
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Duke Nicholas Zverenhoff",
                                            ["deDE"] = "Fürst Nicholas Zverenhoff",
                                            ["frFR"] = "Duc Nicholas Zverenhoff",
                                            ["zhTW"] = "尼古拉斯·瑟倫霍夫公爵",
											["zhCN"] = "尼古拉斯·瑟伦霍夫公爵",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Eastern Plaguelands",
                                            ["deDE"] = "Östliche Pestländer",
                                            ["frFR"] = "Maleterres de l'est",
                                            ["zhTW"] = "東瘟疫之地",
											["zhCN"] = "东瘟疫之地",
                                        },
                                    ["xCoord"] = 81,
                                    ["yCoord"] = 59
                                }
                        }
                },
            [4]={
                    ["Quest"] = "ArgentDawnValorToken",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Talisman_08",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Argent Dawn Valor Tokens",
                                    ["deDE"] = "Ehrenmarken der Argentumdämmerung",
                                    ["frFR"] = "Marques de valeur de l'Aube d'argent",
                                    ["zhTW"] = "銀色黎明勇氣勳章",
									["zhCN"] = "银色黎明勇气勋章",
                                }
                        },
                    ["RepValue"] = 100,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [12844] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Argent Dawn Valor Token",
                                            ["deDE"] = "Ehrenmarke der Argentumdämmerung",
                                            ["frFR"] = "Marque de valeur de l'Aube d'argent",
                                            ["zhTW"] = "銀色黎明勇氣勳章",
											["zhCN"] = "银色黎明勇气勋章",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                        }
                },
            [5]={["EndOfRow"] = true},
            [6]={
                    ["Quest"] = "CoreofElements",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_Variety_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Core of Elements",
                                    ["deDE"] = "Kern der Elemente",
                                    ["frFR"] = "Le noyau des \195\169l\195\169ments",
                                    ["zhTW"] = "元素之心",
									["zhCN"] = "元素之核",
                                }
                        },
                    ["RepValue"] = 20,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [22527] =
                                {
                                    ["Count"] = 30, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Core of Elements",
                                            ["deDE"] = "Kern der Elemente",
                                            ["frFR"] = "Noyau des \195\169l\195\169ments",
                                            ["zhTW"] = "元素之心",
											["zhCN"] = "元素之核",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 55,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Archmage Angelas Dosantos",
                                            ["deDE"] = "Erzmagierin Angela Dosantos",
                                            ["frFR"] = "Archimage Angela Dosantos",
                                            ["zhTW"] = "大法師安琪拉·多桑杜",
											["zhCN"] = "大法师安吉拉·杜萨图斯",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Eastern Plaguelands",
                                            ["deDE"] = "Östliche Pestländer",
                                            ["frFR"] = "Maleterres de l'est",
                                            ["zhTW"] = "東瘟疫之地",
											["zhCN"] = "东瘟疫之地",
                                        },
                                    ["xCoord"] = 81,
                                    ["yCoord"] = 58
                                }
                        }
                },
            [7]={
                    ["Quest"] = "DarkIronScraps",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_ArmorKit_20",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Dark Iron Scraps",
                                    ["deDE"] = "Dunkeleisenfragmente",
                                    ["frFR"] = "Des morceaux de sombrefer",
                                    ["zhTW"] = "黑鐵碎片",
									["zhCN"] = "黑铁碎片",
                                }
                        },
                    ["RepValue"] = 20,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [22528] =
                                {
                                    ["Count"] = 30, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Dark Iron Scraps",
                                            ["deDE"] = "Dunkeleisenfragmente",
                                            ["frFR"] = "Morceaux de sombrefer",
                                            ["zhTW"] = "黑鐵碎片",
											["zhCN"] = "黑铁碎片",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 55,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Korfax, Champion of the Light",
                                            ["deDE"] = "Korfax, Held des Lichts",
                                            ["frFR"] = "Korfax, Champion de la Lumi\195\168re",
                                            ["zhTW"] = "柯菲斯，聖光勇士",
											["zhCN"] = "科尔法克斯，圣光之勇士",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Eastern Plaguelands",
                                            ["deDE"] = "Östliche Pestländer",
                                            ["frFR"] = "Maleterres de l'est",
                                            ["zhTW"] = "東瘟疫之地",
											["zhCN"] = "东瘟疫之地",
                                        },
                                    ["xCoord"] = 81,
                                    ["yCoord"] = 58
                                }
                        }
                },
            [8]={
                    ["Quest"] = "BoneFragments",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bone_07",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Bone Fragments",
                                    ["deDE"] = "Knochenfragmente",
                                    ["frFR"] = "Des fragments d'os",
                                    ["zhTW"] = "骨頭碎片",
									["zhCN"] = "白骨碎片",
                                }
                        },
                    ["RepValue"] = 20,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [22526] =
                                {
                                    ["Count"] = 30, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Bone Fragments",
                                            ["deDE"] = "Knochenfragmente",
                                            ["frFR"] = "Fragments d'os",
                                            ["zhTW"] = "骨頭碎片",
											["zhCN"] = "白骨碎片",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 55,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rohan the Assassin",
                                            ["deDE"] = "Rohan der Assassine",
                                            ["frFR"] = "Rohan l'Assassin",
                                            ["zhTW"] = "刺客羅漢",
											["zhCN"] = "杀手洛汗",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Eastern Plaguelands",
                                            ["deDE"] = "Östliche Pestländer",
                                            ["frFR"] = "Maleterres de l'est",
                                            ["zhTW"] = "東瘟疫之地",
											["zhCN"] = "东瘟疫之地",
                                        },
                                    ["xCoord"] = 81,
                                    ["yCoord"] = 58
                                }
                        }
                },
            [9]={
                    ["Quest"] = "CryptFiendParts",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_AhnQirajTrinket_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Crypt Fiend Parts",
                                    ["deDE"] = "Teile einer Gruftbestie",
                                    ["frFR"] = "Des morceaux de d\195\169mon des cryptes",
                                    ["zhTW"] = "地穴惡魔部位",
									["zhCN"] = "地穴魔的碎块",
                                }
                        },
                    ["RepValue"] = 20,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [22525] =
                                {
                                    ["Count"] = 30, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Crypt Fiend Parts",
                                            ["deDE"] = "Teile einer Gruftbestie",
                                             ["frFR"] = "Morceaux de d\195\169mon des cryptes",
                                            ["zhTW"] = "地穴惡魔部位",
											["zhCN"] = "地穴魔的碎块",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 55,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Huntsman Leopold",
                                            ["deDE"] = "Jäger Leopold",
                                            ["frFR"] = "Veneur Leopold",
                                            ["zhTW"] = "獵人里歐波",
											["zhCN"] = "猎手雷奥普德",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Eastern Plaguelands",
                                            ["deDE"] = "Östliche Pestländer",
                                            ["frFR"] = "Maleterres de l'est",
                                            ["zhTW"] = "東瘟疫之地",
											["zhCN"] = "东瘟疫之地",
                                        },
                                    ["xCoord"] = 81,
                                    ["yCoord"] = 58
                                }
                        }
                },
            [10]={
                    ["Quest"] = "SavageFronds",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Nature_ProtectionformNature",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Savage Fronds",
                                    ["deDE"] = "Wildwedel",
                                    ["frFR"] = "Des palmes sauvages",
                                    ["zhTW"] = "野性藻葉",
									["zhCN"] = "蛮荒之叶",
                                }
                        },
                    ["RepValue"] = 20,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [22529] =
                                {
                                    ["Count"] = 30, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Savage Frond",
                                            ["deDE"] = "Wildwedel",
                                            ["frFR"] = "Palme sauvage",
                                            ["zhTW"] = "野性藻葉",
											["zhCN"] = "蛮荒之叶",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 55,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rayne",
                                            ["deDE"] = "Rayne",
                                            ["frFR"] = "Rayne",
                                            ["zhTW"] = "瑞恩",
											["zhCN"] = "莱茵",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Eastern Plaguelands",
                                            ["deDE"] = "Östliche Pestländer",
                                            ["frFR"] = "Maleterres de l'est",
                                            ["zhTW"] = "東瘟疫之地",
											["zhCN"] = "东瘟疫之地",
                                        },
                                    ["xCoord"] = 81,
                                    ["yCoord"] = 59
                                }
                        }
                },
            [11]={["EndOfRow"] = true},
            [12]={
                    ["Quest"] = "FelstoneFieldCauldron",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_Requiem",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Felstone Field Cauldron",
                                    ["deDE"] = "Der Kessel des Teufelssteinfelds",
                                    ["frFR"] = "Le chaudron du champ de Gangrepierre",
                                    ["zhTW"] = "費爾斯通農場",
									["zhCN"] = "费尔斯通农场",
                                }
                        },
                    ["RepValue"] = 50,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [13320] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Arcane Quickener",
                                            ["deDE"] = "Arkanbeschleuniger",
                                            ["frFR"] = "Catalyseur des arcanes",
                                            ["zhTW"] = "祕法催化劑",
											["zhCN"] = "奥术催化剂",
                                        }
                                },
                            [13357] =
                                {
                                    ["Count"] = 6, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Osseous Agitator",
                                            ["deDE"] = "Knöcherner Aufstachler",
                                            ["frFR"] = "Agitateur osseux",
                                            ["zhTW"] = "骨質分離素",
											["zhCN"] = "骨质分离素",
                                        }
                                },
                            [14047] =
                                {
                                    ["Count"] = 4, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Runecloth",
                                            ["deDE"] = "Runenstoff",
                                            ["frFR"] = "Etoffe runique",
                                            ["zhTW"] = "符文布",
											["zhCN"] = "符文布",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 55,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Scourge Cauldron",
                                            ["deDE"] = "Geißelkessel",
                                            ["frFR"] = "Chaudron du Fl\195\169au",
                                            ["zhTW"] = "天災之鍋",
											["zhCN"] = "天灾之锅",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Western Plaguelands",
                                            ["deDE"] = "Westliche Pestländer",
                                            ["frFR"] = "Maleterres de l'ouest",
                                            ["zhTW"] = "西瘟疫之地",
											["zhCN"] = "西瘟疫之地",
                                        },
                                    ["xCoord"] = 37,
                                    ["yCoord"] = 56
                                }
                        }
                },
            [13]={
                    ["Quest"] = "DalsonsTearsCauldron",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_CreepingPlague",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Dalson's Tears Cauldron",
                                    ["deDE"] = "Der Kessel von Dalsons Tränenfeld",
                                    ["frFR"] = "Le chaudron des Larmes de Dalson",
                                    ["zhTW"] = "達爾松之淚",
									["zhCN"] = "达尔松之泪",
                                },
                            [2]={
                                    ["enUS"] = "Writhing Haunt Cauldron",
                                    ["deDE"] = "Der Kessel des trostlosen Felds",
                                    ["frFR"] = "Le chaudron du Repaire putride",
                                    ["zhTW"] = "嚎哭鬼屋",
									["zhCN"] = "嚎哭鬼屋",
                                }
                        },
                    ["RepValue"] = 50,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [13320] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Arcane Quickener",
                                            ["deDE"] = "Arkanbeschleuniger",
                                            ["frFR"] = "Catalyseur des arcanes",
                                            ["zhTW"] = "祕法催化劑",
											["zhCN"] = "奥术催化剂",
                                        }
                                },
                            [13356] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Somatic Intensifier",
                                            ["deDE"] = "Somatischer Verstärker",
                                            ["frFR"] = "Intensificateur somatique",
                                            ["zhTW"] = "細胞增強劑",
											["zhCN"] = "细胞增强剂",
                                        }
                                },
                            [14047] =
                                {
                                    ["Count"] = 4, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Runecloth",
                                            ["deDE"] = "Runenstoff",
                                            ["frFR"] = "Etoffe runique",
                                            ["zhTW"] = "符文布",
											["zhCN"] = "符文布",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 55,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Scourge Cauldron",
                                            ["deDE"] = "Geißelkessel",
                                            ["frFR"] = "Chaudron du Fl\195\169au",
                                            ["zhTW"] = "天災之鍋",
											["zhCN"] = "天灾之锅",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Western Plaguelands",
                                            ["deDE"] = "Westliche Pestländer",
                                            ["frFR"] = "Maleterres de l'ouest",
                                            ["zhTW"] = "西瘟疫之地",
											["zhCN"] = "西瘟疫之地",
                                        },
                                    ["xCoord"] = 46,
                                    ["yCoord"] = 51
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Scourge Cauldron",
                                            ["deDE"] = "Geißelkessel",
                                            ["frFR"] = "Chaudron du Fl\195\169au",
                                            ["zhTW"] = "天災之鍋",
											["zhCN"] = "天灾之锅",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Western Plaguelands",
                                            ["deDE"] = "Westliche Pestländer",
                                            ["frFR"] = "Maleterres de l'ouest",
                                            ["zhTW"] = "西瘟疫之地",
											["zhCN"] = "西瘟疫之地",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 65
                                }
                        }
                },
            [14]={
                    ["Quest"] = "GahhronsWitheringCauldron",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_DetectInvisibility",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Gahrron's Withering",
                                    ["deDE"] = "Der Kessel von Gahrrons Trauerfeld",
                                    ["frFR"] = "Le chaudron de la Fl\195\169trissure de Gahrron",
                                    ["zhTW"] = "蓋羅恩農場",
									["zhCN"] = "盖罗恩农场",
                                }
                        },
                    ["RepValue"] = 50,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [13320] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Arcane Quickener",
                                            ["deDE"] = "Arkanbeschleuniger",
                                            ["frFR"] = "Catalyseur des arcanes",
                                            ["zhTW"] = "祕法催化劑",
											["zhCN"] = "奥术催化剂",
                                        }
                                },
                            [13354] =
                                {
                                    ["Count"] = 4, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Ectoplasmic Resonator",
                                            ["deDE"] = "Ektoplasmaresonator",
                                            ["frFR"] = "R\195\169sonateur ectoplasmique",
                                            ["zhTW"] = "外膜震盪體",
											["zhCN"] = "外膜震荡体",
                                        }
                                },
                            [14047] =
                                {
                                    ["Count"] = 4, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Runecloth",
                                            ["deDE"] = "Runenstoff",
                                            ["frFR"] = "Etoffe runique",
                                            ["zhTW"] = "符文布",
											["zhCN"] = "符文布",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 55,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Scourge Cauldron",
                                            ["deDE"] = "Geißelkessel",
                                            ["frFR"] = "Chaudron du Fl\195\169au",
                                            ["zhTW"] = "天災之鍋",
											["zhCN"] = "天灾之锅",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Western Plaguelands",
                                            ["deDE"] = "Westliche Pestländer",
                                            ["frFR"] = "Maleterres de l'ouest",
                                            ["zhTW"] = "西瘟疫之地",
											["zhCN"] = "西瘟疫之地",
                                        },
                                    ["xCoord"] = 62,
                                    ["yCoord"] = 58
                                }
                        }
                },
            [15]={["EndOfRow"] = true}
        }
}
