﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["BroodofNozdormu"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Head_Dragon_01",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Brood of Nozdormu",
            ["deDE"] = "Brut Nozdormus",
            ["frFR"] = "La prog\195\169niture de Nozdormu",
            ["zhTW"] = "諾茲多姆的子嗣",
			["zhCN"] = "诺兹多姆的子嗣",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "BN",
            ["deDE"] = "BN",
            ["frFR"] = "BN",
            ["zhTW"] = "諾茲多姆",
			["zhCN"] = "诺兹多姆",
        },

    ["StartingRep"] = -42000,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "SilithidCarapaceFragment",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_MonsterScales_13",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Hand of the Righteous",
                                    ["deDE"] = "Die Hand der Gerechtigkeit",
                                    ["frFR"] = "La Main des Justes",
                                    ["zhTW"] = "正義之手",
									["zhCN"] = "正义之手",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [20384] =
                                {
                                    ["Count"] = 200, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Silithid Carapace Fragment",
                                            ["deDE"] = "Silithidenknochenpanzerfragment",
                                            ["frFR"] = "Fragment de carapace de silithide",
                                            ["zhTW"] = "異種蠍殼碎片",
											["zhCN"] = "异种蝎壳碎片",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Baristolth of the Shifting Sands",
                                            ["deDE"] = "Baristolth der Sandstürme",
                                            ["frFR"] = "Baristolth des Sables changeants",
                                            ["zhTW"] = "流沙守望者巴里斯托爾斯",
											["zhCN"] = "流沙守望者巴里斯托尔斯",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Silithus",
                                            ["deDE"] = "Silithus",
                                            ["frFR"] = "Silithus",
                                            ["zhTW"] = "希利蘇斯",
											["zhCN"] = "希利苏斯",
                                        },
                                    ["xCoord"] = 49,
                                    ["yCoord"] = 36
                                }
                        }
                },
            [2]={
                    ["Quest"] = "QirajiLordsInsignia",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_ZulGurubTrinket",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Mortal Champions",
                                    ["deDE"] = "Sterbliche Helden",
                                    ["frFR"] = "Champions mortels",
                                    ["zhTW"] = "人類勝利者",
									["zhCN"] = "凡人中的勇士",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [21229] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Qiraji Lord's Insignia",
                                            ["deDE"] = "Insigne des Qirajilords",
                                            ["frFR"] = "Insigne de seigneur qiraji",
                                            ["zhTW"] = "其拉領主徽記",
											["zhCN"] = "其拉领主徽记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Kandrostrasz",
                                            ["deDE"] = "Kandrostrasz",
                                            ["frFR"] = "Kandrostrasz",
                                            ["zhTW"] = "坎多斯塔茲",
											["zhCN"] = "坎多斯特拉兹",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Temple of Ahn'qiraj",
                                            ["deDE"] = "Tempel von Ahn'Qiraj",
                                            ["frFR"] = "Temple d'Ahn'qiraj",
                                            ["zhTW"] = "安其拉神廟",
											["zhCN"] = "安其拉神殿",
                                        },
                                    ["xCoord"] = "?",
                                    ["yCoord"] = "?"
                                }
                        }
                },
            [3]={
                    ["Quest"] = "AncientQirajiArtifact",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Idol_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Secrets of the Qiraji",
                                    ["deDE"] = "Geheimnisse der Qiraji",
                                    ["frFR"] = "Les secrets des Qiraji",
                                    ["zhTW"] = "其拉軍的秘密",
									["zhCN"] = "其拉的秘密",
                                }
                        },
                    ["RepValue"] = 1000,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [21230] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Ancient Qiraji Artifact",
                                            ["deDE"] = "Uraltes Qirajiartefakt",
                                            ["frFR"] = "Ancien artefact qiraji",
                                            ["zhTW"] = "上古其拉神器",
											["zhCN"] = "上古其拉神器",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Andorgos",
                                            ["deDE"] = "Andorgos",
                                            ["frFR"] = "Andorgos",
                                            ["zhTW"] = "安多葛斯",
											["zhCN"] = "安多葛斯",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Temple of Ahn'qiraj",
                                            ["deDE"] = "Tempel von Ahn'Qiraj",
                                            ["frFR"] = "Temple d'Ahn'qiraj",
                                            ["zhTW"] = "安其拉神廟",
											["zhCN"] = "安其拉神殿",
                                        },
                                    ["xCoord"] = "?",
                                    ["yCoord"] = "?"
                                }
                        }
                },
            [4]={["EndOfRow"] = true}
        }
}
