﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["CenarionCircle"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Note_06",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Cenarion Circle",
            ["deDE"] = "Zirkel des Cenarius",
            ["frFR"] = "Cercle C\195\169narien",
            ["zhTW"] = "塞納里奧議會",
			["zhCN"] = "塞纳里奥议会",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "CC",
            ["deDE"] = "ZC",
            ["frFR"] = "CC",
            ["zhTW"] = "塞納里奧",
			["zhCN"] = "塞纳里奥",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "EncryptedTwilightText",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Note_06",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Encrypted Twilight Texts",
                                    ["deDE"] = "Verschlüsselte Schattenhammertexte",
                                    ["frFR"] = "Les textes du cr\195\169puscule crypt\195\169s",
                                    ["zhTW"] = "暮光加密文件",
									["zhCN"] = "暮光密文信",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [20404] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Encrypted Twilight Text",
                                            ["deDE"] = "Verschlüsselter Schattenhammertext",
                                            ["frFR"] = "Texte du cr\195\169puscule crypt\195\169",
                                            ["zhTW"] = "暮光加密文件",
											["zhCN"] = "暮光密文信",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 57,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Bor Wildmane",
                                            ["deDE"] = "Bor Wildmähne",
                                            ["frFR"] = "Bor Crin-sauvage",
                                            ["zhTW"] = "鮑爾·蠻鬃",
											["zhCN"] = "鲍尔·蛮鬃",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Silithus",
                                            ["deDE"] = "Silithus",
                                            ["frFR"] = "Silithus",
                                            ["zhTW"] = "希利蘇斯",
											["zhCN"] = "希利苏斯",
                                        },
                                    ["xCoord"] = 48,
                                    ["yCoord"] = 37
                                }
                        }
                },
            [2]={
                    ["Quest"] = "CenarionBadges",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Necklace_16",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Allegiance to Cenarion Circle",
                                    ["deDE"] = "Treue zum Zirkel des Cenarius",
                                    ["frFR"] = "All\195\169geance au Cercle c\195\169narien",
                                    ["zhTW"] = "忠於塞納里奧議會",
									["zhCN"] = "塞纳里奥议会的盟友",
                                }
                        },
                    ["RepValue"] = 1000,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [20800] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Cenarion Logistics Badge",
                                            ["deDE"] = "Cenarisches Versorgungsabzeichen",
                                            ["frFR"] = "Badge c\195\169narien de logistique",
                                            ["zhTW"] = "塞納里奧後勤徽章",
											["zhCN"] = "塞纳里奥后勤徽章",
                                        }
                                },
                            [20801] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Cenarion Tactical Badge",
                                            ["deDE"] = "Cenarisches Strategieabzeichen",
                                            ["frFR"] = "Badge c\195\169narien de tactique",
                                            ["zhTW"] = "塞納里奧戰術徽章",
											["zhCN"] = "塞纳里奥战术徽章",
                                        }
                                },
                            [20802] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Cenarion Combat Badge",
                                            ["deDE"] = "Cenarisches Gefechtsabzeichen",
                                            ["frFR"] = "Badge c\195\169narien de combat",
                                            ["zhTW"] = "塞納里奧作戰徽章",
											["zhCN"] = "塞纳里奥作战徽章",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Windcaller Kaldon",
                                            ["deDE"] = "Windrufer Kaldon",
                                            ["frFR"] = "Implorateur c\195\169leste Kaldon",
                                            ["zhTW"] = "喚風者卡爾東",
											["zhCN"] = "唤风者卡尔东",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Silithus",
                                            ["deDE"] = "Silithus",
                                            ["frFR"] = "Silithus",
                                            ["zhTW"] = "希利蘇斯",
											["zhCN"] = "希利苏斯",
                                        },
                                    ["xCoord"] = 49,
                                    ["yCoord"] = 36
                                }
                        }
                },
            [3]={["EndOfRow"] = true},
            [4]={
                    ["Quest"] = "AbyssalCrest",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Talisman_05",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Abyssal Crests",
                                    ["deDE"] = "Abyssische Wappen",
                                    ["frFR"] = "Les blasons abyssaux",
                                    ["zhTW"] = "深淵紋章",
									["zhCN"] = "深渊纹章",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [20513] =
                                {
                                    ["Count"] = 3, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Abyssal Crest",
                                            ["deDE"] = "Abyssisches Wappen",
                                            ["frFR"] = "Blason abyssal",
                                            ["zhTW"] = "深淵紋章",
											["zhCN"] = "深渊纹章",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Bor Wildmane",
                                            ["deDE"] = "Bor Wildmähne",
                                            ["frFR"] = "Bor Crin-sauvage",
                                            ["zhTW"] = "鮑爾·蠻鬃",
											["zhCN"] = "鲍尔·蛮鬃",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Silithus",
                                            ["deDE"] = "Silithus",
                                            ["frFR"] = "Silithus",
                                            ["zhTW"] = "希利蘇斯",
											["zhCN"] = "希利苏斯",
                                        },
                                    ["xCoord"] = 48,
                                    ["yCoord"] = 37
                                }
                        }
                },
            [5]={
                    ["Quest"] = "AbyssalSignet",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Ring_36",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Abyssal Signets",
                                    ["deDE"] = "Abyssische Siegel",
                                    ["frFR"] = "Les chevali\195\168res abyssales",
                                    ["zhTW"] = "深淵徽記",
									["zhCN"] = "深渊徽记",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [20514] =
                                {
                                    ["Count"] = 3, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Abyssal Signet",
                                            ["deDE"] = "Abyssisches Siegel",
                                            ["frFR"] = "Chevali\195\168re abyssale",
                                            ["zhTW"] = "深淵徽記",
											["zhCN"] = "深渊徽记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Bor Wildmane",
                                            ["deDE"] = "Bor Wildmähne",
                                            ["frFR"] = "Bor Crin-sauvage",
                                            ["zhTW"] = "鮑爾·蠻鬃",
											["zhCN"] = "鲍尔·蛮鬃",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Silithus",
                                            ["deDE"] = "Silithus",
                                            ["frFR"] = "Silithus",
                                            ["zhTW"] = "希利蘇斯",
											["zhCN"] = "希利苏斯",
                                        },
                                    ["xCoord"] = 48,
                                    ["yCoord"] = 37
                                }
                        }
                },
            [6]={
                    ["Quest"] = "AbyssalScepter",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Staff_13",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Abyssal Scepters",
                                    ["deDE"] = "Abyssische Szepter",
                                    ["frFR"] = "Les sceptres abyssaux",
                                    ["zhTW"] = "深淵節杖",
									["zhCN"] = "深渊节杖",
                                }
                        },
                    ["RepValue"] = 700,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [20515] =
                                {
                                    ["Count"] = 3, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Abyssal Scepter",
                                            ["deDE"] = "Abyssisches Szepter",
                                            ["frFR"] = "Sceptre abyssal",
                                            ["zhTW"] = "深淵節杖",
											["zhCN"] = "深渊节杖",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Aurel Goldleaf",
                                            ["deDE"] = "Aurel Goldblatt",
                                            ["frFR"] = "Aurel Feuilledor",
                                            ["zhTW"] = "奧莉爾·金葉",
											["zhCN"] = "奥蕾尔·金叶",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Silithus",
                                            ["deDE"] = "Silithus",
                                            ["frFR"] = "Silithus",
                                            ["zhTW"] = "希利蘇斯",
											["zhCN"] = "希利苏斯",
                                        },
                                    ["xCoord"] = 51,
                                    ["yCoord"] = 38
                                }
                        }
                },
            [7]={["EndOfRow"] = true},
        }
}
