--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["CenarionExpedition"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Flower_03",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Cenarion Expedition",
            ["deDE"] = "Expedition des Cenarius",
            ["frFR"] = "Exp\195\169dition c\195\169narienne",
            ["zhTW"] = "塞納里奧遠征隊",
			["zhCN"] = "塞纳里奥远征队",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "CE",
            ["deDE"] = "EC",
            ["frFR"] = "CE",
            ["zhTW"] = "遠征隊",
			["zhCN"] = "远征队",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "UnidentifiedPlantParts",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Flower_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Identify Plant Parts",
                                    ["deDE"] = "Pflanzenteile identifizieren",
                                    ["frFR"] = "Identifier les morceaux de plantes",
                                    ["zhTW"] = "辨別植物組織",
                                    ["zhCN"] = "鉴定植物",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [24401] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Unidentified Plant Parts",
                                            ["deDE"] = "Unbekannte Pflanzenteile",
                                            ["frFR"] = "Morceaux de plantes non identifi\195\169es",
                                            ["zhTW"] = "未經辨認的植物組織",
                                            ["zhCN"] = "未鉴定过的植物",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                            ["CenarionExpedition"] = 
                                {
                                    ["Max"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lauranna Thar'well",
                                            ["deDE"] = "Lauranna Thar'well",
                                            ["frFR"] = "Lauranna Thar'well",
                                            ["zhTW"] = "羅安娜·薩威爾",
                                            ["zhCN"] = "劳兰娜·萨维尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zangarmarsh",
                                            ["deDE"] = "Zangarmarschen",
                                            ["frFR"] = "Mar\195\169cage de Zangar",
                                            ["zhTW"] = "贊格沼澤",
                                            ["zhCN"] = "赞加沼泽",
                                        },
                                    ["xCoord"] = 80,
                                    ["yCoord"] = 64
                                }
                        }
                },

            [2]={
                    ["Quest"] = "CoilfangArmaments",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Spear_06",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Coilfang Armaments",
                                    ["deDE"] = "Waffen des Echsenkessels",
                                    ["frFR"] = "Les armes de Glissecroc",
                                    ["zhTW"] = "盤牙裝備",
                                    ["zhCN"] = "盘牙武器",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [24368] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Coilfang Armaments",
                                            ["deDE"] = "Waffen des Echsenkessels",
                                            ["frFR"] = "Armes de Glissecroc",
                                            ["zhTW"] = "盤牙裝備",
                                            ["zhCN"] = "盘牙武器",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 67,
                    ["RepRequirements"] =
                        {
                            ["CenarionExpedition"] =
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Ysiel Windsinger",
                                            ["deDE"] = "Ysiel Windsänger",
                                            ["frFR"] = "Ysiel Chantelevent",
                                            ["zhTW"] = "伊斯歐·風歌",
                                            ["zhCN"] = "伊谢尔·风歌",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zangarmarsh",
                                            ["deDE"] = "Zangarmarschen",
                                            ["frFR"] = "Mar\195\169cage de Zangar",
                                            ["zhTW"] = "贊格沼澤",
                                            ["zhCN"] = "赞加沼泽",
                                        },
                                    ["xCoord"] = 78,
                                    ["yCoord"] = 62
                                }
                        }
                },
[3]={
                   ["Quest"] = "NesingwaryLackeyEar",
                   ["Stackable"] = true,
                   ["Icon"]  = "Interface\\Icons\\INV_misc_ear_human_01",
                   ["Names"] =
                       {
                           [1]={
                                    ["enUS"] = "Can't Get Ear-nough...",
                                    ["deDE"] = "Spitzt die Ohren",
                                    ["frFR"] = "Can't Get Ear-nough...", --NOT TRANSLATED
                                    ["zhTW"] = "Can't Get Ear-nough...", --NOT TRANSLATED
                                    ["zhCN"] = "Can't Get Ear-nough...", --NOT TRANSLATED
                               }
                       },
                   ["RepValue"] = 150,
                   ["GoldCost"] = 0,
                   ["ItemObjectives"] = --Key:ItemID
                       {
                           [35188] =
                               {
                                   ["Count"] = 15,
                                   ["Shareable"] = true,
                                   ["Name"] =
                                       {
                                            ["enUS"] = "Nesingwary Lackey Ear",
                                            ["deDE"] = "Ohr von Nesingwarys Lakai",
                                            ["frFR"] = "Nesingwary Lackey Ear", --NOT TRANSLATED
                                            ["zhTW"] = "Nesingwary Lackey Ear", --NOT TRANSLATED
                                            ["zhCN"] = "Nesingwary Lackey Ear", --NOT TRANSLATED
                                       }
                               }
                       },
                   ["OtherObjectives"] =
                       {
                       },
                   ["MinLevel"] = 70,
                   ["RepRequirements"] =
                       {
                           ["CenarionExpedition"] =
                               {
                                   ["Min"] = 4
                               }
                       },
                   ["QuestAccepters"] =
                       {
                           [1]={
                                   ["Name"] =
                                       {
                                            ["enUS"] = "Arch Druid Lathorius",
                                            ["deDE"] = "Erzdruide Lathorius",
                                            ["frFR"] = "Arch Druid Lathorius", --NOT TRANSLATED
                                            ["zhTW"] = "Arch Druid Lathorius", --NOT TRANSLATED
                                            ["zhCN"] = "Arch Druid Lathorius", --NOT TRANSLATED
                                       },
                                   ["Zone"] =
                                       {
                                            ["enUS"] = "Borean Tundra",
                                            ["deDE"] = "Boreanische Tundra",
                                            ["frFR"] = "Borean Tundra", --NOT TRANSLATED
                                            ["zhTW"] = "Borean Tundra", --NOT TRANSLATED
                                            ["zhCN"] = "Borean Tundra", --NOT TRANSLATED
                                       },
                                   ["xCoord"] = 57,
                                   ["yCoord"] = 44
                               }
                       }
               },            
            [4]={["EndOfRow"] = true}
        }
}
