﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Consortium"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Bone_04",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Consortium",
            ["deDE"] = "Das Konsortium",
            ["frFR"] = "Le Consortium",
            ["zhTW"] = "聯合團",
			["zhCN"] = "星界财团",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Co",
            ["deDE"] = "Ko",
            ["frFR"] = "Co",
            ["zhTW"] = "聯合團",
			["zhCN"] = "星界财团",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "PairofIvoryTusks",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bone_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Heads Full of Ivory",
                                    ["deDE"] = "Noch mehr Elfenbein",
                                    ["frFR"] = "Encore plus d'ivoire plein la t\195\170te",
                                    ["zhTW"] = "更多象長牙",
									["zhCN"] = "更多象牙",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [25463] = 
                                {
                                    ["Count"] = 3,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Pair of Ivory Tusks",
                                            ["deDE"] = "Paar Elfenbeinstoßzähne",
                                            ["frFR"] = "Paire de d\195\169fenses d'ivoire",
                                            ["zhTW"] = "一對象長牙",
											["zhCN"] = "象牙",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 64,
                    ["RepRequirements"] =
                        {
                            ["Consortium"] =
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Shadrek",
                                            ["deDE"] = "Shadrek",
                                            ["frFR"] = "Shadrek",
                                            ["zhTW"] = "薩德瑞克",
											["zhCN"] = "沙德雷克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Nagrand",
                                            ["deDE"] = "Nagrand",
                                            ["frFR"] = "Nagrand",
                                            ["zhTW"] = "納葛蘭",
											["zhCN"] = "纳格兰",
                                        },
                                    ["xCoord"] = 32,
                                    ["yCoord"] = 57
                                }
                        }
                },
            [2]={
                    ["Quest"] = "OshugunCrystalFragment",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_Diamond_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Crystal Fragments",
                                    ["deDE"] = "Noch mehr Kristallfragmente",
                                    ["frFR"] = "Encore des fragments de cristal",
                                    ["zhTW"] = "更多水晶碎片",
									["zhCN"] = "更多水晶碎片",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [25416] = 
                                {
                                    ["Count"] = 10,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Oshu'gun Crystal Fragment",
                                            ["deDE"] = "Kristallfragment von Oshu'gun",
                                            ["frFR"] = "Fragment de cristal d'Oshu'gun",
                                            ["zhTW"] = "歐夏剛水晶碎片",
											["zhCN"] = "沃舒古水晶碎片",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 64,
                    ["RepRequirements"] =
                        {
                            ["Consortium"] =
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Gezhe",
                                            ["deDE"] = "Gezhe",
                                            ["frFR"] = "Gezhe",
                                            ["zhTW"] = "吉札",
											["zhCN"] = "杰赫",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Nagrand",
                                            ["deDE"] = "Nagrand",
                                            ["frFR"] = "Nagrand",
                                            ["zhTW"] = "納葛蘭",
											["zhCN"] = "纳格兰",
                                        },
                                    ["xCoord"] = 31,
                                    ["yCoord"] = 58
                                }
                        }
                },
            [3]={
                    ["Quest"] = "ObsidianWarbeads",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Necklace_19",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Obsidian Warbeads",
                                    ["deDE"] = "Noch mehr Obsidiankriegsperlen",
                                    ["frFR"] = "Perles de guerre d'obsidienne",
                                    ["zhTW"] = "更多黑曜石戰爭串珠",
									["zhCN"] = "更多黑曜石作战念珠 ",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [25433] = 
                                {
                                    ["Count"] = 10,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Obsidian Warbeads",
                                            ["deDE"] = "Obsidiankriegsperlen",
                                            ["frFR"] = "Perles de guerre d'obsidienne",
                                            ["zhTW"] = "黑曜石戰爭串珠",
											["zhCN"] = "黑曜石作战念珠",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 64,
                    ["RepRequirements"] =
                        {
                            ["Consortium"] =
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Gezhe",
                                            ["deDE"] = "Gezhe",
                                            ["frFR"] = "Gezhe",
                                            ["zhTW"] = "吉札",
											["zhCN"] = "杰赫",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Nagrand",
                                            ["deDE"] = "Nagrand",
                                            ["frFR"] = "Nagrand",
                                            ["zhTW"] = "納葛蘭",
											["zhCN"] = "纳格兰",
                                        },
                                    ["xCoord"] = 31,
                                    ["yCoord"] = 58
                                }
                        }
                },
            [4]={
                    ["Quest"] = "ZaxxisInsignia",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_WartornScrap_Leather",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Another Heap of Ethereals",
                                    ["deDE"] = "Noch ein Hügel voller Astraler",
                                    ["frFR"] = "Un autre monceau d'\195\169th\195\169riens",
                                    ["zhTW"] = "另一支伊斯利勢力",
									["zhCN"] = "更多叛徒的徽记",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29209] = 
                                {
                                    ["Count"] = 10,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Zaxxis Insignia",
                                            ["deDE"] = "Insignie der Zaxxis",
                                            ["frFR"] = "Insigne de Zaxxis",
                                            ["zhTW"] = "薩希斯徽記",
											["zhCN"] = "萨克希斯徽记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 67,
                    ["RepRequirements"] =
                        {
                            ["Consortium"] =
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Nether-Stalker Khay'ji",
                                            ["deDE"] = "Netherpirscher Khay'ji",
                                            ["frFR"] = "Traqueur-du-N\195\169ant Khay'ji",
                                            ["zhTW"] = "虛空行者凱澤",
											["zhCN"] = "虚空猎手卡尔伊",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Netherstorm",
                                            ["deDE"] = "Nethersturm",
                                            ["frFR"] = "Raz-de-N\195\169ant",
                                            ["zhTW"] = "虛空風暴",
											["zhCN"] = "虚空风暴",
                                        },
                                    ["xCoord"] = 32,
                                    ["yCoord"] = 64
                                }
                        }
                },
            [5]={["EndOfRow"] = true}
        }
}
