﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Darnassus"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Alliance",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Head_Elf_02",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Darnassus",
            ["deDE"] = "Darnassus",
            ["frFR"] = "Darnassus",
            ["zhTW"] = "達納蘇斯",
            ["zhCN"] = "达纳苏斯",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Da",
            ["deDE"] = "Da",
            ["frFR"] = "Da",
            ["zhTW"] = "達納",
            ["zhCN"] = "达纳",
        },

    ["StartingRep"] = 3000,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "PristineYetiHide",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Pelt_Boar_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Pristine Yeti Hide",
                                    ["deDE"] = "Makelloser Yetibalg",
                                    ["frFR"] = "Une peau de y\195\169ti en parfait \195\169tat",
                                    ["zhTW"] = "完美的雪人毛皮",
									["zhCN"] = "完美的雪人毛皮",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18969] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Pristine Yeti Hide",
                                            ["deDE"] = "Makelloser Yetibalg",
                                            ["frFR"] = "Peau de y\195\169ti en parfait \195\169tat",
											["zhTW"] = "完美的雪人毛皮",
											["zhCN"] = "完美的雪人毛皮",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 46,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Pratt McGrubben",
                                            ["deDE"] = "Pratt McGrubben",
                                            ["frFR"] = "Pratt McGrubben",
                                            ["zhTW"] = "普拉特·馬克格魯比",
											["zhCN"] = "普拉特·马克格鲁比",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Feralas",
                                            ["deDE"] = "Feralas",
                                            ["frFR"] = "Feralas",
                                            ["zhTW"] = "菲拉斯",
											["zhCN"] = "菲拉斯",
                                        },
                                    ["xCoord"] = 30,
                                    ["yCoord"] = 42
                                }
                        }
                },
            [2]={
                    ["Quest"] = "Morrowgrain",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Herb_05",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Morrowgrain to Darnassus",
                                    ["deDE"] = "Morgenkorn nach Darnassus",
                                    ["frFR"] = "De la fibre d'aurore pour Darnassus",
                                    ["zhTW"] = "達納蘇斯的晨光麥",
                                    ["zhCN"] = "达纳苏斯的晨光麦",
                                },
                            [2]={
                                    ["enUS"] = "Morrowgrain to Feathermoon Stronghold",
                                    ["deDE"] = "Morgenkorn für die Mondfederfeste",
                                    ["frFR"] = "De la Fibre d'aurore au bastion de Pennelune",
                                    ["zhTW"] = "羽月要塞的晨光麥",
                                    ["zhCN"] = "羽月要塞的晨光麦",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [11040] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Morrowgrain",
                                            ["deDE"] = "Morgenkorn",
                                            ["frFR"] = "Fibre d'aurore",
                                            ["zhTW"] = "晨光麥",
                                            ["zhCN"] = "晨光麦",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 47,
                    ["RepRequirements"] =
                        {
                        },
                    ["ExtraInfo"] =
                        {
                            ["enUS"] = "Quintis accepts 5 Morrowgrain, but grants only 1/3 the rep",
                            ["deDE"] = "Quintis nimmt 5 Morgenkorn entgegen, gibt aber nur 1/3 des Rufs",
                            ["frFR"] = "Quintis accepte 5 fibres d'aurore, mais ne propose qu'un tiers de la r\195\169putation",
                            ["zhTW"] = "奎恩提斯接受 5 個晨光麥, 但是僅可獲得 1/3 的聲望值",
                            ["zhCN"] = "奎恩提斯接受 5 个晨光麦, 但是仅可获得 1/3 的声望值",
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Mathrengyl Bearwalker",
                                            ["deDE"] = "Mathrengyl Bärenfährte",
                                            ["frFR"] = "Mathrengyl Pasdelours",
                                            ["zhTW"] = "瑪斯雷·馭熊者",
                                            ["zhCN"] = "玛斯雷·驭熊者",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Darnassus",
                                            ["deDE"] = "Darnassus",
                                            ["frFR"] = "Darnassus",
                                            ["zhTW"] = "達納蘇斯",
                                            ["zhCN"] = "达纳苏斯",
                                        },
                                    ["xCoord"] = 34,
                                    ["yCoord"] = 8
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Quintis Jonespyre",
                                            ["deDE"] = "Quintis Lebenshand",
                                            ["frFR"] = "Quintis Gentecime",
                                            ["zhTW"] = "奎恩提斯",
                                            ["zhCN"] = "奎恩提斯",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Feralas",
                                            ["deDE"] = "Feralas",
                                            ["frFR"] = "F\195\169ralas",
                                            ["zhTW"] = "菲拉斯",
											["zhCN"] = "菲拉斯",
                                        },
                                    ["xCoord"] = 32,
                                    ["yCoord"] = 43
                                }
                        }
                },
            [3]={
                    ["Quest"] = "Runecloth",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Fabric_PurpleFire_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "A Donation of Runecloth",
                                    ["deDE"] = "Spendet Runenstoff",
                                    ["frFR"] = "Encore de l'\195\169toffe runique",
                                    ["zhTW"] = "捐獻符文布",
									["zhCN"] = "捐献符文布",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [14047] =
                                {
                                    ["Count"] = 20, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Runecloth",
                                            ["deDE"] = "Runenstoff",
                                            ["frFR"] = "Etoffe runique",
                                            ["zhTW"] = "符文布",
											["zhCN"] = "符文布",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Raedon Duskstriker",
                                            ["deDE"] = "Raedon Dämmersturm",
                                            ["frFR"] = "Raedon Heurtebrune",
                                            ["zhTW"] = "萊頓·暗影",
                                            ["zhCN"] = "莱顿·暗影",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Darnassus",
                                            ["deDE"] = "Darnassus",
                                            ["frFR"] = "Darnassus",
                                            ["zhTW"] = "達納蘇斯",
                                            ["zhCN"] = "达纳苏斯",
                                        },
                                    ["xCoord"] = 64,
                                    ["yCoord"] = 23
                                }
                        }
                },
            [4]={["EndOfRow"] = true}
        }
}
