﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Exodar"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Alliance",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Mask_05",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Exodar",
            ["deDE"] = "Die Exodar",
            ["frFR"] = "Exodar",
            ["zhTW"] = "艾克索達",
            ["zhTW"] = "埃索达",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Ex",
            ["deDE"] = "Ex",
            ["frFR"] = "Ex",
            ["zhTW"] = "艾克",
            ["zhTW"] = "埃索达",
        },

    ["StartingRep"] = 3000,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "Runecloth",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Fabric_PurpleFire_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "A Donation of Runecloth",
                                    ["deDE"] = "Spendet Runenstoff",
                                    ["frFR"] = "Encore de l'\195\169toffe runique",
                                    ["zhTW"] = "捐獻符文布",
									["zhCN"] = "捐献符文布 ",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [14047] =
                                {
                                    ["Count"] = 20, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Runecloth",
                                            ["deDE"] = "Runenstoff",
                                            ["frFR"] = "Etoffe runique",
                                            ["zhTW"] = "符文布",
											["zhCN"] = "符文布",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Dugiru",
                                            ["deDE"] = "Dugiru",
                                            ["frFR"] = "Dugiru",
                                            ["zhTW"] = "達葛魯",
                                            ["zhCN"] = "度戈鲁",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Exodar",
                                            ["deDE"] = "Die Exodar",
                                            ["frFR"] = "Exodar",
                                            ["zhTW"] = "艾克索達",
                                            ["zhCN"] = "埃索达",
                                        },
                                    ["xCoord"] = 63,
                                    ["yCoord"] = 67
                                }
                        }
                },
            [2]={["EndOfRow"] = true}
        }
}
