﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ExplorersLeague"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Alliance",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Head_Gnome_01",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Explorers' League",
            ["deDE"] = "Forscherliga",
            ["frFR"] = "Ligue des explorateurs",
            ["zhTW"] = "探險者協會",
			["zhCN"] = "探险者协会",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "EL",
            ["deDE"] = "FL",
            ["frFR"] = "LE",
            ["zhTW"] = "探險者",
			["zhCN"] = "探险者",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "SteelGatePatrol",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Ability_Mount_Gyrocoptor",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Steel Gate Patrol",
                                    ["deDE"] = "Patrouille am Stählernen Tor",
                                    ["frFR"] = "Patrouille \195\160 la Porte d'acier",
                                    ["zhTW"] = "巡邏鋼鐵之門",
									["zhCN"] = "钢铁之门的巡逻兵",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Gjalerbron Gargoyle",
                                            ["deDE"] = "Gargoyle von Gjalerbron",
                                            ["frFR"] = "Gargouille de Gjalerbron tu\195\169",
                                            ["zhTW"] = "已殺死夏勒布隆石像鬼",
											["zhCN"] = "亚勒伯龙石像鬼",
                                        },
                                    ["Count"] = 8
                                }
                        },
                    ["MinLevel"] = 71,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Steel Gate Chief Archaeologist",
                                            ["deDE"] = "Chefarchäologe des Stählernen Tores",
                                            ["frFR"] = "Chef arch\195\169ologue de la Porte d'acier",
                                            ["zhTW"] = "鋼鐵之門首席考古學家",
											["zhCN"] = "钢铁之门首席考古学家",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Howling Fjord",
                                            ["deDE"] = "Heulender Fjord",
                                            ["frFR"] = "Fjord Hurlant",
                                            ["zhTW"] = "凜風峽灣",
											["zhCN"] = "嚎风峡湾",
                                        },
                                    ["xCoord"] = 30,
                                    ["yCoord"] = 28
                                }
                        }
                },
            [2]={["EndOfRow"] = true}
        }
}
