﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["FrenzyheartTribe"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Rune_14",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Frenzyheart Tribe",
            ["deDE"] = "Stamm der Wildherzen",
            ["frFR"] = "Tribu Fr\195\169n\195\169c\197\147ur",
            ["zhTW"] = "狂心部族",
			["zhCN"] = "狂心氏族",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "FT",
            ["deDE"] = "SW",
            ["frFR"] = "TF",
            ["zhTW"] = "狂心",
			["zhCN"] = "狂心",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "ChickenParty",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Magic_PolymorphChicken",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Chicken Party!",
                                    ["deDE"] = "Hühnerparty!",
                                    ["frFR"] = "Des poulets et des varleus",
                                    ["zhTW"] = "雞派對!",
									["zhCN"] = "抓鸡狂欢节！",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [38483] =
                                {
                                    ["Count"] = 12, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Captured Chicken",
                                            ["deDE"] = "Gefangenes Huhn",
                                            ["frFR"] = "Poulet captur\195\169",
                                            ["zhTW"] = "被捉的雞",
											["zhCN"] = "被抓住的小鸡",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["FrenzyheartTribe"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Elder Harkek",
                                            ["deDE"] = "Ältester Harkek",
                                            ["frFR"] = "Ancien Harkek",
                                            ["zhTW"] = "長者哈爾凱克",
											["zhCN"] = "长者哈尔卡克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholazarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 55,
                                    ["yCoord"] = 69
                                }
                        }
                },
            [2]={["EndOfRow"] = true},
            [3]={
                    ["Quest"] = "KartaksRampage",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_LifeDrain",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Kartak's Rampage",
                                    ["deDE"] = "Kartaks Wut",
                                    ["frFR"] = "Le massacre de Kartak",
                                    ["zhTW"] = "卡爾塔克的衝撞",
									["zhCN"] = "卡塔克的愤怒",
                                }
                        },
                    ["RepValue"] = 700,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Sparktouched Gorloc",
                                            ["deDE"] = "Funkenbesprühter Gorloc",
                                            ["frFR"] = "Gorloc touch\195\169tincelle",
                                            ["zhTW"] = "炫觸戈洛克",
											["zhCN"] = "灵鳍鳄鱼人",
                                        },
                                    ["Count"] = 50
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Vekgar is offered per day.",
                            ["deDE"] = "Vekgar bietet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par Vekgar.",
                            ["zhTW"] = "費克嘎每天僅提供一個任務。",
							["zhCN"] = "维克加每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["FrenzyheartTribe"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Shaman Jakjek",
                                            ["deDE"] = "Schamane Jakjek",
                                            ["frFR"] = "Chaman Jakjek",
                                            ["zhTW"] = "薩滿賈克杰克",
											["zhCN"] = "萨满祭司亚克耶克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholazarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 23,
                                    ["yCoord"] = 83
                                }
                        }
                },
            [4]={
                    ["Quest"] = "ToolsofWar",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bone_09",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Tools of War",
                                    ["deDE"] = "Instrument des Krieges",
                                    ["frFR"] = "De dr\195\180le d'outils de guerre",
                                    ["zhTW"] = "戰爭工具",
									["zhCN"] = "战争的工具",
                                }
                        },
                    ["RepValue"] = 700,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Sparktouched Gorloc",
                                            ["deDE"] = "Funkenbesprühter Gorloc",
                                            ["frFR"] = "Gorloc touch\195\169tincelle",
                                            ["zhTW"] = "炫觸戈洛克",
											["zhCN"] = "灵鳍鳄鱼人",
                                        },
                                    ["Count"] = 50
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Vekgar is offered per day.",
                            ["deDE"] = "Vekgar bietet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par Vekgar.",
                            ["zhTW"] = "費克嘎每天僅提供一個任務。",
							["zhCN"] = "维克加每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["FrenzyheartTribe"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Shaman Jakjek",
                                            ["deDE"] = "Shaman Jakjek",
                                            ["frFR"] = "Chaman Jakjek",
                                            ["zhTW"] = "薩滿賈克杰克",
											["zhCN"] = "萨满祭司亚克耶克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 23,
                                    ["yCoord"] = 83
                                }
                        }
                },
            [5]={
                    ["Quest"] = "SecretStrengthoftheFrenzyheart",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Drink_05",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Secret Strength of the Frenzyheart",
                                    ["deDE"] = "Geheime Kraft der Wildherzen",
                                    ["frFR"] = "La puissance secr\195\168te des Fr\195\169n\195\169c\197\147urs",
                                    ["zhTW"] = "狂心的秘密力量",
									["zhCN"] = "狂心氏族的秘密武器",
                                }
                        },
                    ["RepValue"] = 700,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [39737] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Secret Strength of the Frenzyheart",
                                            ["deDE"] = "Geheime Kraft der Wildherzen",
                                            ["frFR"] = "Force secr\195\168te des Fr\195\169n\195\169c\197\147ur",
                                            ["zhTW"] = "狂心的秘密力量",
											["zhCN"] = "狂心氏族的秘密武器",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Sparktouched Gorloc",
                                            ["deDE"] = "Funkenbesprühter Gorloc",
                                            ["frFR"] = "Gorloc touch\195\169tincelle",
                                            ["zhTW"] = "炫觸戈洛克",
											["zhCN"] = "灵鳍鳄鱼人",
                                        },
                                    ["Count"] = 30
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Vekgar is offered per day.",
                            ["deDE"] = "Vekgar bietet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par Vekgar.",
                            ["zhTW"] = "費克嘎每天僅提供一個任務。",
							["zhCN"] = "维克加每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 78,
                    ["RepRequirements"] =
                        {
                            ["FrenzyheartTribe"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Shaman Jakjek",
                                            ["deDE"] = "Schamane Jakjek",
                                            ["frFR"] = "Chaman Jakjek",
                                            ["zhTW"] = "薩滿賈克杰克",
											["zhCN"] = "萨满祭司亚克耶克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 23,
                                    ["yCoord"] = 83
                                }
                        }
                },
            [6]={["EndOfRow"] = true},
            [7]={
                    ["Quest"] = "RejekFirstBlood",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Sword_103",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Rejek: First Blood",
                                    ["deDE"] = "Rejek: Erstes Blut",
                                    ["frFR"] = "Rejek : le premier sang",
                                    ["zhTW"] = "瑞傑克:第一滴血",
									["zhCN"] = "雷耶克：第一滴血",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Blade blooded on Sapphire Hive Wasp",
                                            ["deDE"] = "Klinge in Blut einer saphirblauen Schwarmwespe getaucht",
                                            ["frFR"] = "Sang de gu\195\170pe de la ruche Saphir tir\195\169",
                                            ["zhTW"] = "劍刃沾上天藍蜂巢黃蜂血",
											["zhCN"] = "用蓝玉虫巢巨蜂的鲜血祭剑",
                                        },
                                    ["Count"] = 0
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Blade blooded on Hardknuckle Charger",
                                            ["deDE"] = "Klinge in Blut eines Hartknöchelstürmers gebadet",
                                            ["frFR"] = "Sang de Fonceur poing-dur tir\195\169",
                                            ["zhTW"] = "劍刃沾上兇殘的鬃松血",
											["zhCN"] = "用硬皮冲锋者的鲜血祭剑",
                                        },
                                    ["Count"] = 0
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 3,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Blade blooded on Mistwhisper members",
                                            ["deDE"] = "Klinge in Blut der Nebelflüsterer gebadet",
                                            ["frFR"] = "Sang de la tribu murmebrume tir\195\169",
                                            ["zhTW"] = "劍刃沾上霧語成員之血",
											["zhCN"] = "用雾语氏族成员的鲜血祭剑",
                                        },
                                    ["Count"] = 3
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Rejek is offered per day.",
                            ["deDE"] = "Rejek bietet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par Rejek.",
                            ["zhTW"] = "瑞傑克每天僅提供一個任務。",
							["zhCN"] = "雷耶克每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["FrenzyheartTribe"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rejek",
                                            ["deDE"] = "Rejek",
                                            ["frFR"] = "Rejek",
                                            ["zhTW"] = "瑞傑克",
											["zhCN"] = "雷耶克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 56,
                                    ["yCoord"] = 69
                                }
                        }
                },
            [8]={
                    ["Quest"] = "AHerosHeadgear",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Helmet_97",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "A Hero's Headgear",
                                    ["deDE"] = "Des Helden Helm",
                                    ["frFR"] = "Un couvre-chef de h\195\169ros",
                                    ["zhTW"] = "英雄的頭盔",
									["zhCN"] = "英雄的头盔",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [39667] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Stormwatcher's Head",
                                            ["deDE"] = "Kopf des Sturmbetrachters",
                                            ["frFR"] = "T\195\170te de Guette-temp\195\170te",
                                            ["zhTW"] = "風暴看守者的頭顱",
											["zhCN"] = "风暴看守的头颅",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Rejek is offered per day.",
                            ["deDE"] = "Rejek bietet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par Rejek.",
                            ["zhTW"] = "瑞傑克每天僅提供一個任務。",
							["zhCN"] = "雷耶克每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["FrenzyheartTribe"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rejek",
                                            ["deDE"] = "Rejek",
                                            ["frFR"] = "Rejek",
                                            ["zhTW"] = "瑞傑克",
											["zhCN"] = "雷耶克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 56,
                                    ["yCoord"] = 69
                                }
                        }
                },
            [9]={
                    ["Quest"] = "StrengthoftheTempest",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Nature_StormReach",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Strength of the Tempest",
                                    ["deDE"] = "Kraft des Sturms",
                                    ["frFR"] = "La puissance de la temp\195\170te",
                                    ["zhTW"] = "暴風的力量",
									["zhCN"] = "雷雨之力",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [39614] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "True Power of the Tempest",
                                            ["deDE"] = "Wahre Macht des Sturms",
                                            ["frFR"] = "V\195\169ritable pouvoir de la temp\195\170te",
                                            ["zhTW"] = "暴風雨的真實力量",
											["zhCN"] = "真正的雷雨之力",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Rejek is offered per day.",
                            ["deDE"] = "Rejek bietet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par Rejek.",
                            ["zhTW"] = "瑞傑克每天僅提供一個任務。",
							["zhCN"] = "雷耶克每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["FrenzyheartTribe"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rejek",
                                            ["deDE"] = "Rejek",
                                            ["frFR"] = "Rejek",
                                            ["zhTW"] = "瑞傑克",
											["zhCN"] = "雷耶克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 56,
                                    ["yCoord"] = 69
                                }
                        }
                },
            [10]={
                    ["Quest"] = "TheHeartbloodsStrength",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Potion_36",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Heartblood's Strength",
                                    ["deDE"] = "Des Herzbluts Stärke",
                                    ["frFR"] = "La force du sang du c\197\147ur",
                                    ["zhTW"] = "心臟血液的力量",
									["zhCN"] = "心血之力",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [39575] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Suntouched Heartblood",
                                            ["deDE"] = "Sonnenstrahlherzblut",
                                            ["frFR"] = "Sang du c\197\147ur de Solegr\195\162ce",
                                            ["zhTW"] = "日觸心臟血液",
											["zhCN"] = "日灼心血",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Rejek is offered per day.",
                            ["deDE"] = "Rejek bietet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par Rejek.",
                            ["zhTW"] = "瑞傑克每天僅提供一個任務。",
							["zhCN"] = "雷耶克每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["FrenzyheartTribe"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rejek",
                                            ["deDE"] = "Rejek",
                                            ["frFR"] = "Rejek",
                                            ["zhTW"] = "瑞傑克",
											["zhCN"] = "雷耶克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 56,
                                    ["yCoord"] = 69
                                }
                        }
                },
            [11]={["EndOfRow"] = true}
        }
}
