﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Frostborn"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Alliance",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Hammer_01",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Frostborn",
            ["deDE"] = "Die Frosterben",
            ["frFR"] = "Les Givre-n\195\169s",
            ["zhTW"] = "霜誕矮人",
			["zhCN"] = "霜脉矮人",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Fb",
            ["deDE"] = "Fe",
            ["frFR"] = "GN",
            ["zhTW"] = "霜誕",
			["zhCN"] = "霜脉",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "Pushed Too Far",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Hammer_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Pushed Too Far",
                                    ["deDE"] = "Zu weit getrieben",
                                    ["frFR"] = "Trop loin",
                                    ["zhTW"] = "逼人太甚",
									["zhCN"] = "地盘之争",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Stormpeak Wyrm slain",
                                            ["deDE"] = "Sturmgipfelwyrm",
                                            ["frFR"] = "Wyrm foudrepic tu\195\169",
                                            ["zhTW"] = "殺死風暴巔巨龍",
											["zhCN"] = "消灭风暴峭壁巨龙",
                                        },
                                    ["Count"] = 16
                                }
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Fjorlin Frostbrow",
                                            ["deDE"] = "Fjorlin Frostbraue",
                                            ["frFR"] = "Fjorlin Front-de-givre",
                                            ["zhTW"] = "弗尤林·霜眉",
											["zhCN"] = "弗亚林·霜眉",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
											["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 29,
                                    ["yCoord"] = 75
                                }
                        }
                },
            [2]={["EndOfRow"] = true}
        }
}
