﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Kaluak"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Fishingpole_03",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Kalu'ak",
            ["deDE"] = "Die Kalu'ak",
            ["frFR"] = "Les Kalu'aks",
            ["zhTW"] = "卡魯耶克",
			["zhCN"] = "卡鲁亚克",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Kal",
            ["deDE"] = "Kal",
            ["frFR"] = "Kal",
            ["zhTW"] = "卡魯耶克",
			["zhCN"] = "卡鲁亚克",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "PreparingfortheWorst",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Crate_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Preparing for the Worst",
                                    ["deDE"] = "Auf das Schlimmste gefasst sein",
                                    ["frFR"] = "Se pr\195\169parer au pire",
                                    ["zhTW"] = "作最壞的打算",
									["zhCN"] = "做最坏的打算",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [35711] =
                                {
                                    ["Count"] = 8, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Kaskala Supplies",
                                            ["deDE"] = "Vorräte von Kaskala",
                                            ["frFR"] = "Fournitures de Kaskala",
                                            ["zhTW"] = "卡斯卡拉補給品",
											["zhCN"] = "卡斯卡拉补给品",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 69,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Utaik",
                                            ["deDE"] = "Utaik",
                                            ["frFR"] = "Utaik",
                                            ["zhTW"] = "戊塔克",
											["zhCN"] = "乌泰克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Borean Tundra",
                                            ["deDE"] = "Boreanische Tundra",
                                            ["frFR"] = "Toundra bor\195\169enne",
                                            ["zhTW"] = "北風凍原",
											["zhCN"] = "北风苔原",
                                        },
                                    ["xCoord"] = 63,
                                    ["yCoord"] = 45
                                }
                        }
                },
            [2]={
                    ["Quest"] = "PlanningfortheFuture",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Head_Gnoll_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Planning for the Future",
                                    ["deDE"] = "Zukunftsplanungen",
                                    ["frFR"] = "Pr\195\169parer l'avenir",
                                    ["zhTW"] = "計畫未來",
									["zhCN"] = "未来的种子",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [35692] =
                                {
                                    ["Count"] = 12, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Snowfall Glade Pup",
                                            ["deDE"] = "Schneewehenwelpe",
                                            ["frFR"] = "Louveteau de la clairi\195\168re de Tombeneige",
                                            ["zhTW"] = "落雪林地小熊怪",
											["zhCN"] = "飘雪林地幼崽",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 71,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Trapper Mau'i",
                                            ["deDE"] = "Fallensteller Mau'i",
                                            ["frFR"] = "Trappeur Mau'i",
                                            ["zhTW"] = "陷捕者茂伊",
											["zhCN"] = "猎手莫伊",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Dragonblight",
                                            ["deDE"] = "Drachenöde",
                                            ["frFR"] = "D\195\169solation des dragons",
                                            ["zhTW"] = "龍骨荒野",
											["zhCN"] = "龙骨荒野",
                                        },
                                    ["xCoord"] = 48,
                                    ["yCoord"] = 74
                                }
                        }
                },
            [3]={
                    ["Quest"] = "TheWaytoHisHeart",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Fish_09",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Way to His Heart...",
                                    ["deDE"] = "Der Weg zu seinem Herzen...",
                                    ["frFR"] = "Le chemin de son c\197\147ur",
                                    ["zhTW"] = "傳遞心意……",
									["zhCN"] = "心心相印……",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Reef Bull led to a Reef Cow",
                                            ["deDE"] = "Riffbulle zu einer Riffkuh geführt",
                                            ["frFR"] = "Otarie m\195\162le men\195\169e \195\160 une femelle",
                                            ["zhTW"] = "引導暗礁公海獅至暗礁母海獅面前",
											["zhCN"] = "引导雄性暗礁海狮来到雌性暗礁海狮身边",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 71,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Anuniaq",
                                            ["deDE"] = "Anuniaq",
                                            ["frFR"] = "Anuniaq",
                                            ["zhTW"] = "安努尼亞克",
											["zhCN"] = "阿努尼克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Howling Fjord",
                                            ["deDE"] = "Heulender Fjord",
                                            ["frFR"] = "Fjord hurlant",
                                            ["zhTW"] = "凜風峽灣",
											["zhCN"] = "嚎风峡湾",
                                        },
                                    ["xCoord"] = 24,
                                    ["yCoord"] = 58
                                }
                        }
                },
            [4]={["EndOfRow"] = true}
        }
}
