﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["KnightsoftheEbonBlade"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Weapon_Hand_01",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Knights of the Ebon Blade",
            ["deDE"] = "Ritter der Schwarzen Klinge",
            ["frFR"] = "Chevaliers de la Lame d'\195\169b\195\168ne",
            ["zhTW"] = "黯刃騎士團",
			["zhCN"] = "黑锋骑士团",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "KEB",
            ["deDE"] = "RSK",
            ["frFR"] = "CLE",
            ["zhTW"] = "黯刃騎士",
			["zhCN"] = "黑锋骑士",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "FromTheirCorpsesRise",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Potion_54",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "From Their Corpses, Rise!",
                                    ["deDE"] = "Erhebt euch von den Toten!",
                                    ["frFR"] = "R\195\169animez leurs cadavres !",
                                    ["zhTW"] = "從他們的屍體上復甦!",
									["zhCN"] = "转化尸体",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Scarlet Onslaught corpse tranformed",
                                            ["deDE"] = "Leiche des Scharlachroten Ansturms transformiert",
                                            ["frFR"] = "Cadavre de l'Assaut \195\169carlate transform\195\169",
                                            ["zhTW"] = "轉變血色突襲軍屍體",
											["zhCN"] = "转化血色先锋军成员的尸体",
                                        },
                                    ["Count"] = 10
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Setaal Darkmender",
                                            ["deDE"] = "Setaal Dunkelheiler",
                                            ["frFR"] = "Setaal Soignobscur",
                                            ["zhTW"] = "瑟塔爾·暗癒者",
											["zhCN"] = "希塔尔·达克门德",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 20,
                                    ["yCoord"] = 48
                                }
                        }
                },
            [2]={
                    ["Quest"] = "IntelligenceGathering",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Letter_14",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Intelligence Gathering",
                                    ["deDE"] = "Informationsbeschaffung",
                                    ["frFR"] = "Trouver des informations",
                                    ["zhTW"] = "情報收集",
									["zhCN"] = "收集情报",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [40640] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Onslaught Intel Documents",
                                            ["deDE"] = "Geheimdokumente des Ansturms",
                                            ["frFR"] = "Documents de renseignement de l'Assaut",
                                            ["zhTW"] = "突襲軍情報文件",
											["zhCN"] = "先锋军情报文档",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Aurochs Grimbane",
                                            ["deDE"] = "Aurochs Grimmbann",
                                            ["frFR"] = "Morneplaie des aurochs",
                                            ["zhTW"] = "野牛·厲禍",
											["zhCN"] = "奥卢克斯·邪鬃",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 19,
                                    ["yCoord"] = 48
                                }
                        }
                },
            [3]={
                    ["Quest"] = "NoFlyZone",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Ability_Mount_Undeadhorse",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "No Fly Zone",
                                    ["deDE"] = "Flugsperrzone",
                                    ["frFR"] = "Zone d'exclusion a\195\169rienne",
                                    ["zhTW"] = "禁航區",
									["zhCN"] = "禁飞区",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Onslaught Gryphon Rider slain",
                                            ["deDE"] = "Greifenreiter des Ansturms",
                                            ["frFR"] = "Chevaucheur de griffons de l'Assaut tu\195\169",
                                            ["zhTW"] = "殺死突襲軍獅鷲騎士",
											["zhCN"] = "消灭先锋军狮鹫骑士",
                                        },
                                    ["Count"] = 10
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Uzo Deathcaller",
                                            ["deDE"] = "Uzo Todesrufer",
                                            ["frFR"] = "Uzo Mandemort",
                                            ["zhTW"] = "烏佐·喚死者",
											["zhCN"] = "乌佐·唤亡者",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 19,
                                    ["yCoord"] = 47
                                }
                        }
                },
            [4]={["EndOfRow"] = true},
            [5]={
                    ["Quest"] = "LeaveOurMark",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Sword_126",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Leave Our Mark",
                                    ["deDE"] = "Setzt ein Zeichen",
                                    ["frFR"] = "Laisser notre marque",
                                    ["zhTW"] = "留下我們的記號",
									["zhCN"] = "彰显军威",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Ebon Blade Banner planted near vrykul corpse",
                                            ["deDE"] = "Banner der Schwarzen Klinge bei Vrykulleichen aufgestellt",
                                            ["frFR"] = "Banni\195\168re de la Lame d'\195\169b\195\168ne plant\195\169e pr\195\168s d'un cadavre vrykul",
                                            ["zhTW"] = "將黯刃旗幟插進維酷人的屍體",
											["zhCN"] = "将黑锋旗帜插在维库人的尸体附近",
                                        },
                                    ["Count"] = 15
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Baron Sliver",
                                            ["deDE"] = "Baron Splitter",
                                            ["frFR"] = "Baron Lesquille",
                                            ["zhTW"] = "史力弗男爵",
											["zhCN"] = "斯利文男爵",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 42,
                                    ["yCoord"] = 24
                                }
                        }
                },
            [6]={
                    ["Quest"] = "VileLikeFire",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Fire_LavaSpawn",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Vile Like Fire!",
                                    ["deDE"] = "Ekel mag Feuer!",
                                    ["frFR"] = "Vil aime feu !",
                                    ["zhTW"] = "暗邪愛看煙火秀!",
									["zhCN"] = "维尔喜欢火焰！",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Vrykul buildings set ablaze",
                                            ["deDE"] = "Vrykulgebäude in Brand gesetzt",
                                            ["frFR"] = "B\195\160timents vrykuls en flammes",
                                            ["zhTW"] = "維酷建築已被焚燬",
											["zhCN"] = "点燃维库人的建筑物",
                                        },
                                    ["Count"] = 8
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Vile",
                                            ["deDE"] = "Ekel",
                                            ["frFR"] = "Vil",
                                            ["zhTW"] = "暗邪",
											["zhCN"] = "维尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 43,
                                    ["yCoord"] = 24
                                }
                        }
                },
            [7]={
                    ["Quest"] = "ShootEmUp",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Spear_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Shoot 'Em Up",
                                    ["deDE"] = "Schießt sie ab!",
                                    ["frFR"] = "Descendez-les tous !",
                                    ["zhTW"] = "把他們射成刺蝟",
									["zhCN"] = "把它们打下来！",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Jotunheim Proto-Drakes & their riders shot down",
                                            ["deDE"] = "Protodrachen nebst Reiter von Jotunheim abgeschossen",
                                            ["frFR"] = "Proto-drakes jotunheim et leurs chevaucheurs abattus",
                                            ["zhTW"] = "卓頓海姆元龍和騎兵已被射下",
											["zhCN"] = "击落尤顿海姆的始祖龙以及它们的骑手",
                                        },
                                    ["Count"] = 15
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "The Leaper",
                                            ["deDE"] = "Der Springer",
                                            ["frFR"] = "Le Bondisseur",
                                            ["zhTW"] = "跳躍者",
											["zhCN"] = "跳跃者",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 45,
                                    ["yCoord"] = 23
                                }
                        }
                },
            [8]={["EndOfRow"] = true}
        }
}
