﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["LowerCity"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Feather_06",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Lower City",
            ["deDE"] = "Unteres Viertel",
            ["frFR"] = "Ville basse",
            ["zhTW"] = "陰鬱城",
			["zhCN"] = "贫民窟",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "LC",
            ["deDE"] = "UV",
            ["frFR"] = "VB",
            ["zhTW"] = "陰鬱城",
			["zhCN"] = "贫民窟",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "ArakkoaFeather",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Feather_06",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Feathers",
                                    ["deDE"] = "Mehr Federn",
                                    ["frFR"] = "Plus de plumes",
                                    ["zhTW"] = "更多的羽毛",
									["zhCN"] = "更多羽毛",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [25719] = 
                                {
                                    ["Count"] = 30,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Arakkoa Feather",
                                            ["deDE"] = "Arakkoafeder",
                                            ["frFR"] = "Plume d'arakkoa",
                                            ["zhTW"] = "阿拉卡羽毛",
											["zhCN"] = "鸦人的羽毛",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["LowerCity"] =
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Vekax",
                                            ["deDE"] = "Vekax",
                                            ["frFR"] = "Vekax",
                                            ["zhTW"] = "威卡斯",
											["zhCN"] = "维卡克斯",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 52,
                                    ["yCoord"] = 18
                                }
                        }
                },
            [2]={["EndOfRow"] = true}
        }
}
