﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Netherwing"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\Ability_Mount_NetherdrakePurple",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Netherwing",
            ["deDE"] = "Netherschwingen",
            ["frFR"] = "Aile-du-N\195\169ant",
            ["zhTW"] = "虛空之翼",
			["zhCN"] = "灵翼之龙",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "NW",
            ["deDE"] = "NW",
            ["frFR"] = "AN",
            ["zhTW"] = "虛空之翼",
			["zhCN"] = "灵翼之龙",
        },

    ["StartingRep"] = -42000,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "NetherciteOre",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Ore_Ethernium_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Nethercite Ore",
                                    ["deDE"] = "Netheriterz",
                                    ["frFR"] = "Du minerai de n\195\169anticite",
                                    ["zhTW"] = "虛空傳喚礦石",
									["zhCN"] = "虚空矿石",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [32464] = 
                                {
                                    ["Count"] = 40,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Nethercite Ore",
                                            ["deDE"] = "Netheriterz",
                                            ["frFR"] = "Minerai de n\195\169anticite",
                                            ["zhTW"] = "虛空傳喚礦石",
											["zhCN"] = "虚空矿石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Taskmaster Varkule Dragonbreath",
                                            ["deDE"] = "Zuchtmeister Varkule Drachenodem",
                                            ["frFR"] = "Sous-chef Varkule Souffle-de-dragon",
                                            ["zhTW"] = "監工瓦庫歐·龍息",
											["zhCN"] = "工头瓦尔库勒·龙息",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [2]={
                    ["Quest"] = "NetherdustPollen",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Enchant_DustSoul",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Netherdust Pollen",
                                    ["deDE"] = "Netherstaubpollen",
                                    ["frFR"] = "Du pollen de pruin\195\169ante",
                                    ["zhTW"] = "虛空之塵花粉",
									["zhCN"] = "灵尘花粉",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [32468] = 
                                {
                                    ["Count"] = 40,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Netherdust Pollen",
                                            ["deDE"] = "Netherstaubpollen",
                                            ["frFR"] = "Pollen de pruin\195\169ante",
                                            ["zhTW"] = "虛空之塵花粉",
											["zhCN"] = "灵尘花粉",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Taskmaster Varkule Dragonbreath",
                                            ["deDE"] = "Zuchtmeister Varkule Drachenodem",
                                            ["frFR"] = "Sous-chef Varkule Souffle-de-dragon",
                                            ["zhTW"] = "監工瓦庫歐·龍息",
											["zhCN"] = "工头瓦尔库勒·龙息",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [3]={
                    ["Quest"] = "NethermineFlayerHide",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Rune_12",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Nethermine Flayer Hides",
                                    ["deDE"] = "Balg eines Netherminenschinders",
                                    ["frFR"] = "Des peaux d'\195\169corcheurs mine-n\195\169ant",
                                    ["zhTW"] = "虛空礦坑鐮奪怪皮革",
									["zhCN"] = "虚空矿洞剥石者的外皮",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [32470] = 
                                {
                                    ["Count"] = 40,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Nethermine Flayer Hide",
                                            ["deDE"] = "Balg eines Netherminenschinders",
                                            ["frFR"] = "Peau d'\195\169corcheur mine-n\195\169ant",
                                            ["zhTW"] = "虛空礦坑鐮奪怪皮革",
											["zhCN"] = "虚空矿洞剥石者的外皮",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Taskmaster Varkule Dragonbreath",
                                            ["deDE"] = "Zuchtmeister Varkule Drachenodem",
                                            ["frFR"] = "Sous-chef Varkule Souffle-de-dragon",
                                            ["zhTW"] = "監工瓦庫歐·龍息",
											["zhCN"] = "工头瓦尔库勒·龙息",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [4]={
                    ["Quest"] = "NetherwingCrystal",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_CrystalCut_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Netherwing Crystal",
                                    ["deDE"] = "Kristalle der Netherschwingen",
                                    ["frFR"] = "Les cristaux de l'Aile-du-N\195\169ant",
                                    ["zhTW"] = "虛空之翼水晶",
									["zhCN"] = "灵翼水晶",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [32427] = 
                                {
                                    ["Count"] = 30,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Netherwing Crystal",
                                            ["deDE"] = "Kristall der Netherschwingen",
                                            ["frFR"] = "Cristal de l'Aile-du-N\195\169ant",
                                            ["zhTW"] = "虛空之翼水晶",
											["zhCN"] = "灵翼水晶",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Taskmaster Varkule Dragonbreath",
                                            ["deDE"] = "Zuchtmeister Varkule Drachenodem",
                                            ["frFR"] = "Sous-chef Varkule Souffle-de-dragon",
                                            ["zhTW"] = "監工瓦庫歐·龍息",
											["zhCN"] = "工头瓦尔库勒·龙息",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [5]={
                    ["Quest"] = "NetherwingEgg",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_ShadowEgg",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Accepting All Eggs",
                                    ["deDE"] = "Immer her mit den Eiern",
                                    ["frFR"] = "Tous les ufs sont bons \195\160 prendre",
                                    ["zhTW"] = "接受所有的蛋",
									["zhCN"] = "所有的龙卵",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [32506] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Netherwing Egg",
                                            ["deDE"] = "Ei der Netherschwingen",
                                            ["frFR"] = "Oeuf de l'Aile-du-N\195\169ant",
                                            ["zhTW"] = "虛空之翼蛋",
											["zhCN"] = "灵翼龙卵 ",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Yarzill the Merc",
                                            ["deDE"] = "Yarzill der Söldner",
                                            ["frFR"] = "Yarzill le Mercenaire",
                                            ["zhTW"] = "商人亞吉歐",
											["zhCN"] = "雇佣兵亚兹尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [6]={["EndOfRow"] = true},
            [7]={
                    ["Quest"] = "ASlowDeath",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Food_60",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "A Slow Death",
                                    ["deDE"] = "Ein langsamer Tod",
                                    ["frFR"] = "Une mort lente",
                                    ["zhTW"] = "慢速死亡",
									["zhCN"] = "缓慢的死亡",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Camps Poisoned",
                                            ["deDE"] = "Peonlager des Drachenmals vergiftet",
                                            ["frFR"] = "Camp de p\195\169ons Gueules-de-dragon empoisonn\195\169",
                                            ["zhTW"] = "已毒害龍喉苦工營地",
											["zhCN"] = "在龙喉苦工营地投毒",
                                        },
                                    ["Count"] = 12
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Yarzill the Merc",
                                            ["deDE"] = "Yarzill der Söldner",
                                            ["frFR"] = "Yarzill le Mercenaire",
                                            ["zhTW"] = "商人亞吉歐",
											["zhCN"] = "雇佣兵亚兹尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [8]={
                    ["Quest"] = "NetherwingRelic",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Blue",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Not-So-Friendly Skies...",
                                    ["deDE"] = "Ein Schatten am Horizont",
                                    ["frFR"] = "Les cieux pas si cl\195\169ments",
                                    ["zhTW"] = "不太友善的航線……",
									["zhCN"] = "危险的天空",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [32509] = 
                                {
                                    ["Count"] = 10,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Netherwing Relic",
                                            ["deDE"] = "Relikt der Netherschwingen",
                                            ["frFR"] = "Relique de l'Aile-du-N\195\169ant",
                                            ["zhTW"] = "虛空之翼聖物",
											["zhCN"] = "灵翼圣物",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Yarzill the Merc",
                                            ["deDE"] = "Yarzill der Söldner",
                                            ["frFR"] = "Yarzill le Mercenaire",
                                            ["zhTW"] = "商人亞吉歐",
											["zhCN"] = "雇佣兵亚兹尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [9]={
                    ["Quest"] = "Nethermine Cargo",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Crate_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Picking Up The Pieces...",
                                    ["deDE"] = "Die Dinge in den Griff bekommen...",
                                    ["frFR"] = "Ramasser les morceaux",
                                    ["zhTW"] = "拾起貨品……",
									["zhCN"] = "回收货物",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [32723] = 
                                {
                                    ["Count"] = 15,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Nethermine Cargo",
                                            ["deDE"] = "Fracht der Netherminen",
                                            ["frFR"] = "Cargaison de Mine-n\195\169ant",
                                            ["zhTW"] = "虛空礦坑貨品",
											["zhCN"] = "虚空矿洞的货物",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Mistress of the Mines",
                                            ["deDE"] = "Herrin der Minen",
                                            ["frFR"] = "Ma\195\174tresse des mines",
                                            ["zhTW"] = "礦坑夫人",
											["zhCN"] = "矿洞女王",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 63,
                                    ["yCoord"] = 87
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Mistress of the Mines",
                                            ["deDE"] = "Herrin der Minen",
                                            ["frFR"] = "Ma\195\174tresse des mines",
                                            ["zhTW"] = "礦坑夫人",
											["zhCN"] = "矿洞女王",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 65,
                                    ["yCoord"] = 90
                                }
                        }
                },
            [10]={["EndOfRow"] = true},
            [11]={
                    ["Quest"] = "TheBooterang",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Boots_Chain_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Booterang: A Cure For The Common Worthless Peon",
                                    ["deDE"] = "Der Schuhmerang: Das Mittel gegen den wertlosen Peon",
                                    ["frFR"] = "Le botterang : un traitement pour les p\195\169ons bons \195\160 rien",
                                    ["zhTW"] = "迴力靴:專治沒用的苦工",
									["zhCN"] = "训诫靴：懒惰苦工的惩戒",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Dragonmaw Peon Disciplined",
                                            ["deDE"] = "Peon des Drachenmals diszipliniert",
                                            ["frFR"] = "P\195\169on gueule-de-dragon mat\195\169",
                                            ["zhTW"] = "懲罰龍喉苦工",
											["zhCN"] = "教训龙喉苦工",
                                        },
                                    ["Count"] = 20
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Chief Overseer Mudlump",
                                            ["deDE"] = "Chefvorarbeiter Lehmklump",
                                            ["frFR"] = "Surveillant-chef Tadboue",
                                            ["zhTW"] = "大監督者馬朗",
											["zhCN"] = "高级监工玛德拉普",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [12]={
                    ["Quest"] = "DragonsAre",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_AhnQirajTrinket_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Dragons are the Least of Our Problems",
                                    ["deDE"] = "Drachen sind unsere geringste Sorge",
                                    ["frFR"] = "Les dragons sont les derniers de nos soucis",
                                    ["zhTW"] = "龍的問題不算什麼",
									["zhCN"] = "龙？不是问题",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Nethermine Flayers Slain",
                                            ["deDE"] = "Netherminenschinder getötet",
                                            ["frFR"] = "Ecorcheur mine-n\195\169ant tu\195\169",
                                            ["zhTW"] = "殺死: 虛空礦坑搶奪者",
											["zhCN"] = "杀死: 虚空矿洞剥石者",
                                        },
                                    ["Count"] = 15
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Nethermine Ravagers Slain",
                                            ["deDE"] = "Netherminenhetzer getötet",
                                            ["frFR"] = "Ravageur mine-n\195\169ant tu\195\169",
                                            ["zhTW"] = "殺死: 虛空礦坑劫掠者",
											["zhCN"] = "杀死: 虚空矿洞掠食者",
                                        },
                                    ["Count"] = 5
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Dragonmaw Foreman",
                                            ["deDE"] = "Vorarbeiter des Drachenmals",
                                            ["frFR"] = "Contrema\195\174tre Gueule-de-dragon",
                                            ["zhTW"] = "龍喉工頭",
											["zhCN"] = "龙喉工头",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 65,
                                    ["yCoord"] = 88
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Dragonmaw Foreman",
                                            ["deDE"] = "Vorarbeiter des Drachenmals",
                                            ["frFR"] = "Contrema\195\174tre Gueule-de-dragon",
                                            ["zhTW"] = "龍喉工頭",
											["zhCN"] = "龙喉工头",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 63,
                                    ["yCoord"] = 86
                                }
                        }
                },
            [13]={
                    ["Quest"] = "TwilightPortal",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Head_Orc_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Disrupting the Twilight Portal",
                                    ["deDE"] = "Schwächt das Portal des Zwielichts",
                                    ["frFR"] = "Perturber la Porte du cr\195\169puscule",
                                    ["zhTW"] = "瓦解暮光傳送門",
									["zhCN"] = "暮光岭的传送门",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Deathshadow Agents Slain",
                                            ["deDE"] = "Agent der Todesschatten getötet",
                                            ["frFR"] = "Agent ombremort tu\195\169",
                                            ["zhTW"] = "殺死: 死亡之影密探",
											["zhCN"] = "杀死: 死影密探",
                                        },
                                    ["Count"] = 20
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Overlord Mor'ghor",
                                            ["deDE"] = "Oberanführer Mor'ghor",
                                            ["frFR"] = "Suzerain Mor'ghor",
                                            ["zhTW"] = "霸主莫格",
											["zhCN"] = "莫格霍尔大王",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 85
                                }
                        }
                },
            [14]={
                    ["Quest"] = "DeadliestTrap",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Ability_Ensnare",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Deadliest Trap Ever Laid",
                                    ["deDE"] = "Die tödlichste Falle aller Zeiten",
                                    ["frFR"] = "Le plus mortel des pi\195\168ges",
                                    ["zhTW"] = "史上最致命的陷阱",
									["zhCN"] = "最致命的陷阱",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Dragonmaw Forces Defeated",
                                            ["deDE"] = "Streitkräfte des Drachenmals bezwungen",
                                            ["frFR"] = "Forces des Gueules-de-dragon vaincues",
                                            ["zhTW"] = "擊敗龍喉軍隊",
											["zhCN"] = "击败龙喉氏族的军队",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Netherwing"] =
                                {
                                    ["Min"] = 7
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Overlord Mor'ghor",
                                            ["deDE"] = "Oberanführer Mor'ghor",
                                            ["frFR"] = "Suzerain Mor'ghor",
                                            ["zhTW"] = "霸主莫格",
											["zhCN"] = "莫格霍尔大王",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 85
                                }
                        }
                },
            [15]={["EndOfRow"] = true}
        }
}
