﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Ogrila"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Statue_06",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Ogri'la",
            ["deDE"] = "Ogri'la",
            ["frFR"] = "Ogri'la",
            ["zhTW"] = "歐格利拉",
			["zhCN"] = "奥格瑞拉",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Og",
            ["deDE"] = "Og",
            ["frFR"] = "Og",
            ["zhTW"] = "歐格利拉",
			["zhCN"] = "奥格瑞拉",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "TheRelicsEmanation",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Apexis_Shard",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Relic's Emanation",
                                    ["deDE"] = "Die Strahlung des Relikts",
                                    ["frFR"] = "Les \195\169manations des reliques",
                                    ["zhTW"] = "聖物的增益",
									["zhCN"] = "埃匹希斯的顿悟",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Apexis Emanations attained",
                                            ["deDE"] = "Aura der Apexisstrahlung erhalten",
                                            ["frFR"] = "\195\169manations apogides obtenues",
                                            ["zhTW"] = "獲得頂尖放射",
											["zhCN"] = "获得埃匹希斯的顿悟效果",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Ogrila"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Chu'a'lor",
                                            ["deDE"] = "Chu'a'lor",
                                            ["frFR"] = "Chu'a'lor",
                                            ["zhTW"] = "裘阿洛",
											["zhCN"] = "库洛尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blade's Edge Mountains",
                                            ["deDE"] = "Schergrat",
                                            ["frFR"] = "Les Tranchantes",
                                            ["zhTW"] = "劍刃山脈",
											["zhCN"] = "刀锋山",
                                        },
                                    ["xCoord"] = 28,
                                    ["yCoord"] = 57
                                }
                        }
                },
            [2]={
                    ["Quest"] = "BombThemAgain",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bomb_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Bomb Them Again!",
                                    ["deDE"] = "Und wieder ein Bombenangriff!",
                                    ["frFR"] = "Bombardez-les encore !",
                                    ["zhTW"] = "再度轟炸!",
									["zhCN"] = "继续轰炸！",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Fel Cannonball Stacks destroyed",
                                            ["deDE"] = "Stapel mit Teufelskanonenkugeln zerstört",
                                            ["frFR"] = "Piles de boulets de gangrecanon d\195\169truites",
                                            ["zhTW"] = "已摧毀惡魔砲彈堆",
											["zhCN"] = "炸毁邪能炮弹堆",
                                        },
                                    ["Count"] = 15
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Ogrila"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Sky Sergeant Vanderlip",
                                            ["deDE"] = "Himmelsoffizier Vanderlip",
                                            ["frFR"] = "Sergent Vanderlip de la Garde-ciel",
                                            ["zhTW"] = "天空士官樊德麗",
											["zhCN"] = "空军上尉范德里普",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blade's Edge Mountains",
                                            ["deDE"] = "Schergrat",
                                            ["frFR"] = "Les Tranchantes",
                                            ["zhTW"] = "劍刃山脈",
											["zhCN"] = "刀锋山",
                                        },
                                    ["xCoord"] = 27,
                                    ["yCoord"] = 52
                                }
                        }
                },
            [3]={
                    ["Quest"] = "WrangleMoreAetherRays",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Noose_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Wrangle More Aether Rays!",
                                    ["deDE"] = "Bändigt noch mehr Ätherrochen!",
                                    ["frFR"] = "Allez dompter dautres raies de l\195\169ther !",
                                    ["zhTW"] = "捆綁更多蒼穹鰭刺!",
									["zhCN"] = "捕捉更多以太鳐！",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Aether Rays wrangled",
                                            ["deDE"] = "Ätherrochen gebändigt",
                                            ["frFR"] = "Raies de l'\195\169ther dompt\195\169es",
                                            ["zhTW"] = "捆綁蒼穹鰭刺",
											["zhCN"] = "捕捉以太鳐",
                                        },
                                    ["Count"] = 5
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Ogrila"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Skyguard Khatie",
                                            ["deDE"] = "Himmelswache Khatie",
                                            ["frFR"] = "Garde-ciel Khatie",
                                            ["zhTW"] = "禦天者卡緹",
											["zhCN"] = "天空卫士卡提",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blade's Edge Mountains",
                                            ["deDE"] = "Schergrat",
                                            ["frFR"] = "Les Tranchantes",
                                            ["zhTW"] = "劍刃山脈",
											["zhCN"] = "刀锋山",
                                        },
                                    ["xCoord"] = 27,
                                    ["yCoord"] = 51
                                }
                        }
                },
            [4]={
                    ["Quest"] = "BanishMoreDemons",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_AzureDraenite_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Banish More Demons",
                                    ["deDE"] = "Bannt mehr Dämonen",
                                    ["frFR"] = "Bannissez plus de d\195\169mons",
                                    ["zhTW"] = "放逐更多惡魔",
									["zhCN"] = "放逐更多恶魔",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Demons banished",
                                            ["deDE"] = "Dämonen gebannt",
                                            ["frFR"] = "D\195\169mons bannis",
                                            ["zhTW"] = "已驅逐惡魔",
											["zhCN"] = "放逐恶魔",
                                        },
                                    ["Count"] = 15
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["Ogrila"] =
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Kronk",
                                            ["deDE"] = "Kronk",
                                            ["frFR"] = "Kronk",
                                            ["zhTW"] = "克朗克",
											["zhCN"] = "科隆克",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blade's Edge Mountains",
                                            ["deDE"] = "Schergrat",
                                            ["frFR"] = "Les Tranchantes",
                                            ["zhTW"] = "劍刃山脈",
											["zhCN"] = "刀锋山",
                                        },
                                    ["xCoord"] = 28,
                                    ["yCoord"] = 57
                                }
                        }
                },
            [5]={["EndOfRow"] = true}
        }
}
