﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Oracles"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Helmet_138",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Oracles",
            ["deDE"] = "Die Orakel",
            ["frFR"] = "Les Oracles",
            ["zhTW"] = "神諭者",
			["zhCN"] = "神谕者",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Ora",
            ["deDE"] = "Ora",
            ["frFR"] = "Ora",
            ["zhTW"] = "神諭者",
			["zhCN"] = "神谕者",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "AppeasingtheGreatRainStone",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_Variety_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Appeasing the Great Rain Stone",
                                    ["deDE"] = "Besänftigung des großen Regensteins",
                                    ["frFR"] = "Apaiser la pierre \195\160 Pluie toute-puissante",
                                    ["zhTW"] = "取悅偉大雨石",
									["zhCN"] = "取悦雨水巨石",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [38575] =
                                {
                                    ["Count"] = 6, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Shiny Treasures",
                                            ["deDE"] = "Glänzende Kostbarkeiten",
                                            ["frFR"] = "Un tr\195\169sor rutilant",
                                            ["zhTW"] = "閃亮的財寶",
											["zhCN"] = "闪闪发亮的宝贝",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["Oracles"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "High-Oracle Soo-say",
                                            ["deDE"] = "Oberstes Orakel Soo-say",
                                            ["frFR"] = "Haut-oracle Soo-pape",
                                            ["zhTW"] = "高階神諭者蘇楔",
											["zhCN"] = "高阶神谕者索乌塞",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 54,
                                    ["yCoord"] = 56
                                }
                        }
                },
            [2]={["EndOfRow"] = true},
            [3]={
                    ["Quest"] = "MasteryoftheCrystals",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_EmeraldRough_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Mastery of the Crystals",
                                    ["deDE"] = "Beherrschen der Kristalle",
                                    ["frFR"] = "La matrise des cristaux",
                                    ["zhTW"] = "水晶精通",
									["zhCN"] = "掌握水晶",
                                }
                        },
                    ["RepValue"] = 700,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Frenzyheart Attacker",
                                            ["deDE"] = "Wildherzangreifer",
                                            ["frFR"] = "Attaquant fr\195\169n\195\169c\197\147ur",
                                            ["zhTW"] = "狂心攻擊者",
											["zhCN"] = "狂心狼獾人",
                                        },
                                    ["Count"] = 50
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Oracle Soo-dow is offered per day.",
                            ["deDE"] = "Orakel Soo-dow bitet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par l'Oracle Soo-daucou.",
                            ["zhTW"] = "神諭者蘇竇每天僅提供一個任務。",
							["zhCN"] = "神谕者索乌多乌每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["Oracles"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lightningcaller Soo-met",
                                            ["deDE"] = "Blitzrufer Soo-met",
                                            ["frFR"] = "Mandefoudre Soo-briquet",
                                            ["zhTW"] = "喚雷者蘇邁特",
											["zhCN"] = "唤雷者索乌米特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 33,
                                    ["yCoord"] = 75
                                }
                        }
                },
            [4]={
                    ["Quest"] = "WilloftheTitans",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_DataCrystal11",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Will of the Titans",
                                    ["deDE"] = "Wille der Titanen",
                                    ["frFR"] = "La volont\195\169 des titans",
                                    ["zhTW"] = "泰坦的意志",
									["zhCN"] = "泰坦的意志",
                                }
                        },
                    ["RepValue"] = 700,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Frenzyheart Attacker",
                                            ["deDE"] = "Wildherzangreifer",
                                            ["frFR"] = "Attaquant fr\195\169n\195\169c\197\147ur",
                                            ["zhTW"] = "狂心攻擊者",
											["zhCN"] = "狂心狼獾人",
                                        },
                                    ["Count"] = 50
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Oracle Soo-dow is offered per day.",
                            ["deDE"] = "Orakel Soo-dow bitet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par l'Oracle Soo-daucou.",
                            ["zhTW"] = "神諭者蘇竇每天僅提供一個任務。",
							["zhCN"] = "神谕者索乌多乌每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["Oracles"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lightningcaller Soo-met",
                                            ["deDE"] = "Blitzrufer Soo-met",
                                            ["frFR"] = "Mandefoudre Soo-briquet",
                                            ["zhTW"] = "喚雷者蘇邁特",
											["zhCN"] = "唤雷者索乌米特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 33,
                                    ["yCoord"] = 75
                                }
                        }
                },
            [5]={
                    ["Quest"] = "PoweroftheGreatOnes",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_Pearl_06",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Power of the Great Ones",
                                    ["deDE"] = "Macht der Großen",
                                    ["frFR"] = "Le pouvoir des Tout-puissants",
                                    ["zhTW"] = "偉大諸神的力量",
									["zhCN"] = "造物主的力量",
                                }
                        },
                    ["RepValue"] = 700,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [39748] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Energized Polished Crystal",
                                            ["deDE"] = "Energiegeladener polierter Kristall",
                                            ["frFR"] = "Cristal poli \195\169nergis\195\169",
                                            ["zhTW"] = "充能拋光水晶",
											["zhCN"] = "充能的无瑕水晶",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Frenzyheart Attacker",
                                            ["deDE"] = "Wildherzangreifer",
                                            ["frFR"] = "Attaquant fr\195\169n\195\169c\197\147ur",
                                            ["zhTW"] = "狂心攻擊者",
											["zhCN"] = "狂心狼獾人",
                                        },
                                    ["Count"] = 30
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Oracle Soo-dow is offered per day.",
                            ["deDE"] = "Orakel Soo-dow bitet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par l'Oracle Soo-daucou.",
                            ["zhTW"] = "神諭者蘇竇每天僅提供一個任務。",
							["zhCN"] = "神谕者索乌多乌每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["Oracles"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lightningcaller Soo-met",
                                            ["deDE"] = "Blitzrufer Soo-met",
                                            ["frFR"] = "Mandefoudre Soo-briquet",
                                            ["zhTW"] = "喚雷者蘇邁特",
											["zhCN"] = "唤雷者索乌米特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 33,
                                    ["yCoord"] = 75
                                }
                        }
                },
            [6]={["EndOfRow"] = true},
            [7]={
                    ["Quest"] = "ACleansingSong",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Necklace_20",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "A Cleansing Song",
                                    ["deDE"] = "Ein reinigendes Lied",
                                    ["frFR"] = "Un chant de purification",
                                    ["zhTW"] = "淨化之歌",
									["zhCN"] = "净化之歌",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Spirit of Atha",
                                            ["deDE"] = "Geist von Atha",
                                            ["frFR"] = "Esprit d'Atha",
                                            ["zhTW"] = "阿薩之靈",
											["zhCN"] = "阿沙之魂", -- Need Check
                                        },
                                    ["Count"] = 1
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Spirit of Ha-Khalan",
                                            ["deDE"] = "Geist von Ha-Khalan",
                                            ["frFR"] = "Esprit de Ha-Khalan",
                                            ["zhTW"] = "哈卡藍之靈",
											["zhCN"] = "哈尔卡兰之魂",
                                        },
                                    ["Count"] = 1
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 3,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Spirit of Koosu",
                                            ["deDE"] = "Geist von Koosu",
                                            ["frFR"] = "Esprit de Koosu",
                                            ["zhTW"] = "庫蘇之靈",
											["zhCN"] = "库乌苏之魂",
                                        },
                                    ["Count"] = 1
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Oracle Soo-nee is offered per day.",
                            ["deDE"] = "Orakel Soo-nee bitet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par l'Oracle Soo-premm.",
                            ["zhTW"] = "神諭者蘇睨每天僅提供一個任務。",
							["zhCN"] = "神谕者索乌尼每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["Oracles"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Oracle Soo-nee",
                                            ["deDE"] = "Orakel Soo-nee",
                                            ["frFR"] = "Oracle Soo-premm",
                                            ["zhTW"] = "神諭者蘇睨",
											["zhCN"] = "神谕者索乌尼",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 56
                                }
                        }
                },
            [8]={
                    ["Quest"] = "SongofFecundity",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Horn_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Song of Fecundity",
                                    ["deDE"] = "Lied der Fruchtbarkeit",
                                    ["frFR"] = "Song of Fecundity",
                                    ["zhTW"] = "豐饒之歌",
									["zhCN"] = "丰饶之歌",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Song of Fecundity played",
                                            ["deDE"] = "Lied der Fruchtbarkeit gespielt",
                                            ["frFR"] = "Un chant de f\195\169condit\195\169",
                                            ["zhTW"] = "演奏豐饒之歌",
											["zhCN"] = "演奏丰饶之歌",
                                        },
                                    ["Count"] = 8
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Oracle Soo-nee is offered per day.",
                            ["deDE"] = "Orakel Soo-nee bitet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par l'Oracle Soo-premm.",
                            ["zhTW"] = "神諭者蘇睨每天僅提供一個任務。",
							["zhCN"] = "神谕者索乌尼每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["Oracles"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Oracle Soo-nee",
                                            ["deDE"] = "Orakel Soo-nee",
                                            ["frFR"] = "Oracle Soo-premm",
                                            ["zhTW"] = "神諭者蘇睨",
											["zhCN"] = "神谕者索乌尼",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 56
                                }
                        }
                },
            [9]={
                    ["Quest"] = "SongofReflection",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Flute_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Song of Reflection",
                                    ["deDE"] = "Lied der Besinnung",
                                    ["frFR"] = "Un chant de r\195\169flexion",
                                    ["zhTW"] = "冥思之歌",
									["zhCN"] = "沉思之歌",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Contemplation at Glimmering Pillar",
                                            ["deDE"] = "Nachsinnen an der Schimmersäule",
                                            ["frFR"] = "Contemplation au pilier Scintillant",
                                            ["zhTW"] = "在微光之柱冥想",
											["zhCN"] = "在光芒之柱吹响沉思乐管",
                                        },
                                    ["Count"] = 0
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Contemplation at Mosslight Pillar",
                                            ["deDE"] = "Nachsinnen an der Mooslichtsäule",
                                            ["frFR"] = "Contemplation au pilier Mousselume",
                                            ["zhTW"] = "在苔光之柱冥想",
											["zhCN"] = "在苔光之柱吹响沉思乐管",
                                        },
                                    ["Count"] = 0
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 3,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Contemplation at Skyreach Pillar",
                                            ["deDE"] = "Nachsinnen an der Himmelszeltsäule",
                                            ["frFR"] = "Contemplation au pilier des Confins-du-ciel",
                                            ["zhTW"] = "在擎天之柱冥想",
											["zhCN"] = "在通天之柱吹响沉思乐管",
                                        },
                                    ["Count"] = 0
                                },
                            [4]={
                                    ["ObjectiveIndex"] = 4,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Contemplation at Suntouched Pillar",
                                            ["deDE"] = "Nachsinnen an der Sonnenstrahlsäule",
                                            ["frFR"] = "Contemplation au pilier Solegr\195\160ce",
                                            ["zhTW"] = "在日觸之柱冥想",
											["zhCN"] = "在日灼之柱吹响沉思乐管",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Oracle Soo-nee is offered per day.",
                            ["deDE"] = "Orakel Soo-nee bitet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par l'Oracle Soo-premm.",
                            ["zhTW"] = "神諭者蘇睨每天僅提供一個任務。",
							["zhCN"] = "神谕者索乌尼每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["Oracles"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Oracle Soo-nee",
                                            ["deDE"] = "Orakel Soo-nee",
                                            ["frFR"] = "Oracle Soo-premm",
                                            ["zhTW"] = "神諭者蘇睨",
											["zhCN"] = "神谕者索乌尼",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 56
                                }
                        }
                },
            [10]={
                    ["Quest"] = "SongofWindandWater",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Drum_07",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Song of Wind and Water",
                                    ["deDE"] = "Lied von Wind und Wasser",
                                    ["frFR"] = "Le chant du Vent et de l'Eau",
                                    ["zhTW"] = "风与水之歌",  --NEEDS CHECKED
									["zhCN"] = "风与水之歌",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Monsoon Revenant Devoured",
                                            ["deDE"] = "Aqueousgeist verschlungen",
                                            ["frFR"] = "Revenant de la mousson d\195\169vor\195\169",
                                            ["zhTW"] = "吞噬季風亡魄",
											["zhCN"] = "吞噬季风亡魂",
                                        },
                                    ["Count"] = 4
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Storm Revenant Devoured",
                                            ["deDE"] = "Sturmwiedergänger verschlungen",
                                            ["frFR"] = "Revenant des temp\195\170tes d\195\169vor\195\169",
                                            ["zhTW"] = "吞噬風暴亡魄",
											["zhCN"] = "吞噬风暴亡魂",
                                        },
                                    ["Count"] = 4
                                }
                        },
                    ["ExtraInfo"] = 
                        {
                            ["enUS"] = "Only one quest from Oracle Soo-nee is offered per day.",
                            ["deDE"] = "Orakel Soo-nee bitet nur 1 Quest pro Tag an.",
                            ["frFR"] = "Seulement une qu\195\170te est donn\195\169e par jour par l'Oracle Soo-premm.",
                            ["zhTW"] = "神諭者蘇睨每天僅提供一個任務。",
							["zhCN"] = "神谕者索乌尼每天仅提供一个任务。",
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["Oracles"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Oracle Soo-nee",
                                            ["deDE"] = "Orakel Soo-nee",
                                            ["frFR"] = "Oracle Soo-premm",
                                            ["zhTW"] = "神諭者蘇睨",
											["zhCN"] = "神谕者索乌尼",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Sholozar Basin",
                                            ["deDE"] = "Sholozarbecken",
                                            ["frFR"] = "Bassin de Sholazar",
                                            ["zhTW"] = "休拉薩盆地",
											["zhCN"] = "索拉查盆地",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 56
                                }
                        }
                },
            [11]={["EndOfRow"] = true}
        }
}
