﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Ratchet"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Bomb_04",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Ratchet",
            ["deDE"] = "Ratchet", --NOT TRANSLATED
            ["frFR"] = "Ratchet", --NOT TRANSLATED
            ["zhTW"] = "Ratchet", --NOT TRANSLATED
            ["zhCN"] = "Ratchet", --NOT TRANSLATED
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Ra",
            ["deDE"] = "Ra", --NOT TRANSLATED
            ["frFR"] = "Ra", --NOT TRANSLATED
            ["zhTW"] = "Ra", --NOT TRANSLATED
            ["zhCN"] = "Ra", --NOT TRANSLATED
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "TraitortotheBloodsail",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bandana_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Traitor to the Bloodsail",
                                    ["deDE"] = "Traitor to the Bloodsail", --NOT TRANSLATED
                                    ["frFR"] = "Traitor to the Bloodsail", --NOT TRANSLATED
                                    ["zhTW"] = "Traitor to the Bloodsail", --NOT TRANSLATED
                                    ["zhCN"] = "Traitor to the Bloodsail", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [4306] = 
                                {
                                    ["Count"] = 40,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Silk Cloth",
                                            ["deDE"] = "Silk Cloth", --NOT TRANSLATED
                                            ["frFR"] = "Silk Cloth", --NOT TRANSLATED
                                            ["zhTW"] = "Silk Cloth", --NOT TRANSLATED
                                            ["zhCN"] = "Silk Cloth", --NOT TRANSLATED
                                        }
                                },
                            [2604] = 
                                {
                                    ["Count"] = 4,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Red Dye",
                                            ["deDE"] = "Red Dye", --NOT TRANSLATED
                                            ["frFR"] = "Red Dye", --NOT TRANSLATED
                                            ["zhTW"] = "Red Dye", --NOT TRANSLATED
                                            ["zhCN"] = "Red Dye", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["BootyBay"] =
                                {
                                    ["Max"] = 3
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Bloodsail Traitor",
                                            ["deDE"] = "Bloodsail Traitor", --NOT TRANSLATED
                                            ["frFR"] = "Bloodsail Traitor", --NOT TRANSLATED
                                            ["zhTW"] = "Bloodsail Traitor", --NOT TRANSLATED
                                            ["zhCN"] = "Bloodsail Traitor", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Stranglethorn Vale", --NOT TRANSLATED
                                            ["frFR"] = "Stranglethorn Vale", --NOT TRANSLATED
                                            ["zhTW"] = "Stranglethorn Vale", --NOT TRANSLATED
                                            ["zhCN"] = "Stranglethorn Vale", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = 31,
                                    ["yCoord"] = 70
                                }
                        }
                },
            [2]={
                    ["Quest"] = "Making Amends",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Ore_Tin_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Making Amends",
                                    ["deDE"] = "Making Amends", --NOT TRANSLATED
                                    ["frFR"] = "Making Amends", --NOT TRANSLATED
                                    ["zhTW"] = "Making Amends", --NOT TRANSLATED
                                    ["zhCN"] = "Making Amends", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [14047] = 
                                {
                                    ["Count"] = 40,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Runecloth",
                                            ["deDE"] = "Runecloth", --NOT TRANSLATED
                                            ["frFR"] = "Runecloth", --NOT TRANSLATED
                                            ["zhTW"] = "Runecloth", --NOT TRANSLATED
                                            ["zhCN"] = "Runecloth", --NOT TRANSLATED
                                        }
                                },
                            [3857] = 
                                {
                                    ["Count"] = 4,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Coal",
                                            ["deDE"] = "Coal", --NOT TRANSLATED
                                            ["frFR"] = "Coal", --NOT TRANSLATED
                                            ["zhTW"] = "Coal", --NOT TRANSLATED
                                            ["zhCN"] = "Coal", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["Everlook"] =
                                {
                                    ["Max"] = 3
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Bronn Fitzwrench",
                                            ["deDE"] = "Bronn Fitzwrench", --NOT TRANSLATED
                                            ["frFR"] = "Bronn Fitzwrench", --NOT TRANSLATED
                                            ["zhTW"] = "Bronn Fitzwrench", --NOT TRANSLATED
                                            ["zhCN"] = "Bronn Fitzwrench", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Winterspring",
                                            ["deDE"] = "Winterspring", --NOT TRANSLATED
                                            ["frFR"] = "Winterspring", --NOT TRANSLATED
                                            ["zhTW"] = "Winterspring", --NOT TRANSLATED
                                            ["zhCN"] = "Winterspring", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = 59,
                                    ["yCoord"] = 39
                                }
                        }
                },
            [3]={
                    ["Quest"] = "WaratSea",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Ammo_Gunpowder_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "War at Sea",
                                    ["deDE"] = "War at Sea", --NOT TRANSLATED
                                    ["frFR"] = "War at Sea", --NOT TRANSLATED
                                    ["zhTW"] = "War at Sea", --NOT TRANSLATED
                                    ["zhCN"] = "War at Sea", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [4338] = 
                                {
                                    ["Count"] = 40,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Mageweave Cloth",
                                            ["deDE"] = "Mageweave Cloth", --NOT TRANSLATED
                                            ["frFR"] = "Mageweave Cloth", --NOT TRANSLATED
                                            ["zhTW"] = "Mageweave Cloth", --NOT TRANSLATED
                                            ["zhCN"] = "Mageweave Cloth", --NOT TRANSLATED
                                        }
                                },
                            [3466] = 
                                {
                                    ["Count"] = 4,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Strong Flux",
                                            ["deDE"] = "Strong Flux", --NOT TRANSLATED
                                            ["frFR"] = "Strong Flux", --NOT TRANSLATED
                                            ["zhTW"] = "Strong Flux", --NOT TRANSLATED
                                            ["zhCN"] = "Strong Flux", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["Gadgetzan"] =
                                {
                                    ["Max"] = 3
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rumsen Fizzlebrack",
                                            ["deDE"] = "Rumsen Fizzlebrack", --NOT TRANSLATED
                                            ["frFR"] = "Rumsen Fizzlebrack", --NOT TRANSLATED
                                            ["zhTW"] = "Rumsen Fizzlebrack", --NOT TRANSLATED
                                            ["zhCN"] = "Rumsen Fizzlebrack", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Tanaris",
                                            ["deDE"] = "Tanaris", --NOT TRANSLATED
                                            ["frFR"] = "Tanaris", --NOT TRANSLATED
                                            ["zhTW"] = "Tanaris", --NOT TRANSLATED
                                            ["zhCN"] = "Tanaris", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = 50,
                                    ["yCoord"] = 26
                                }
                        }
                },
            [4]={
                    ["Quest"] = "MendingOldWounds",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bandage_15",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Mending Old Wounds",
                                    ["deDE"] = "Mending Old Wounds", --NOT TRANSLATED
                                    ["frFR"] = "Mending Old Wounds", --NOT TRANSLATED
                                    ["zhTW"] = "Mending Old Wounds", --NOT TRANSLATED
                                    ["zhCN"] = "Mending Old Wounds", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [2589] = 
                                {
                                    ["Count"] = 40,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Linen Cloth",
                                            ["deDE"] = "Linen Cloth", --NOT TRANSLATED
                                            ["frFR"] = "Linen Cloth", --NOT TRANSLATED
                                            ["zhTW"] = "Linen Cloth", --NOT TRANSLATED
                                            ["zhCN"] = "Linen Cloth", --NOT TRANSLATED
                                        }
                                },
                            [3371] = 
                                {
                                    ["Count"] = 4,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Empty Vial",
                                            ["deDE"] = "Empty Vial", --NOT TRANSLATED
                                            ["frFR"] = "Empty Vial", --NOT TRANSLATED
                                            ["zhTW"] = "Empty Vial", --NOT TRANSLATED
                                            ["zhCN"] = "Empty Vial", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["Ratchet"] =
                                {
                                    ["Max"] = 3
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Mupsi Shacklefridd",
                                            ["deDE"] = "Mupsi Shacklefridd", --NOT TRANSLATED
                                            ["frFR"] = "Mupsi Shacklefridd", --NOT TRANSLATED
                                            ["zhTW"] = "Mupsi Shacklefridd", --NOT TRANSLATED
                                            ["zhCN"] = "Mupsi Shacklefridd", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "The Barrens",
                                            ["deDE"] = "The Barrens", --NOT TRANSLATED
                                            ["frFR"] = "The Barrens", --NOT TRANSLATED
                                            ["zhTW"] = "The Barrens", --NOT TRANSLATED
                                            ["zhCN"] = "The Barrens", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = 61,
                                    ["yCoord"] = 38
                                }
                        }
                },
            [5]={["EndOfRow"] = true},
            [6]={
                    ["Quest"] = "RefuelfortheZapping",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Stone_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Refuel for the Zapping",
                                    ["deDE"] = "Refuel for the Zapping", --NOT TRANSLATED
                                    ["frFR"] = "Refuel for the Zapping", --NOT TRANSLATED
                                    ["zhTW"] = "Refuel for the Zapping", --NOT TRANSLATED
                                    ["zhCN"] = "Refuel for the Zapping", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18958] = 
                                {
                                    ["Count"] = 6,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Water Elemental Core",
                                            ["deDE"] = "Water Elemental Core", --NOT TRANSLATED
                                            ["frFR"] = "Water Elemental Core", --NOT TRANSLATED
                                            ["zhTW"] = "Water Elemental Core", --NOT TRANSLATED
                                            ["zhCN"] = "Water Elemental Core", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Zorbin Fandazzle",
                                            ["deDE"] = "Zorbin Fandazzle", --NOT TRANSLATED
                                            ["frFR"] = "Zorbin Fandazzle", --NOT TRANSLATED
                                            ["zhTW"] = "Zorbin Fandazzle", --NOT TRANSLATED
                                            ["zhCN"] = "Zorbin Fandazzle", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Feralas",
                                            ["deDE"] = "Feralas", --NOT TRANSLATED
                                            ["frFR"] = "Feralas", --NOT TRANSLATED
                                            ["zhTW"] = "Feralas", --NOT TRANSLATED
                                            ["zhCN"] = "Feralas", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = 44,
                                    ["yCoord"] = 43
                                }
                        }
                },
            [7]={
                    ["Quest"] = "AgainWiththeZappedGiants",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Gizmo_09",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Again With the Zapped Giants",
                                    ["deDE"] = "Again With the Zapped Giants", --NOT TRANSLATED
                                    ["frFR"] = "Again With the Zapped Giants", --NOT TRANSLATED
                                    ["zhTW"] = "Again With the Zapped Giants", --NOT TRANSLATED
                                    ["zhCN"] = "Again With the Zapped Giants", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18956] = 
                                {
                                    ["Count"] = 10,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Miniaturization Residue",
                                            ["deDE"] = "Miniaturization Residue", --NOT TRANSLATED
                                            ["frFR"] = "Miniaturization Residue", --NOT TRANSLATED
                                            ["zhTW"] = "Miniaturization Residue", --NOT TRANSLATED
                                            ["zhCN"] = "Miniaturization Residue", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Zorbin Fandazzle",
                                            ["deDE"] = "Zorbin Fandazzle", --NOT TRANSLATED
                                            ["frFR"] = "Zorbin Fandazzle", --NOT TRANSLATED
                                            ["zhTW"] = "Zorbin Fandazzle", --NOT TRANSLATED
                                            ["zhCN"] = "Zorbin Fandazzle", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Feralas",
                                            ["deDE"] = "Feralas", --NOT TRANSLATED
                                            ["frFR"] = "Feralas", --NOT TRANSLATED
                                            ["zhTW"] = "Feralas", --NOT TRANSLATED
                                            ["zhCN"] = "Feralas", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = 44,
                                    ["yCoord"] = 43
                                }
                        }
                },
            [8]={
                    ["Quest"] = "FreeKnot",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Key_11",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Free Knot!",
                                    ["deDE"] = "Free Knot!", --NOT TRANSLATED
                                    ["frFR"] = "Free Knot!", --NOT TRANSLATED
                                    ["zhTW"] = "Free Knot!", --NOT TRANSLATED
                                    ["zhCN"] = "Free Knot!", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18250] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Gordok Shackle Key",
                                            ["deDE"] = "Gordok Shackle Key", --NOT TRANSLATED
                                            ["frFR"] = "Gordok Shackle Key", --NOT TRANSLATED
                                            ["zhTW"] = "Gordok Shackle Key", --NOT TRANSLATED
                                            ["zhCN"] = "Gordok Shackle Key", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Knot Thimblejack",
                                            ["deDE"] = "Knot Thimblejack", --NOT TRANSLATED
                                            ["frFR"] = "Knot Thimblejack", --NOT TRANSLATED
                                            ["zhTW"] = "Knot Thimblejack", --NOT TRANSLATED
                                            ["zhCN"] = "Knot Thimblejack", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Dire Maul North",
                                            ["deDE"] = "Dire Maul North", --NOT TRANSLATED
                                            ["frFR"] = "Dire Maul North", --NOT TRANSLATED
                                            ["zhTW"] = "Dire Maul North", --NOT TRANSLATED
                                            ["zhCN"] = "Dire Maul North", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = "??",
                                    ["yCoord"] = "??"
                                }
                        }
                },
            [9]={
                    ["Quest"] = "TheGordokOgreSuit",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Chest_Chain_14",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Gordok Ogre Suit",
                                    ["deDE"] = "The Gordok Ogre Suit", --NOT TRANSLATED
                                    ["frFR"] = "The Gordok Ogre Suit", --NOT TRANSLATED
                                    ["zhTW"] = "The Gordok Ogre Suit", --NOT TRANSLATED
                                    ["zhCN"] = "The Gordok Ogre Suit", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [14048] = 
                                {
                                    ["Count"] = 4,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Bolt of Runecloth",
                                            ["deDE"] = "Bolt of Runecloth", --NOT TRANSLATED
                                            ["frFR"] = "Bolt of Runecloth", --NOT TRANSLATED
                                            ["zhTW"] = "Bolt of Runecloth", --NOT TRANSLATED
                                            ["zhCN"] = "Bolt of Runecloth", --NOT TRANSLATED
                                        }
                                },
                             [8170] = 
                                {
                                    ["Count"] = 8,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Rugged Leather",
                                            ["deDE"] = "Rugged Leather", --NOT TRANSLATED
                                            ["frFR"] = "Rugged Leather", --NOT TRANSLATED
                                            ["zhTW"] = "Rugged Leather", --NOT TRANSLATED
                                            ["zhCN"] = "Rugged Leather", --NOT TRANSLATED
                                        }
                                },
                             [14341] = 
                                {
                                    ["Count"] = 2,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Rune Thread",
                                            ["deDE"] = "Rune Thread", --NOT TRANSLATED
                                            ["frFR"] = "Rune Thread", --NOT TRANSLATED
                                            ["zhTW"] = "Rune Thread", --NOT TRANSLATED
                                            ["zhCN"] = "Rune Thread", --NOT TRANSLATED
                                        }
                                },
                             [18240] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Ogre Tannin",
                                            ["deDE"] = "Ogre Tannin", --NOT TRANSLATED
                                            ["frFR"] = "Ogre Tannin", --NOT TRANSLATED
                                            ["zhTW"] = "Ogre Tannin", --NOT TRANSLATED
                                            ["zhCN"] = "Ogre Tannin", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Knot Thimblejack",
                                            ["deDE"] = "Knot Thimblejack", --NOT TRANSLATED
                                            ["frFR"] = "Knot Thimblejack", --NOT TRANSLATED
                                            ["zhTW"] = "Knot Thimblejack", --NOT TRANSLATED
                                            ["zhCN"] = "Knot Thimblejack", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Dire Maul North",
                                            ["deDE"] = "Dire Maul North", --NOT TRANSLATED
                                            ["frFR"] = "Dire Maul North", --NOT TRANSLATED
                                            ["zhTW"] = "Dire Maul North", --NOT TRANSLATED
                                            ["zhCN"] = "Dire Maul North", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = "??",
                                    ["yCoord"] = "??"
                                }
                        }
                },
            [10]={["EndOfRow"] = true}
        }
}
