﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Scryers"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Jewelry_Ring_23",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Scryers",
            ["deDE"] = "Die Seher",
            ["frFR"] = "Les clairvoyants",
            ["zhTW"] = "占卜者",
			["zhCN"] = "占星者",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Sc",
            ["deDE"] = "Se",
            ["frFR"] = "Cv",
            ["zhTW"] = "占卜者",
			["zhCN"] = "占星者",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = -3000, --May be inaccurate

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 3000 --May be inaccurate
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "DampscaleBasiliskEye",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Eye_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Basilisk Eyes",
                                    ["deDE"] = "Mehr Basiliskenaugen",
                                    ["frFR"] = "Plus d'yeux de basilic",
                                    ["zhTW"] = "更多蜥蜴眼",
									["zhCN"] = "更多蜥蜴眼",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [25744] =
                                {
                                    ["Count"] = 8, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Dampscale Basilisk Eye",
                                            ["deDE"] = "Auge eines Dunstschuppenbasilisken",
                                            ["frFR"] = "Oeil de basilic tremp\195\169caille",
                                            ["zhTW"] = "濕鱗蜥蜴眼",
											["zhCN"] = "湿鳞蜥蜴的眼睛",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Scryers"] = 
                                {
                                    ["Max"] = 3
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Arcanist Adyria",
                                            ["deDE"] = "Arkanistin Adyria",
                                            ["frFR"] = "Arcaniste Adyria",
                                            ["zhTW"] = "秘法師艾德蕊雅",
											["zhCN"] = "奥术师艾蒂莉亚",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 55,
                                    ["yCoord"] = 22
                                }
                        }
                },
            [2]={
                    ["Quest"] = "FirewingSignet",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Ring_23",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Firewing Signets",
                                    ["deDE"] = "Mehr Siegel der Feuerschwingen",
                                    ["frFR"] = "De nouvelles chevali\195\168res Aile-de-feu",
                                    ["zhTW"] = "更多的火翼徽章",
									["zhCN"] = "更多火翼徽记",
                                },
                            [2]={
                                    ["enUS"] = "Single Firewing Signet",
                                    ["deDE"] = "Einzelne Siegel der Feuerschwingen",
                                    ["frFR"] = "Une chevali\195\168re Aile-de-feu",
                                    ["zhTW"] = "單一的火翼徽章",
									["zhCN"] = "单枚火翼徽记",
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29426] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Firewing Signet",
                                            ["deDE"] = "Siegel der Feuerschwingen",
                                            ["frFR"] = "Chevali\195\168re Aile-de-feu",
                                            ["zhTW"] = "火翼徽章",
											["zhCN"] = "火翼徽记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Scryers"] = 
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Magistrix Fyalenn",
                                            ["deDE"] = "Magistrix Fyalenn",
                                            ["frFR"] = "Magistrice Fyalenn",
                                            ["zhTW"] = "博學者菲雅蘭",
											["zhCN"] = "魔导师菲亚琳",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 45,
                                    ["yCoord"] = 81
                                }
                        }
                },
            [3]={
                    ["Quest"] = "ArcaneTome",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Book_07",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Arcane Tomes",
                                    ["deDE"] = "Arkane Folianten",
                                    ["frFR"] = "Tomes des arcanes",
                                    ["zhTW"] = "秘法寶典",
									["zhCN"] = "奥法宝典",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29739] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Arcane Tome",
                                            ["deDE"] = "Arkaner Foliant",
                                            ["frFR"] = "Tome des arcanes",
                                            ["zhTW"] = "秘法寶典",
											["zhCN"] = "奥法宝典",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 64,
                    ["RepRequirements"] =
                        {
                            ["Scryers"] = 
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Voren'thal the Seer",
                                            ["deDE"] = "Voren'thal der Seher",
                                            ["frFR"] = "Voren'thal le Voyant",
                                            ["zhTW"] = "『先知』沃藍索",
											["zhCN"] = "先知沃雷塔尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 43,
                                    ["yCoord"] = 92
                                }
                        }
                },
            [4]={
                    ["Quest"] = "SunfurySignet",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Ring_36",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Sunfury Signets",
                                    ["deDE"] = "Mehr Siegel des Sonnenzorns",
                                    ["frFR"] = "De nouvelles chevali\195\168res Solfurie",
                                    ["zhTW"] = "更多的日怒徽章",
									["zhCN"] = "更多日怒徽记",
                                },
                            [2]={
                                    ["enUS"] = "Single Sunfury Signet",
                                    ["deDE"] = "Einzelne Siegel des Sonnenzorns",
                                    ["frFR"] = "Une chevali\195\168re Solfurie",
                                    ["zhTW"] = "一個日怒徽章",
									["zhCN"] = "单枚日怒徽记",
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [30810] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Sunfury Signet",
                                            ["deDE"] = "Siegel des Sonnenzorns",
                                            ["frFR"] = "Chevali\195\168re Solfurie",
                                            ["zhTW"] = "日怒徽章",
											["zhCN"] = "日怒徽记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                            ["Scryers"] = 
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Magistrix Fyalenn",
                                            ["deDE"] = "Magistrix Fyalenn",
                                            ["frFR"] = "Magistrice Fyalenn",
                                            ["zhTW"] = "博學者菲雅蘭",
											["zhCN"] = "魔导师菲亚琳",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 45,
                                    ["yCoord"] = 81
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Battlemage Vyara",
                                            ["deDE"] = "Kampfmagierin Vyara",
                                            ["frFR"] = "Mage de bataille Vyara",
                                            ["zhTW"] = "戰鬥法師維爾阿拉",
											["zhCN"] = "战斗法师弗亚拉",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 56,
                                    ["yCoord"] = 58
                                },
                        }
                },                
            [5]={["EndOfRow"] = true}
        }
}
