﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Shatar"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Jewelry_Ring_63",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Sha'tar",
            ["deDE"] = "Die Sha'tar",
            ["frFR"] = "Les Sha'tar",
            ["zhTW"] = "薩塔",
			["zhCN"] = "沙塔尔",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Sh",
            ["deDE"] = "Sh",
            ["frFR"] = "Sh",
            ["zhTW"] = "薩塔",
			["zhCN"] = "沙塔尔",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "MarkofKiljaeden",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_DemonicFortitude",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Marks of Kil'jaeden",
                                    ["deDE"] = "Mehr Male von Kil'jaeden",
                                    ["frFR"] = "De nouvelles marques de Kil'jaeden",
                                    ["zhTW"] = "更多的基爾加丹印記",
									["zhCN"] = "更多基尔加丹印记",
                                },
                            [2]={
                                    ["enUS"] = "Single Mark of Kil'jaeden",
                                    ["deDE"] = "Einzelne Male von Kil'jaeden",
                                    ["frFR"] = "Une marque de Kil'jaeden",
                                    ["zhTW"] = "單一基爾加丹印記",
									["zhCN"] = "单枚基尔加丹印记",
                                }
                        },
                    ["RepValue"] = 12.5,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29425] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Mark of Kil'jaeden",
                                            ["deDE"] = "Mal von Kil'jaeden",
                                            ["frFR"] = "Marque de Kil'jaeden",
                                            ["zhTW"] = "基爾加丹印記",
											["zhCN"] = "基尔加丹印记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Aldor"] = 
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 5
                                },
                            ["Shatar"] =
                                {
                                    ["Max"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Adyen the Lightwarden",
                                            ["deDE"] = "Adyen Der Lichtwächter",
                                            ["frFR"] = "Adyen le Gardelumi\195\168re",
                                            ["zhTW"] = "『護光者』艾德伊恩",
											["zhCN"] = "圣光护卫者阿德因",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 31,
                                    ["yCoord"] = 35
                                }
                        }
                },
            [2]={
                    ["Quest"] = "FelArmament",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Desecrated_PlateGloves",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Fel Armaments",
                                    ["deDE"] = "Teufliche Waffen",
                                    ["frFR"] = "Armes gangren\195\169es",
                                    ["zhTW"] = "魔化武器",
									["zhCN"] = "邪能装备",
                                }
                        },
                    ["RepValue"] = 175,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29740] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Fel Armament",
                                            ["deDE"] = "Teufliche Waffen",
                                            ["frFR"] = "Arme gangren\195\169e",
                                            ["zhTW"] = "魔化武器",
											["zhCN"] = "邪能装备",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 64,
                    ["RepRequirements"] =
                        {
                            ["Aldor"] = 
                                {
                                    ["Min"] = 4
                                },
                            ["Shatar"] =
                                {
                                    ["Max"] = 5
                                }
                        },
                    ["ExtraInfo"] =
                        {
                            ["enUS"] = "Grants Aldor rep but no Sha'tar rep once Honored with Sha'tar",
                            ["deDE"] = "Ab Wohlwollend gibt dies keinen Ruf mehr bei Sha'tar, nur noch bei Aldor",
                            ["frFR"] = "Monte aussi la r\195\169putation de l'Aldor mais s'arr\195\170te apres honor\195\169 pour les Sha'tar",
                            ["zhTW"] = "給予奧多爾及薩塔的聲望，薩塔僅到尊敬為止。",
							["zhCN"] = "给予奥尔多及沙塔尔的声望，沙塔尔仅到尊敬为止。",
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Ishanah",
                                            ["deDE"] = "Ishanah",
                                            ["frFR"] = "Ishanah",
                                            ["zhTW"] = "伊莎納",
											["zhCN"] = "伊沙娜",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 24,
                                    ["yCoord"] = 30
                                }
                        }
                },
            [3]={
                    ["Quest"] = "MarkofSargeras",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_DemonicFortitude",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Marks of Sargeras",
                                    ["deDE"] = "Mehr Male des Sargeras",
                                    ["frFR"] = "De nouvelles marques de Sargeras",
                                    ["zhTW"] = "更多的薩格拉斯印記",
									["zhCN"] = "更多萨格拉斯印记",
                                },
                            [2]={
                                    ["enUS"] = "Single Mark of Sargeras",
                                    ["deDE"] = "Einzelne Male des Sargeras",
                                    ["frFR"] = "Une marque de Sargeras",
                                    ["zhTW"] = "一個薩格拉斯印記",
									["zhCN"] = "单枚萨格拉斯印记",
                                }
                        },
                    ["RepValue"] = 12.5,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [30809] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Mark of Sargeras",
                                            ["deDE"] = "Mal des Sargeras",
                                            ["frFR"] = "Marque de Sargeras",
                                            ["zhTW"] = "薩格拉斯印記",
											["zhCN"] = "萨格拉斯印记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                            ["Aldor"] = 
                                {
                                    ["Min"] = 4
                                },
                            ["Shatar"] =
                                {
                                    ["Max"] = 5
                                }
                        },
                    ["ExtraInfo"] =
                        {
                            ["enUS"] = "Grants Aldor rep but no Sha'tar rep once Honored with Sha'tar",
                            ["deDE"] = "Ab Wohlwollend gibt dies keinen Ruf mehr bei Sha'tar, nur noch bei Aldor",
                            ["frFR"] = "Monte aussi la r\195\169putation de l'Aldor mais s'arr\195\170te apres honor\195\169 pour les Sha'tar",
                            ["zhTW"] = "給予奧多爾及薩塔的聲望，薩塔僅到尊敬為止。",
							["zhCN"] = "给予奥尔多及沙塔尔的声望，沙塔尔仅到尊敬为止。",
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Adyen the Lightwarden",
                                            ["deDE"] = "Adyen der Lichtwächter",
                                            ["frFR"] = "Adyen le Gardelumi\195\168re",
                                            ["zhTW"] = "『護光者』艾德伊恩",
											["zhCN"] = "圣光护卫者阿德因",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 31,
                                    ["yCoord"] = 35
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Harbinger Saronen",
                                            ["deDE"] = "Herold Saronen",
                                            ["frFR"] = "Messager Saronen",
                                            ["zhTW"] = "先驅者沙洛尼恩",
											["zhCN"] = "先驱者萨隆尼",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷",
                                        },
                                    ["xCoord"] = 62,
                                    ["yCoord"] = 29
                                },
                        }
                },                
            [4]={["EndOfRow"] = true},
            [5]={
                    ["Quest"] = "FirewingSignet",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Ring_23",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Firewing Signets",
                                    ["deDE"] = "Mehr Siegel der Feuerschwingen",
                                    ["frFR"] = "De nouvelles chevali\195\168res Aile-de-feu",
                                    ["zhTW"] = "更多的火翼徽章",
									["zhCN"] = "更多火翼徽记",
                                },
                            [2]={
                                    ["enUS"] = "Single Firewing Signet",
                                    ["deDE"] = "Einzelne Siegel der Feuerschwingen",
                                    ["frFR"] = "Une chevali\195\168re Aile-de-feu",
                                    ["zhTW"] = "單一的火翼徽章",
									["zhCN"] = "单枚火翼徽记",
                                }
                        },
                    ["RepValue"] = 12.5,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29426] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Firewing Signet",
                                            ["deDE"] = "Siegel der Feuerschwingen",
                                            ["frFR"] = "Chevali\195\168re Aile-de-feu",
                                            ["zhTW"] = "火翼徽章",
											["zhCN"] = "火翼徽记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Scryers"] = 
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 5
                                },
                            ["Shatar"] =
                                {
                                    ["Max"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Magistrix Fyalenn",
                                            ["deDE"] = "Magistrix Fyalenn",
                                            ["frFR"] = "Magistrice Fyalenn",
                                            ["zhTW"] = "博學者菲雅蘭",
											["zhCN"] = "魔导师菲亚琳",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 45,
                                    ["yCoord"] = 81
                                }
                        }
                },
            [6]={
                    ["Quest"] = "ArcaneTome",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Book_07",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Arcane Tomes",
                                    ["deDE"] = "Arkane Folianten",
                                    ["frFR"] = "Tomes des arcanes",
                                    ["zhTW"] = "秘法寶典",
									["zhCN"] = "奥法宝典",
                                }
                        },
                    ["RepValue"] = 175,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [29739] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Arcane Tome",
                                            ["deDE"] = "Arkaner Foliant",
                                            ["frFR"] = "Tomes des arcanes",
                                            ["zhTW"] = "秘法寶典",
											["zhCN"] = "奥法宝典",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 64,
                    ["RepRequirements"] =
                        {
                            ["Scryers"] = 
                                {
                                    ["Min"] = 4
                                },
                            ["Shatar"] =
                                {
                                    ["Max"] = 5
                                }
                        },
                    ["ExtraInfo"] =
                        {
                            ["enUS"] = "Grants Scryers rep but no Sha'tar rep once Honored with Sha'tar",
                            ["deDE"] = "Ab Wohlwollend gibt dies keinen Ruf mehr bei Sha'tar, nur noch bei Seher",
                            ["frFR"] = "Monte aussi la r\195\169putation des Clairvoyants mais s'arr\195\170te apres honor\195\169 pour les Sha'tar",
                            ["zhTW"] = "給予占卜者及薩塔的聲望，薩塔僅到尊敬為止。",
							["zhCN"] = "给予占星者及沙塔尔的声望，沙塔尔仅到尊敬为止。",
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Voren'thal the Seer",
                                            ["deDE"] = "Voren'thal der Seher",
                                            ["frFR"] = "Voren'thal le Voyant",
                                            ["zhTW"] = "『先知』沃藍索",
											["zhCN"] = "先知沃雷塔尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 43,
                                    ["yCoord"] = 92
                                }
                        }
                },
            [7]={
                    ["Quest"] = "SunfurySignet",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Ring_36",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Sunfury Signets",
                                    ["deDE"] = "Mehr Siegel des Sonnenzorns",
                                    ["frFR"] = "De nouvelles chevali\195\168res Solfurie",
                                    ["zhTW"] = "更多的日怒徽章",
									["zhCN"] = "更多日怒徽记",
                                },
                            [2]={
                                    ["enUS"] = "Single Sunfury Signet",
                                    ["deDE"] = "Einzelne Siegel des Sonnenzorns",
                                    ["frFR"] = "Une chevali\195\168re Solfurie",
                                    ["zhTW"] = "一個日怒徽章",
									["zhCN"] = "单枚日怒徽记",
                                }
                        },
                    ["RepValue"] = 12.5,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [30810] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Sunfury Signet",
                                            ["deDE"] = "Siegel des Sonnenzorns",
                                            ["frFR"] = "Chevali\195\168re Solfurie",
                                            ["zhTW"] = "日怒徽章",
											["zhCN"] = "日怒徽记",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                            ["Scryers"] = 
                                {
                                    ["Min"] = 4
                                },
                            ["Shatar"] =
                                {
                                    ["Max"] = 5
                                }
                        },
                    ["ExtraInfo"] =
                        {
                            ["enUS"] = "Grants Scryers rep but no Sha'tar rep once Honored with Sha'tar",
                            ["deDE"] = "Ab Wohlwollend gibt dies keinen Ruf mehr bei Sha'tar, nur noch bei Seher",
                            ["frFR"] = "Monte aussi la r\195\169putation des Clairvoyants mais s'arr\195\170te apres honor\195\169 pour les Sha'tar",
                            ["zhTW"] = "給予占卜者及薩塔的聲望，薩塔僅到尊敬為止。",
							["zhCN"] = "给予占星者及沙塔尔的声望，沙塔尔仅到尊敬为止。",
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Magistrix Fyalenn",
                                            ["deDE"] = "Magistrix Fyalenn",
                                            ["frFR"] = "Magistrice Fyalenn",
                                            ["zhTW"] = "博學者菲雅蘭",
											["zhCN"] = "魔导师菲亚琳",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 45,
                                    ["yCoord"] = 81
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Battlemage Vyara",
                                            ["deDE"] = "Kampfmagierin Vyara",
                                            ["frFR"] = "Mage de bataille Vyara",
                                            ["zhTW"] = "戰鬥法師維爾阿拉",
											["zhCN"] = "战斗法师弗亚拉",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shadowmoon Valley",
                                            ["deDE"] = "Schattenmondtal",
                                            ["frFR"] = "Vall\195\169e d'Ombrelune",
                                            ["zhTW"] = "影月谷",
											["zhCN"] = "影月谷 ",
                                        },
                                    ["xCoord"] = 56,
                                    ["yCoord"] = 58
                                },
                        }
                },                
            [8]={["EndOfRow"] = true}
        }
}
