﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ShatariSkyguard"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\Ability_Hunter_Pet_NetherRay",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Sha'tari Skyguard",
            ["deDE"] = "Himmelswache der Sha'tari",
            ["frFR"] = "Garde-ciel sha'tari",
            ["zhTW"] = "薩塔禦天者",
			["zhCN"] = "沙塔尔天空卫队",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "SS",
            ["deDE"] = "HS",
            ["frFR"] = "GC",
            ["zhTW"] = "禦天者",
			["zhCN"] = "天空卫队",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "ShadowDust",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Dust_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Shadow Dust",
                                    ["deDE"] = "Mehr Schattenstaub",
                                    ["frFR"] = "Plus de poussi\195\168re ombreuse",
                                    ["zhTW"] = "更多暗影之塵",
									["zhCN"] = "更多暗影之尘",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [32388] =
                                {
                                    ["Count"] = 6, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Shadow Dust",
                                            ["deDE"] = "Schattenstaub",
                                            ["frFR"] = "Poussi\195\168re ombreuse",
                                            ["zhTW"] = "暗影之塵",
											["zhCN"] = "暗影之尘",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["ShatariSkyguard"]=
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Severin",
                                            ["deDE"] = "Severin",
                                            ["frFR"] = "S\195\169verin",
                                            ["zhTW"] = "瑟弗林",
											["zhCN"] = "瑟维里 ",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Terokkar Forest",
                                            ["deDE"] = "Wälder von Terokkar",
                                            ["frFR"] = "For\195\170t de Terokkar",
                                            ["zhTW"] = "泰洛卡森林",
											["zhCN"] = "泰罗卡森林",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 79
                                }
                        }
                },
            [2]={["EndOfRow"] = true},
            [3]={
                    ["Quest"] = "FiresOverSkettis",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bomb_07",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Fires Over Skettis",
                                    ["deDE"] = "Feuer über Skettis",
                                    ["frFR"] = "Un d\195\169luge de feu sur Skettis",
                                    ["zhTW"] = "向司凱堤斯開火",
									["zhCN"] = "轰炸斯克提斯",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Monstrous Kaliri Egg Destroyed",
                                            ["deDE"] = "Monströses Kaliriei zerstört",
                                            ["frFR"] = "Oeuf de kaliri monstrueux d\195\169truit",
                                            ["zhTW"] = "已摧毀巨大的卡里瑞蛋",
											["zhCN"] = "炸毁巨大的卡利鸟蛋",
                                        },
                                    ["Count"] = 20
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["ShatariSkyguard"]=
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Sky Sergeant Doryn",
                                            ["deDE"] = "Himmelsoffizier Doryn",
                                            ["frFR"] = "Sergent Doryn de la Garde-ciel",
                                            ["zhTW"] = "天空士官多林",
											["zhCN"] = "空军上尉杜尔因",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Terokkar Forest",
                                            ["deDE"] = "Wälder von Terokkar",
                                            ["frFR"] = "For\195\170t de Terokkar",
                                            ["zhTW"] = "泰洛卡森林",
											["zhCN"] = "泰罗卡森林",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 79
                                }
                        }
                },
            [4]={
                    ["Quest"] = "EscapefromSkettis",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Box_PetCarrier_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Escape from Skettis",
                                    ["deDE"] = "Flucht aus Skettis",
                                    ["frFR"] = "L'\195\169vasion de Skettis",
                                    ["zhTW"] = "逃離司凱堤斯",
									["zhCN"] = "逃离斯克提斯",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Skyguard Prisoner Rescued",
                                            ["deDE"] = "Gefangene Himmelswache gerettet",
                                            ["frFR"] = "Secourir le Prisonnier de la Garde-ciel",
                                            ["zhTW"] = "解救禦天者囚犯",
											["zhCN"] = "营救天空卫队囚犯",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["ShatariSkyguard"]=
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Sky Sergeant Doryn",
                                            ["deDE"] = "Himmelsoffizier Doryn",
                                            ["frFR"] = "Sergent Doryn de la Garde-ciel",
                                            ["zhTW"] = "天空士官多林",
											["zhCN"] = "空军上尉杜尔因",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Terokkar Forest",
                                            ["deDE"] = "Wälder von Terokkar",
                                            ["frFR"] = "For\195\170t de Terokkar",
                                            ["zhTW"] = "泰洛卡森林",
											["zhCN"] = "泰罗卡森林",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 79
                                }
                        }
                },
            [5]={
                    ["Quest"] = "BombThemAgain",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bomb_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Bomb Them Again!",
                                    ["deDE"] = "Und wieder ein Bombenangriff!",
                                    ["frFR"] = "Bombardez-les encore !",
                                    ["zhTW"] = "再度轟炸!",
									["zhCN"] = "继续轰炸！",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Fel Cannonball Stacks destroyed",
                                            ["deDE"] = "Stapel mit Teufelskanonenkugeln zerstört",
                                            ["frFR"] = "Piles de boulets de gangrecanon d\195\169truites",
                                            ["zhTW"] = "已摧毀惡魔砲彈堆",
											["zhCN"] = "炸毁邪能炮弹堆",
                                        },
                                    ["Count"] = 15
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["ShatariSkyguard"]=
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Sky Sergeant Vanderlip",
                                            ["deDE"] = "Himmelsoffizier Vanderlip",
                                            ["frFR"] = "Sergent Vanderlip de la Garde-ciel",
                                            ["zhTW"] = "天空士官樊德麗",
											["zhCN"] = "空军上尉范德里普",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blade's Edge Mountains",
                                            ["deDE"] = "Schergrat",
                                            ["frFR"] = "Les tranchantes",
                                            ["zhTW"] = "劍刃山脈",
											["zhCN"] = "刀锋山",
                                        },
                                    ["xCoord"] = 27,
                                    ["yCoord"] = 52
                                }
                        }
                },
            [6]={
                    ["Quest"] = "WrangleMoreAetherRays",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Noose_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Wrangle More Aether Rays!",
                                    ["deDE"] = "Bändigt noch mehr Ätherrochen!",
                                    ["frFR"] = "Allez dompter dautres raies de l\195\169ther !",
                                    ["zhTW"] = "捆綁更多蒼穹鰭刺!",
									["zhCN"] = "捕捉更多以太鳐！",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Aether Rays wrangled",
                                            ["deDE"] = "Ätherrochen gebändigt",
                                            ["frFR"] = "Raies de l'\195\169ther dompt\195\169es",
                                            ["zhTW"] = "捆綁蒼穹鰭刺",
											["zhCN"] = "捕捉以太鳐",
                                        },
                                    ["Count"] = 5
                                }
                        },
                    ["MinLevel"] = 70,
                    ["RepRequirements"] =
                        {
                            ["ShatariSkyguard"]=
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Skyguard Khatie",
                                            ["deDE"] = "Himmelswache Khatie",
                                            ["frFR"] = "Garde-ciel Khatie",
                                            ["zhTW"] = "禦天者卡緹",
											["zhCN"] = "天空卫士卡提",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blade's Edge Mountains",
                                            ["deDE"] = "Schergrat",
                                            ["frFR"] = "Les tranchantes",
                                            ["zhTW"] = "劍刃山脈",
											["zhCN"] = "刀锋山",
                                        },
                                    ["xCoord"] = 27,
                                    ["yCoord"] = 51
                                }
                        }
                },
            [7]={["EndOfRow"] = true}
        }
}
