﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ShatteredSunOffensive"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Shield_48",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Shattered Sun Offensive",
            ["deDE"] = "Offensive der zerschmetterten Sonne",
            ["frFR"] = "Op\195\169ration Soleil bris\195\169",
            ["zhTW"] = "破碎之日進攻部隊",
			["zhCN"] = "破碎残阳",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "SSO",
            ["deDE"] = "OZS",
            ["frFR"] = "OSB",
            ["zhTW"] = "破碎之日",
			["zhCN"] = "破碎残阳",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "ErraticBehavior",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_Variety_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Erratic Behavior",
                                    ["deDE"] = "Unberechenbares Verhalten",
                                    ["frFR"] = "Comportement erratique",
                                    ["zhTW"] = "不穩定的運轉",
									["zhCN"] = "游荡的奥术守卫 ",
                                },
                            [2]={
                                    ["enUS"] = "Further Conversions",
                                    ["deDE"] = "Weitere Konvertierungen",
                                    ["frFR"] = "Plus de conversions",
                                    ["zhTW"] = "進一步地轉化",
									["zhCN"] = "转化更多奥术守卫",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Converted Sentry Deployed",
                                            ["deDE"] = "Konvertierter Wachposten stationiert",
                                            ["frFR"] = "Factionnaire converti d\195\169ploy\195\169",
                                            ["zhTW"] = "轉化的哨兵開始部屬",
											["zhCN"] = "转化奥术守卫",
                                        },
                                    ["Count"] = 5
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Vindicator Xayann",
                                            ["deDE"] = "Verteidigerin Xayann",
                                            ["frFR"] = "Redresseur de torts Xayann",
                                            ["zhTW"] = "復仇者薩楊",
											["zhCN"] = "守备官夏安",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 47,
                                    ["yCoord"] = 30
                                }
                        }
                },
            [2]={
                    ["Quest"] = "SanctumWards",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Dust_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Sanctum Wards",
                                    ["deDE"] = "Die Barrieren des Sanktums",
                                    ["frFR"] = "Les protections du sanctum",
                                    ["zhTW"] = "聖所結界",
									["zhCN"] = "圣殿的结界",
                                },
                            [2]={
                                    ["enUS"] = "Arm the Wards!",
                                    ["deDE"] = "Fahrt die Barrieren hoch!",
                                    ["frFR"] = "Armez les protections !",
                                    ["zhTW"] = "保護結界!",
									["zhCN"] = "激活结界！ ",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Energize a Crystal Ward",
                                            ["deDE"] = "Energetisiert eine Kristallbarriere",
                                            ["frFR"] = "Alimenter un cristal de protection",
                                            ["zhTW"] = "法力殘餘",
											["zhCN"] = "法力余烬",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Captain Theris Dawnhearth",
                                            ["deDE"] = "Hauptmann Theris Morgenheim",
                                            ["frFR"] = "Capitaine Theris \195\162traurore",
                                            ["zhTW"] = "塞里斯·晨爐上尉",
											["zhCN"] = "瑟里斯·黎明之心",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 47,
                                    ["yCoord"] = 30
                                }
                        }
                },
            [3]={
                    ["Quest"] = "BlasttheGateway",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Ammo_FireTar",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Blast the Gateway",
                                    ["deDE"] = "Vernichtet den Durchgang",
                                    ["frFR"] = "D\195\169truire la porte",
                                    ["zhTW"] = "炸毀入口",
									["zhCN"] = "轰炸传送门",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Legion Gateway Destroyed",
                                            ["deDE"] = "Durchgang der Legion zerstört",
                                            ["frFR"] = "Porte de la L\195\169gion d\195\169truite",
                                            ["zhTW"] = "高熱餘燼",
											["zhCN"] = "炽热的灰烬",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Magistrix Seyla",
                                            ["deDE"] = "Magistrix Seyla",
                                            ["frFR"] = "Magistrice Seyla",
                                            ["zhTW"] = "博學者賽菈",
											["zhCN"] = "魔导师瑟伊拉",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Hellfire Peninsula",
                                            ["deDE"] = "Höllenfeuerhalbinsel",
                                            ["frFR"] = "P\195\169ninsule des Flammes infernales",
                                            ["zhTW"] = "地獄火半島",
											["zhCN"] = "地狱火半岛",
                                        },
                                    ["xCoord"] = 58,
                                    ["yCoord"] = 17
                                }
                        }
                },
            [4]={
                    ["Quest"] = "BloodforBlood",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_LifeDrain",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Blood for Blood",
                                    ["deDE"] = "Blut für Blut",
                                    ["frFR"] = "Sang pour sang",
                                    ["zhTW"] = "以血換血",
									["zhCN"] = "血债血偿",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Emaciated Felblood slain",
                                            ["deDE"] = "Ausgemergeltes Teufelsblut getötet",
                                            ["frFR"] = "Gangresang \195\169maci\195\169 tu\195\169",
                                            ["zhTW"] = "殺死憔悴的魔化血精靈",
											["zhCN"] = "消灭憔悴的魔血精灵",
                                        },
                                    ["Count"] = 4
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Magistrix Seyla",
                                            ["deDE"] = "Magistrix Seyla",
                                            ["frFR"] = "Magistrice Seyla",
                                            ["zhTW"] = "博學者賽菈",
											["zhCN"] = "魔导师瑟伊拉",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Hellfire Peninsula",
                                            ["deDE"] = "Höllenfeuerhalbinsel",
                                            ["frFR"] = "P\195\169ninsule des Flammes infernales",
                                            ["zhTW"] = "地獄火半島",
											["zhCN"] = "地狱火半岛",
                                        },
                                    ["xCoord"] = 58,
                                    ["yCoord"] = 17
                                }
                        }
                },
            [5]={["EndOfRow"] = true},
            [6]={
                    ["Quest"] = "GainingtheAdvantage",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Dust_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Gaining the Advantage",
                                    ["deDE"] = "Einen Vorteil gewinnen",
                                    ["frFR"] = "Prendre l'avantage",
                                    ["zhTW"] = "取得優勢",
									["zhCN"] = "占据上风",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [35229] =
                                {
                                    ["Count"] = 8, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Nether Residue",
                                            ["deDE"] = "Netherrückstände",
                                            ["frFR"] = "R\195\169sidu de N\195\169ant",
                                            ["zhTW"] = "虛空殘渣",
											["zhCN"] = "虚空残渣",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Emissary Mordin",
                                            ["deDE"] = "Abgesandter Mordin",
                                            ["frFR"] = "Emissaire Mordin",
                                            ["zhTW"] = "大使莫爾丁",
											["zhCN"] = "摩尔丁特使",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 62,
                                    ["yCoord"] = 35
                                }
                        }
                },
            [7]={
                    ["Quest"] = "SunfuryAttackPlans",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Scroll_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Sunfury Attack Plans",
                                    ["deDE"] = "Angriffspläne des Sonnenzorns",
                                    ["frFR"] = "Les plans d'attaque solfurie",
                                    ["zhTW"] = "日怒攻擊計畫",
									["zhCN"] = "日怒攻击计划",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [35231] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Sunfury Attack Plans",
                                            ["deDE"] = "Angriffspläne des Sonnenzorns",
                                            ["frFR"] = "Plans d'attaque solfurie",
                                            ["zhTW"] = "日怒攻擊計畫",
											["zhCN"] = "日怒攻击计划",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lord Torvos",
                                            ["deDE"] = "Lord Torvos",
                                            ["frFR"] = "Seigneur Torvos",
                                            ["zhTW"] = "托沃斯領主",
											["zhCN"] = "托沃斯男爵",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 62,
                                    ["yCoord"] = 35
                                }
                        }
                },
            [8]={
                    ["Quest"] = "TheMultiphaseSurvery",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Gizmo_NewGoggles",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Multiphase Survey",
                                    ["deDE"] = "Die Multiphasen-Vermessung",
                                    ["frFR"] = "Lexamen multiphase",
                                    ["zhTW"] = "多相測量",
									["zhCN"] = "多相数据调查",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Multiphase Readings",
                                            ["deDE"] = "Multiphasenvermessung durchgeführt",
                                            ["frFR"] = "Relev\195\169 multiphase effectu\195\169",
                                            ["zhTW"] = "多相讀數取得",
											["zhCN"] = "获取多相读数",
                                        },
                                    ["Count"] = 6
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Harbinger Haronem",
                                            ["deDE"] = "Herold Haronem",
                                            ["frFR"] = "Messager Haronem",
                                            ["zhTW"] = "先驅者哈洛尼恩",
											["zhCN"] = "先驱者哈隆奈姆",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 61,
                                    ["yCoord"] = 52
                                }
                        }
                },
            [9]={["EndOfRow"] = true},
            [10]={
                    ["Quest"] = "SmuggledManaCell",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Gizmo_KhoriumPowerCore",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Maintaining the Sunwell Portal",
                                    ["deDE"] = "Das Sonnenbrunnenportal aufrechterhalten",
                                    ["frFR"] = "Maintenir le portail du Puits de soleil",
                                    ["zhTW"] = "維持太陽之井傳送門",
									["zhCN"] = "维持传送门",
                                },
                            [2]={
                                    ["enUS"] = "Intercepting the Mana Cells",
                                    ["deDE"] = "Manazellen abfangen",
                                    ["frFR"] = "Intercepter des cellules de mana",
                                    ["zhTW"] = "攔截法力電池",
									["zhCN"] = "截获法力晶格",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [34246] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Smuggled Mana Cell",
                                            ["deDE"] = "Eingeschmuggelte Manazelle",
                                            ["frFR"] = "Cellule de mana de contrebande",
                                            ["zhTW"] = "走私的法力電池",
											["zhCN"] = "走私来的法力晶格 ",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Exarch Nasuun",
                                            ["deDE"] = "Exarch Nasuun",
                                            ["frFR"] = "Exarque Nasuun",
                                            ["zhTW"] = "主教納蘇安",
											["zhCN"] = "主教纳苏恩",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Shattrath City",
                                            ["deDE"] = "Shattrath",
                                            ["frFR"] = "Shattrath",
                                            ["zhTW"] = "撒塔斯城",
											["zhCN"] = "沙塔斯城",
                                        },
                                    ["xCoord"] = 49,
                                    ["yCoord"] = 42
                                }
                        }
                },
            [11]={
                    ["Quest"] = "TheBattlefortheSunsReachArmory",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_BRD_Banner",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Battle Must Go On",
                                    ["deDE"] = "Die Schlacht muss weitergehen",
                                    ["frFR"] = "La bataille doit continuer",
                                    ["zhTW"] = "戰鬥必須要繼續",
									["zhCN"] = "继续作战",
                                },
                            [2]={
                                    ["enUS"] = "The Battle for the Sun's Reach Armory",
                                    ["deDE"] = "Die Schlacht um die Waffenkammer der Sonnenweiten",
                                    ["frFR"] = "La bataille pour l'Armurerie des Confins du soleil",
                                    ["zhTW"] = "日境軍械庫的戰鬥",
									["zhCN"] = "军械库之战",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Burning Legion Demon slain",
                                            ["deDE"] = "Dämon der Brennenden Legion getötet",
                                            ["frFR"] = "D\195\169mon de la L\195\169gion ardente tu\195\169",
                                            ["zhTW"] = "殺死燃燒軍團惡魔",
											["zhCN"] = "消灭燃烧军团恶魔",
                                        },
                                    ["Count"] = 6
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Emissary of Hate Impaled",
                                            ["deDE"] = "Abgesandter des Hasses aufgespießt",
                                            ["frFR"] = "\195\169missaire de haine empal\195\169",
                                            ["zhTW"] = "憎恨密使被刺穿",
											["zhCN"] = "将战旗插在仇恨使者的尸体上",
                                        },
                                    ["Count"] = 1
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Harbinger Inuuro",
                                            ["deDE"] = "Herold Inuuro",
                                            ["frFR"] = "Messager Inuuro",
                                            ["zhTW"] = "先驅者因努羅",
											["zhCN"] = "先驱者伊努罗",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 47,
                                    ["yCoord"] = 35
                                }
                        }
                },
            [12]={
                    ["Quest"] = "DistractionattheDeadScar",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Arcane_StarFire",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "The Air Strikes Must Continue",
                                    ["deDE"] = "Die Luftangriffe müssen weitergehen",
                                    ["frFR"] = "Les frappes a\195\169riennes doivent continuer",
                                    ["zhTW"] = "空中攻擊必須持續",
									["zhCN"] = "继续空袭 ",
                                },
                            [2]={
                                    ["enUS"] = "Distraction at the Dead Scar",
                                    ["deDE"] = "Ablenkungsmanöver an der Todesschneise",
                                    ["frFR"] = "Diversion \195\160 la Malebr\195\168che",
                                    ["zhTW"] = "分散死亡之痕的注意力",
									["zhCN"] = "轰炸死亡之痕",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Pit Overlord slain",
                                            ["deDE"] = "Oberanführer der Grube getötet",
                                            ["frFR"] = "Suzerain des ab\195\174mes tu\195\169",
                                            ["zhTW"] = "殺死深淵霸主",
											["zhCN"] = "消灭深渊霸主",
                                        },
                                    ["Count"] = 2
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Eredar Sorcerer slain",
                                            ["deDE"] = "Zauberer der Eredar getötet",
                                            ["frFR"] = "Ensorceleur \195\169r\195\169dar tu\195\169",
                                            ["zhTW"] = "殺死埃雷達爾巫士",
											["zhCN"] = "消灭艾瑞达巫师",
                                        },
                                    ["Count"] = 3
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Wrath Enforcer slain",
                                            ["deDE"] = "Rachevollstrecker getötet",
                                            ["frFR"] = "Massacreur de courroux tu\195\169",
                                            ["zhTW"] = "殺死憤怒執行者",
											["zhCN"] = "消灭天怒执行者",
                                        },
                                    ["Count"] = 12
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Battlemage Arynna",
                                            ["deDE"] = "Kampfmagierin Arynna",
                                            ["frFR"] = "Mage de bataille Arynna",
                                            ["zhTW"] = "戰鬥法師艾里娜",
											["zhCN"] = "战斗法师艾尔娜",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 47,
                                    ["yCoord"] = 35
                                }
                        }
                },
            [13]={
                    ["Quest"] = "KnowYourLeyLines",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_DataCrystal05",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Know Your Ley Lines",
                                    ["deDE"] = "Kenne deine Leylinien",
                                    ["frFR"] = "Les lignes telluriques et vous",
                                    ["zhTW"] = "瞭解你的地脈",
									["zhCN"] = "魔网能量线的读数 ",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Portal Reading Taken",
                                            ["deDE"] = "Messung des Portals vorgenommen",
                                            ["frFR"] = "Position du portail relev\195\169e",
                                            ["zhTW"] = "取得傳送門數據",
											["zhCN"] = "接收传送门读数",
                                        },
                                    ["Count"] = 0
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Shrine Reading Taken",
                                            ["deDE"] = "Messung des Schreins vorgenommen",
                                            ["frFR"] = "Position du sanctuaire relev\195\169e",
                                            ["zhTW"] = "取得聖壇數據",
											["zhCN"] = "接收神殿读数",
                                        },
                                    ["Count"] = 0
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 3,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Bloodcrystal Reading Taken",
                                            ["deDE"] = "Messung des Blutkristalls vorgenommen",
                                            ["frFR"] = "Position du cristal-sanglant relev\195\169e",
                                            ["zhTW"] = "取得血水晶數據",
											["zhCN"] = "接收血水晶读数",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Astromancer Darnarian",
                                            ["deDE"] = "Astromant Darnarian",
                                            ["frFR"] = "Astromancien Darnarian",
                                            ["zhTW"] = "星術師達納里安",
											["zhCN"] = "星术师达纳里安",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 47,
                                    ["yCoord"] = 35
                                }
                        }
                },
            [14]={["EndOfRow"] = true},
            [15]={
                    ["Quest"] = "IntercepttheReinforcements",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Fire_Fire",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Keeping the Enemy at Bay",
                                    ["deDE"] = "Den Feind vom Leibe halten",
                                    ["frFR"] = "Tenir l'ennemi \195\160 distance",
                                    ["zhTW"] = "在海岸阻擋敵軍",
									["zhCN"] = "拒敌港外",
                                },
                            [2]={
                                    ["enUS"] = "Intercept the Reinforcements",
                                    ["deDE"] = "Haltet die Verstärkung auf",
                                    ["frFR"] = "Intercepter les renforts",
                                    ["zhTW"] = "攔截援軍",
									["zhCN"] = "拦截援军",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Sin'loren sails burned",
                                            ["deDE"] = "Segel der Sin'loren in Brand gesetzt",
                                            ["frFR"] = "Voiles du Sin'loren br\195\187l\195\169es",
                                            ["zhTW"] = "燒毀辛洛倫的船帆",
											["zhCN"] = "烧毁辛洛雷号",
                                        },
                                    ["Count"] = 0
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Bloodoath sails burned",
                                            ["deDE"] = "Segel der Blutschwur in Brand gesetzt",
                                            ["frFR"] = "Voiles du Serment de sang br\195\187l\195\169es",
                                            ["zhTW"] = "燒毀血之誓約的船帆",
											["zhCN"] = "烧毁血誓号",
                                        },
                                    ["Count"] = 0
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 3,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Dawnchaser sails burned",
                                            ["deDE"] = "Segel der Morgensturm in Brand gesetzt",
                                            ["frFR"] = "Voiles du Chasselaube br\195\187l\195\169es",
                                            ["zhTW"] = "燒毀晨逐者的船帆",
											["zhCN"] = "烧毁曙光追寻者号",
                                        },
                                    ["Count"] = 0
                                },
                            [4]={
                                    ["ObjectiveIndex"] = 4,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Dawnblade Reservist slain",
                                            ["deDE"] = "Reservist der Dämmerklingen getötet",
                                            ["frFR"] = "R\195\169serviste de la Lame de l'aube tu\195\169",
                                            ["zhTW"] = "殺死曦刃預備兵",
											["zhCN"] = "消灭晨锋预备兵",
                                        },
                                    ["Count"] = 6
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Vindicator Kaalan",
                                            ["deDE"] = "Verteidiger Kaalan",
                                            ["frFR"] = "Redresseur de torts Kaalan",
                                            ["zhTW"] = "復仇者卡藍",
											["zhCN"] = "守备官凯兰",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 50,
                                    ["yCoord"] = 38
                                }
                        }
                },
            [16]={
                    ["Quest"] = "TakingtheHarbor",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Weapon_ShortBlade_15",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Crush the Dawnblade",
                                    ["deDE"] = "Vernichtet die Dämmerklingen",
                                    ["frFR"] = "\195\169craser la Lame de l'aube",
                                    ["zhTW"] = "摧毀曦刃",
									["zhCN"] = "击溃晨锋部队",
                                },
                            [2]={
                                    ["enUS"] = "Taking the Harbor",
                                    ["deDE"] = "Den Hafen einnehmen",
                                    ["frFR"] = "Prendre le port",
                                    ["zhTW"] = "奪下港口",
									["zhCN"] = "占领港口",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Dawnblade Summoner slain",
                                            ["deDE"] = "Beschwörer der Dämmerklingen getötet",
                                            ["frFR"] = "Invocateur de la Lame de l'aube tu\195\169",
                                            ["zhTW"] = "曦刃召喚師",
											["zhCN"] = "晨锋召唤者",
                                        },
                                    ["Count"] = 6
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Dawnblade Blood Knight slain",
                                            ["deDE"] = "Blutritter der Dämmerklingen getötet",
                                            ["frFR"] = "Chevalier de sang de la Lame de l'aube tu\195\169",
                                            ["zhTW"] = "曦刃血騎士",
											["zhCN"] = "晨锋血骑士",
                                        },
                                    ["Count"] = 6
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 3,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Dawnblade Marksman slain",
                                            ["deDE"] = "Schütze der Dämmerklingen getötet",
                                            ["frFR"] = "Tireur d'\195\169lite de la Lame de l'aube tu\195\169",
                                            ["zhTW"] = "曦刃神射手",
											["zhCN"] = "晨锋射手",
                                        },
                                    ["Count"] = 3
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Magister Ilastar",
                                            ["deDE"] = "Magister Ilastar",
                                            ["frFR"] = "Magist\195\168re Ilastar",
                                            ["zhTW"] = "博學者伊拉斯塔",
											["zhCN"] = "魔导师伊拉斯塔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 49,
                                    ["yCoord"] = 40
                                }
                        }
                },
            [17]={
                    ["Quest"] = "DarkspineIronOre",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Ore_Iron_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Don't Stop Now...",
                                    ["deDE"] = "Hört jetzt nicht auf!",
                                    ["frFR"] = "Ne vous arr\195\170tez pas",
                                    ["zhTW"] = "現在不能停止……",
									["zhCN"] = "不要停下…… ",
                                },
                            [2]={
                                    ["enUS"] = "Making Ready",
                                    ["deDE"] = "Vorbereitungen",
                                    ["frFR"] = "Pr\195\169paratifs",
                                    ["zhTW"] = "做好準備",
									["zhCN"] = "做好准备",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [34479] =
                                {
                                    ["Count"] = 3, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Darkspine Iron Ore",
                                            ["deDE"] = "Eisenerz der Dunkelflossen",
                                            ["frFR"] = "Minerai de fer sombr\195\169chine",
                                            ["zhTW"] = "暗脊鐵礦石",
											["zhCN"] = "暗脊铁矿石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Smith Hauthaa",
                                            ["deDE"] = "Schmiedin Hauthaa",
                                            ["frFR"] = "Forgeron Hauthaa",
                                            ["zhTW"] = "鐵匠荷莎",
											["zhCN"] = "铁匠霍尔萨",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 50,
                                    ["yCoord"] = 40
                                }
                        }
                },
            [18]={
                    ["Quest"] = "AtamalArmaments",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Ore_Khorium_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Ata'mal Armaments",
                                    ["deDE"] = "Waffen von Ata'mal",
                                    ["frFR"] = "Les armes d'Ata'mal",
                                    ["zhTW"] = "阿塔莫武裝",
									["zhCN"] = "阿塔玛军备",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [34501] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Cleansed Ata'mal Metal",
                                            ["deDE"] = "Gereinigtes Metall von Ata'mal",
                                            ["frFR"] = "M\195\169tal ata'mal purifi\195\169",
                                            ["zhTW"] = "淨化過的阿塔莫金屬",
											["zhCN"] = "净化过的阿塔玛金属",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Smith Hauthaa",
                                            ["deDE"] = "Schmiedin Hauthaa",
                                            ["frFR"] = "Forgeron Hauthaa",
                                            ["zhTW"] = "鐵匠荷莎",
											["zhCN"] = "铁匠霍尔萨",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 50,
                                    ["yCoord"] = 40
                                }
                        }
                },
            [19]={["EndOfRow"] = true},
            [20]={
                    ["Quest"] = "RazorthornRoot",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Herb_15",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Rediscovering Your Roots",
                                    ["deDE"] = "Eure Wurzeln wiederentdecken",
                                    ["frFR"] = "\195\160 la red\195\169couverte de vos racines",
                                    ["zhTW"] = "重新尋找你的根",
									["zhCN"] = "继续寻根",
                                },
                            [2]={
                                    ["enUS"] = "Discovering Your Roots",
                                    ["deDE"] = "Die eigenen Wurzeln entdecken",
                                    ["frFR"] = "\195\160 la d\195\169couverte de vos racines",
                                    ["zhTW"] = "尋根",
									["zhCN"] = "寻根知底",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [34254] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Razorthorn Root",
                                            ["deDE"] = "Messerdornwurzel",
                                            ["frFR"] = "Racine de tranch\195\169pine",
                                            ["zhTW"] = "刺棘根莖",
											["zhCN"] = "荆刺根须",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Mar'nah",
                                            ["deDE"] = "Mar'nah",
                                            ["frFR"] = "Mar'nah",
                                            ["zhTW"] = "瑪納",
											["zhCN"] = "玛尔娜",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 51,
                                    ["yCoord"] = 32
                                }
                        }
                },
            [21]={
                    ["Quest"] = "DisrupttheGreengillCoast",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Nature_WispSplode",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Disrupt the Greengill Coast",
                                    ["deDE"] = "Belästigung an der Küste der Grünkiemen",
                                    ["frFR"] = "D\195\169stabilisation de la C\195\180te de Verte-branchie",
                                    ["zhTW"] = "干擾綠鰓海岸",
									["zhCN"] = "解救绿鳃奴隶",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Greengill Slaves freed",
                                            ["deDE"] = "Grünkiemensklave befreit",
                                            ["frFR"] = "Esclave verte-branchie lib\195\169r\195\169",
                                            ["zhTW"] = "綠鰓奴隸被釋放",
											["zhCN"] = "解救绿鳃奴隶",
                                        },
                                    ["Count"] = 10
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Captain Valindria",
                                            ["deDE"] = "Kapitän Valindria",
                                            ["frFR"] = "Capitaine Valindria",
                                            ["zhTW"] = "瓦琳翠亞船長",
											["zhCN"] = "瓦琳德拉上尉",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 53,
                                    ["yCoord"] = 34
                                }
                        }
                },
            [22]={
                    ["Quest"] = "ACharitableDonation",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Coin_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Your Continued Support",
                                    ["deDE"] = "Eure weitere Unterstützung",
                                    ["frFR"] = "Votre soutien ind\195\169fectible",
                                    ["zhTW"] = "你的持續支持",
									["zhCN"] = "鼎力支持 ",
                                },
                            [2]={
                                    ["enUS"] = "A Charitable Donation",
                                    ["deDE"] = "Eine milde Gabe",
                                    ["frFR"] = "Un don charitable",
                                    ["zhTW"] = "慷慨的捐贈",
									["zhCN"] = "仁慈的募捐",
                                }
                        },
                    ["RepValue"] = 150,
                    ["GoldCost"] = 100000,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Anchorite Ayuri",
                                            ["deDE"] = "Anachoretin Ayuri",
                                            ["frFR"] = "Anachor\195\168te Ayuri",
                                            ["zhTW"] = "隱士艾悠里",
											["zhCN"] = "学者艾尤莉",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 48,
                                    ["yCoord"] = 36
                                }
                        }
                },
            [23]={
                    ["Quest"] = "Bloodberry",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Branch_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Open for Business",
                                    ["deDE"] = "Geschäft geöffnet",
                                    ["frFR"] = "On est ouvert",
                                    ["zhTW"] = "開張營業",
									["zhCN"] = "开始营业 ",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [34502] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Bloodberry",
                                            ["deDE"] = "Blutbeere",
                                            ["frFR"] = "Sangrelle",
                                            ["zhTW"] = "血莓",
											["zhCN"] = "血莓",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Mar'nah",
                                            ["deDE"] = "Mar'nah",
                                            ["frFR"] = "Mar'nah",
                                            ["zhTW"] = "瑪納",
											["zhCN"] = "玛尔娜",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Isle of Quel'danas",
                                            ["deDE"] = "Insel von Quel'danas",
                                            ["frFR"] = "\195\174le de Quel'Danas",
                                            ["zhTW"] = "奎爾達納斯之島",
											["zhCN"] = "奎尔丹纳斯岛",
                                        },
                                    ["xCoord"] = 51,
                                    ["yCoord"] = 32
                                }
                        }
                },
            [24]={["EndOfRow"] = true}
        }
}
