--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Shendralar"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Book_07",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Shen'dralar",
            ["deDE"] = "Shen'dralar", --NOT TRANSLATED
            ["frFR"] = "Shen'dralar", --NOT TRANSLATED
            ["zhTW"] = "Shen'dralar", --NOT TRANSLATED
            ["zhCN"] = "Shen'dralar", --NOT TRANSLATED
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Sh",
            ["deDE"] = "Sh", --NOT TRANSLATED
            ["frFR"] = "Sh", --NOT TRANSLATED
            ["zhTW"] = "Sh", --NOT TRANSLATED
            ["zhCN"] = "Sh", --NOT TRANSLATED
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "LibramofFocus",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Book_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Libram of Focus",
                                    ["deDE"] = "Libram of Focus", --NOT TRANSLATED
                                    ["frFR"] = "Libram of Focus", --NOT TRANSLATED
                                    ["zhTW"] = "Libram of Focus", --NOT TRANSLATED
                                    ["zhCN"] = "Libram of Focus", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18333] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Libram of Focus",
                                            ["deDE"] = "Libram of Focus", --NOT TRANSLATED
                                            ["frFR"] = "Libram of Focus", --NOT TRANSLATED
                                            ["zhTW"] = "Libram of Focus", --NOT TRANSLATED
                                            ["zhCN"] = "Libram of Focus", --NOT TRANSLATED
                                        }
                                },
                            [18335] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Pristine Black Diamond",
                                            ["deDE"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["frFR"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["zhTW"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["zhCN"] = "Pristine Black Diamond", --NOT TRANSLATED
                                        }
                                },
                            [14344] = 
                                {
                                    ["Count"] = 4,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Large Brilliant Shard",
                                            ["deDE"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["frFR"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["zhTW"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["zhCN"] = "Large Brilliant Shard", --NOT TRANSLATED
                                        }
                                },
                            [12753] = 
                                {
                                    ["Count"] = 2,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Skin of Shadow",
                                            ["deDE"] = "Skin of Shadow", --NOT TRANSLATED
                                            ["frFR"] = "Skin of Shadow", --NOT TRANSLATED
                                            ["zhTW"] = "Skin of Shadow", --NOT TRANSLATED
                                            ["zhCN"] = "Skin of Shadow", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lorekeeper Lydros",
                                            ["deDE"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["frFR"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["zhTW"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["zhCN"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Dire Maul North - Athenaeum",
                                            ["deDE"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["frFR"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["zhTW"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["zhCN"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = "??",
                                    ["yCoord"] = "??"
                                }
                        }
                },
            [2]={
                    ["Quest"] = "LibramofProtection",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Book_11",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Libram of Protection",
                                    ["deDE"] = "Libram of Protection", --NOT TRANSLATED
                                    ["frFR"] = "Libram of Protection", --NOT TRANSLATED
                                    ["zhTW"] = "Libram of Protection", --NOT TRANSLATED
                                    ["zhCN"] = "Libram of Protection", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18334] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Libram of Protection",
                                            ["deDE"] = "Libram of Protection", --NOT TRANSLATED
                                            ["frFR"] = "Libram of Protection", --NOT TRANSLATED
                                            ["zhTW"] = "Libram of Protection", --NOT TRANSLATED
                                            ["zhCN"] = "Libram of Protection", --NOT TRANSLATED
                                        }
                                },
                            [18335] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Pristine Black Diamond",
                                            ["deDE"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["frFR"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["zhTW"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["zhCN"] = "Pristine Black Diamond", --NOT TRANSLATED
                                        }
                                },
                            [14344] = 
                                {
                                    ["Count"] = 2,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Large Brilliant Shard",
                                            ["deDE"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["frFR"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["zhTW"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["zhCN"] = "Large Brilliant Shard", --NOT TRANSLATED
                                        }
                                },
                            [12735] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Frayed Abomination Stitching",
                                            ["deDE"] = "Frayed Abomination Stitching", --NOT TRANSLATED
                                            ["frFR"] = "Frayed Abomination Stitching", --NOT TRANSLATED
                                            ["zhTW"] = "Frayed Abomination Stitching", --NOT TRANSLATED
                                            ["zhCN"] = "Frayed Abomination Stitching", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lorekeeper Lydros",
                                            ["deDE"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["frFR"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["zhTW"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["zhCN"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Dire Maul North - Athenaeum",
                                            ["deDE"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["frFR"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["zhTW"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["zhCN"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = "??",
                                    ["yCoord"] = "??"
                                }
                        }
                },
            [3]={
                    ["Quest"] = "LibramofRapidity",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Book_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Libram of Rapidity",
                                    ["deDE"] = "Libram of Rapidity", --NOT TRANSLATED
                                    ["frFR"] = "Libram of Rapidity", --NOT TRANSLATED
                                    ["zhTW"] = "Libram of Rapidity", --NOT TRANSLATED
                                    ["zhCN"] = "Libram of Rapidity", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18332] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Libram of Rapidity",
                                            ["deDE"] = "Libram of Rapidity", --NOT TRANSLATED
                                            ["frFR"] = "Libram of Rapidity", --NOT TRANSLATED
                                            ["zhTW"] = "Libram of Rapidity", --NOT TRANSLATED
                                            ["zhCN"] = "Libram of Rapidity", --NOT TRANSLATED
                                        }
                                },
                            [18335] = 
                                {
                                    ["Count"] = 1,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Pristine Black Diamond",
                                            ["deDE"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["frFR"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["zhTW"] = "Pristine Black Diamond", --NOT TRANSLATED
                                            ["zhCN"] = "Pristine Black Diamond", --NOT TRANSLATED
                                        }
                                },
                            [14344] = 
                                {
                                    ["Count"] = 2,
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Large Brilliant Shard",
                                            ["deDE"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["frFR"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["zhTW"] = "Large Brilliant Shard", --NOT TRANSLATED
                                            ["zhCN"] = "Large Brilliant Shard", --NOT TRANSLATED
                                        }
                                },
                            [12938] = 
                                {
                                    ["Count"] = 2,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Blood of Heroes",
                                            ["deDE"] = "Blood of Heroes", --NOT TRANSLATED
                                            ["frFR"] = "Blood of Heroes", --NOT TRANSLATED
                                            ["zhTW"] = "Blood of Heroes", --NOT TRANSLATED
                                            ["zhCN"] = "Blood of Heroes", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lorekeeper Lydros",
                                            ["deDE"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["frFR"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["zhTW"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                            ["zhCN"] = "Lorekeeper Lydros", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Dire Maul North - Athenaeum",
                                            ["deDE"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["frFR"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["zhTW"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                            ["zhCN"] = "Dire Maul North - Athenaeum", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = "??",
                                    ["yCoord"] = "??"
                                }
                        }
                },
            [4]={["EndOfRow"] = true}
        }
}
