﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["SonsofHodir"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\Spell_Holy_DivinePurpose",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Sons of Hodir",
            ["deDE"] = "Die Söhne Hodirs",
            ["frFR"] = "Les Fils de Hodir",
            ["zhTW"] = "霍迪爾之子",
			["zhCN"] = "霍迪尔之子 ",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "SoH",
            ["deDE"] = "SH",
            ["frFR"] = "FdH",
            ["zhTW"] = "霍迪爾",
			["zhCN"] = "霍迪尔",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "HotandCold",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Ore_Cobalt",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Hot and Cold",
                                    ["deDE"] = "Heiss und Kalt",
                                    ["frFR"] = "Chaud et froid",
                                    ["zhTW"] = "熱與冷",
									["zhCN"] = "热与冷",
                                }
                        },
                    ["RepValue"] = 455,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [42252] =
                                {
                                    ["Count"] = 6, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Frozen Iron Scrap",
                                            ["deDE"] = "Gefrorener Eisenschrott",
                                            ["frFR"] = "Morceau de fer gel\195\169",
                                            ["zhTW"] = "冰凍碎鐵塊",
											["zhCN"] = "冻铁碎片",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                            ["SonsofHodir"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Fjorn's Anvil",
                                            ["deDE"] = "Fjorns Amboss",
                                            ["frFR"] = "Enclume de Fjorn",
                                            ["zhTW"] = "斐雍之砧",
											["zhCN"] = "弗约恩之砧",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
											["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 63,
                                    ["yCoord"] = 62
                                }
                        }
                },
            [2]={
                    ["Quest"] = "BlowingHodirsHorn",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Horn_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Blowing Hodir's Horn",
                                    ["deDE"] = "Hodirs Horn blasen",
                                    ["frFR"] = "Souffler dans le cor de Hodir",
                                    ["zhTW"] = "吹響霍迪爾號角",
									["zhCN"] = "吹响霍迪尔的号角",
                                }
                        },
                    ["RepValue"] = 455,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Niffelem Forefather Freed",
                                            ["deDE"] = "Vorfahre von Niffelem befreit",
                                            ["frFR"] = "Anc\195\170tre Niffelem lib\195\169r\195\169",
                                            ["zhTW"] = "解放尼弗蘭祖先",
											["zhCN"] = "释放尼芬雷先祖",
                                        },
                                    ["Count"] = 5
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Restless Frostborn Freed",
                                            ["deDE"] = "Ruhelose Frosterben befreit",
                                            ["frFR"] = "Givre-n\195\169 sans repos lib\195\169r\195\169",
                                            ["zhTW"] = "解放不安的霜誕矮人靈魂",
											["zhCN"] = "释放永不疲倦的霜脉矮人",
                                        },
                                    ["Count"] = 5
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                            ["SonsofHodir"]=
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Hodir's Horn",
                                            ["deDE"] = "Hodirs Horn",
                                            ["frFR"] = "Cor de Hodir",
                                            ["zhTW"] = "霍迪爾號角",
											["zhCN"] = "霍迪尔的号角",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
											["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 64,
                                    ["yCoord"] = 64
                                }
                        }
                },
            [3]={
                    ["Quest"] = "PolishingtheHelm",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Slime_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Polishing the Helm",
                                    ["deDE"] = "Den Helm polieren",
                                    ["frFR"] = "Polir le heaume",
                                    ["zhTW"] = "打磨頭盔",
									["zhCN"] = "擦亮霍迪尔的头盔",
                                }
                        },
                    ["RepValue"] = 455,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [42640] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Viscous Oil",
                                            ["deDE"] = "Viskoses Öl",
                                            ["frFR"] = "Huile visqueuse",
                                            ["zhTW"] = "黏性油",
											["zhCN"] = "粘性油",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                            ["SonsofHodir"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Hodir's Helm",
                                            ["deDE"] = "Hodirs Helm",
                                            ["frFR"] = "Heaume de Hodir",
                                            ["zhTW"] = "霍迪爾之盔",
											["zhCN"] = "霍迪尔的头盔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
											["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 64,
                                    ["yCoord"] = 59
                                }
                        }
                },
            [4]={
                    ["Quest"] = "EverfrostChip",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_Teleport",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Everfrost Chip",
                                    ["deDE"] = "Immerfrostsplitter",
                                    ["frFR"] = "Le permagivre",
                                    ["zhTW"] = "永霜屑片", --"牢記永霜!",    Need Check
									["zhCN"] = "永冻薄片", --"铭记永冻之冰！",    Need Check
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [44725] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Everfrost Chip",
                                            ["deDE"] = "Immerfrostsplitter",
                                            ["frFR"] = "Morceau de permagivre",
											["zhTW"] = "永霜屑片",
											["zhCN"] = "永冻薄片",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                            ["SonsofHodir"] =
                                {
                                    ["Min"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Calder",
                                            ["deDE"] = "Calder",
                                            ["frFR"] = "Calder",
                                            ["zhTW"] = "考德爾",
											["zhCN"] = "卡尔德",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
											["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 67,
                                    ["yCoord"] = 60
                                }
                        }
                },
            [5]={["EndOfRow"] = true},
            [6]={
                    ["Quest"] = "SpyHunter",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bone_08",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Spy Hunter",
                                    ["deDE"] = "Jagd auf Spione",
                                    ["frFR"] = "A la chasse aux espions",
                                    ["zhTW"] = "間諜獵人",
									["zhCN"] = "猎杀间谍",
                                }
                        },
                    ["RepValue"] = 455,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Stormforged Infiltrators Slain",
                                            ["deDE"] = "Sturmgeschmiedete Spitzel getötet",
                                            ["frFR"] = "Infiltrateurs forgefoudre tu\195\169s",
                                            ["zhTW"] = "殺死風暴冶煉滲透者",
											["zhCN"] = "杀死雷铸渗透者",
                                        },
                                    ["Count"] = 3
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                            ["SonsofHodir"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Frostworg Denmother",
                                            ["deDE"] = "Frostworghöhlenmutter",
                                            ["frFR"] = "M\195\168re de la tanni\195\168re worg de givre",
                                            ["zhTW"] = "冰霜座狼獸母",
											["zhCN"] = "冰霜座狼母兽",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
											["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 63,
                                    ["yCoord"] = 59
                                }
                        }
                },
            [7]={
                    ["Quest"] = "ThrustingHodirsSpear",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Spear_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Thrusting Hodir's Spear",
                                    ["deDE"] = "Hodirs Speer werfen",
                                    ["frFR"] = "Planter la lance de Hodir",
                                    ["zhTW"] = "刺出霍迪爾之矛",
									["zhCN"] = "投掷霍迪尔的长矛",
                                }
                        },
                    ["RepValue"] = 650,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Wild Wyrm Slain",
                                            ["deDE"] = "Wildwyrm getötet",
                                            ["frFR"] = "Wyrm sauvage tu\195\169",
                                            ["zhTW"] = "殺死野生巨龍",
											["zhCN"] = "杀死野生巨龙",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                            ["SonsofHodir"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Hodir's Spear",
                                            ["deDE"] = "Hodirs Speer",
                                            ["frFR"] = "Lance de Hodir",
                                            ["zhTW"] = "霍迪爾之矛",
											["zhCN"] = "霍迪尔之矛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
											["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 65,
                                    ["yCoord"] = 60
                                }
                        }
                },
            [8]={
                    ["Quest"] = "FeedingArngrim",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Ore_Adamantium",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Feeding Arngrim",
                                    ["deDE"] = "Arngrim füttern",
                                    ["frFR"] = "Caler la dent creuse d'Arngrim",
                                    ["zhTW"] = "餵食安格林",
									["zhCN"] = "喂饱安格里姆",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Arngrim's spirit fed",
                                            ["deDE"] = "Arngrims Geist gefüttert",
                                            ["frFR"] = "Esprit d'Arngrim nourri",
                                            ["zhTW"] = "安格林的精神感到飽足",
											["zhCN"] = "喂食安格里姆的灵魂",
                                        },
                                    ["Count"] = 5
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                            ["SonsofHodir"]=
                                {
                                    ["Min"] = 7
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Arngrim the Insatiable",
                                            ["deDE"] = "Arngrimm der Unersättliche",
                                            ["frFR"] = "Arngrim l'Insatiable",
                                            ["zhTW"] = "貪求無厭的安格林",
											["zhCN"] = "贪求无厌的安格里姆", -- Need Check  
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
											["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 67,
                                    ["yCoord"] = 59
                                }
                        }
                },
            [9]={
                    ["Quest"] = "HodirsTribute",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Rune_14",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Hodir's Tribute",
                                    ["deDE"] = "Hodirs Tribut",
                                    ["frFR"] = "Un tribut \195\160 Hodir",
                                    ["zhTW"] = "霍迪爾的祭品", -- Need Check
                                    ["zhCN"] = "霍迪尔的祭品" -- Need Check
                                }
                        },
                    ["RepValue"] = 650,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [42780] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Relic of Ulduar",
                                            ["deDE"] = "Relikt von Ulduar",
                                            ["frFR"] = "Relique d'Ulduar",
                                            ["zhTW"] = "奧杜亞聖物",
                                            ["zhCN"] = "奥杜尔的圣物"
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lillehoff",
                                            ["deDE"] = "Lillehoff",
                                            ["frFR"] = "Lillehoff",
                                            ["zhTW"] = "立勒賀夫",
                                            ["zhCN"] = "里尔霍夫" -- Need Check
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Storm Peaks",
                                            ["deDE"] = "Sturmgipfel",
                                            ["frFR"] = "Les pics Foudroy\195\169s",
                                            ["zhTW"] = "風暴群山",
                                            ["zhCN"] = "风暴峭壁",
                                        },
                                    ["xCoord"] = 66,
                                    ["yCoord"] = 61
                                }
                        }
                },
            [10]={["EndOfRow"] = true}
        }
}
