﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Sporeggar"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Mushroom_02",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Sporeggar",
            ["deDE"] = "Sporeggar",
            ["frFR"] = "Sporeggar",
            ["zhTW"] = "斯博格爾",
            ["zhCN"] = "孢子村",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Sp",
            ["deDE"] = "Sp",
            ["frFR"] = "Sp",
            ["zhTW"] = "斯博格爾",
            ["zhCN"] = "孢子村",
        },

    ["StartingRep"] = -3000,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "BogLordTendril",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_MonsterTail_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Tendrils!",
                                    ["deDE"] = "Mehr Ranken!",
                                    ["frFR"] = "Plus de vrilles !",
                                    ["zhTW"] = "更多藤鬚!",
                                    ["zhCN"] = "更多卷须！ ",
                                }
                        },
                    ["RepValue"] = 750,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [24291] =
                                {
                                    ["Count"] = 6, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Bog Lord Tendril",
                                            ["deDE"] = "Sumpflordranke",
                                            ["frFR"] = "Vrille de seigneur-tourbe",
                                            ["zhTW"] = "泥沼領主藤鬚",
                                            ["zhCN"] = "沼泽领主的卷须",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                            ["Sporeggar"]=
                                {
                                    ["Max"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Fahssn",
                                            ["deDE"] = "Fahssn",
                                            ["frFR"] = "Fahssn",
                                            ["zhTW"] = "法斯恩",
                                            ["zhCN"] = "法恩森 ",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zangarmarsh",
                                            ["deDE"] = "Zangarmarschen",
                                            ["frFR"] = "Mar\195\169cage de Zangar",
                                            ["zhTW"] = "贊格沼澤",
                                            ["zhCN"] = "赞加沼泽",
                                        },
                                    ["xCoord"] = 19,
                                    ["yCoord"] = 64
                                }
                        }
                },
            [2]={
                    ["Quest"] = "MatureSporeSac",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Organ_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Spore Sacs",
                                    ["deDE"] = "Noch ein paar Sporensäcke",
                                    ["frFR"] = "More Spore Sacs",
                                    ["zhTW"] = "更多孢子囊",
                                    ["zhCN"] = "更多孢子囊 ",
                                }
                        },
                    ["RepValue"] = 750,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [24290] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Mature Spore Sac",
                                            ["deDE"] = "Reifer Sporenbeutel",
                                            ["frFR"] = "Sac de spores \195\160 maturit\195\169",
                                            ["zhTW"] = "成熟的孢子囊",
                                            ["zhCN"] = "成熟的孢子囊",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 60,
                    ["RepRequirements"] =
                        {
                            ["Sporeggar"]=
                                {
                                    ["Max"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Fahssn",
                                            ["deDE"] = "Fahssn",
                                            ["frFR"] = "Fahssn",
                                            ["zhTW"] = "法斯恩",
                                            ["zhCN"] = "法恩森 ",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zangarmarsh",
                                            ["deDE"] = "Zangarmarschen",
                                            ["frFR"] = "Mar\195\169cage de Zangar",
                                            ["zhTW"] = "贊格沼澤",
                                            ["zhCN"] = "赞加沼泽",
                                        },
                                    ["xCoord"] = 19,
                                    ["yCoord"] = 64
                                }
                        }
                },
            [3]={
                    ["Quest"] = "Glowcap",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Mushroom_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Glowcaps",
                                    ["deDE"] = "Noch mehr Glühkappen",
                                    ["frFR"] = "Plus de chapeluisants",
                                    ["zhTW"] = "更多白閃菇",
                                    ["zhCN"] = "更多亮顶蘑菇",
                                }
                        },
                    ["RepValue"] = 750,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [24245] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Glowcap",
                                            ["deDE"] = "Glühkappe",
                                            ["frFR"] = "Chapeluisant",
                                            ["zhTW"] = "白閃菇",
                                            ["zhCN"] = "亮顶蘑菇",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Sporeggar"]=
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Msshi'fn",
                                            ["deDE"] = "Msshi'fn",
                                            ["frFR"] = "Msshi'fn",
                                            ["zhTW"] = "米斯恩",
                                            ["zhCN"] = "姆希菲",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zangarmarsh",
                                            ["deDE"] = "Zangarmarschen",
                                            ["frFR"] = "Mar\195\169cage de Zangar",
                                            ["zhTW"] = "贊格沼澤",
                                            ["zhCN"] = "赞加沼泽",
                                        },
                                    ["xCoord"] = 20,
                                    ["yCoord"] = 52
                                }
                        }
                },
            [4]={["EndOfRow"] = true},
            [5]={
                    ["Quest"] = "FertileSpores",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Dust_04",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Fertile Spores",
                                    ["deDE"] = "Noch mehr fruchtbare Sporen",
                                    ["frFR"] = "Plus de spores fertiles",
                                    ["zhTW"] = "更多豐饒孢子",
                                    ["zhCN"] = "更多成熟的孢子",
                                }
                        },
                    ["RepValue"] = 750,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [24449] =
                                {
                                    ["Count"] = 6, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Fertile Spores",
                                            ["deDE"] = "Fruchtbare Sporen",
                                            ["frFR"] = "Spores fertiles",
                                            ["zhTW"] = "豐饒孢子",
                                            ["zhCN"] = "成熟的孢子",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Sporeggar"]=
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Gshaff",
                                            ["deDE"] = "Gshaff",
                                            ["frFR"] = "Gshaff",
                                            ["zhTW"] = "吉薩夫",
                                            ["zhCN"] = "格沙弗",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zangarmarsh",
                                            ["deDE"] = "Zangarmarschen",
                                            ["frFR"] = "Mar\195\169cage de Zangar",
                                            ["zhTW"] = "贊格沼澤",
                                            ["zhCN"] = "赞加沼泽",
                                        },
                                    ["xCoord"] = 19,
                                    ["yCoord"] = 50
                                }
                        }
                },
            [6]={
                    ["Quest"] = "Friends",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_MonsterHead_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Now That We're Friends...",
                                    ["deDE"] = "Jetzt, da wir Freunde sind...",
                                    ["frFR"] = "Puisque nous sommes entre amis...",
                                    ["zhTW"] = "既然我們是朋友……",
                                    ["zhCN"] = "既然我们是朋友……",
                                },
                            [2]={
                                    ["enUS"] = "Now That We're Still Friends...",
                                    ["deDE"] = "Jetzt, da wir immer noch Freunde sind...",
                                    ["frFR"] = "Puisque nous sommes toujours entre amis...",
                                    ["zhTW"] = "既然我們還是朋友……",
                                    ["zhCN"] = "既然我们仍是朋友……",
                                }
                        },
                    ["RepValue"] = 750,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Bloodscale Slavedriver slain",
                                            ["deDE"] = "Sklaventreiber der Blutschuppen getötet",
                                            ["frFR"] = "Esclavagiste Ecaille-sanglante tu\195\169",
                                            ["zhTW"] = "殺死: 血鱗奴隸驅使者",
                                            ["zhCN"] = "杀死: 血鳞驱奴者",
                                        },
                                    ["Count"] = 12
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Bloodscale Enchantress slain",
                                            ["deDE"] = "Verzauberin der Blutschuppen getötet",
                                            ["frFR"] = "Enchanteresse Ecaille-sanglante tu\195\169",
                                            ["zhTW"] = "殺死: 血鱗女巫師",
                                            ["zhCN"] = "杀死: 血鳞女巫",
                                        },
                                    ["Count"] = 6
                                }
                        },
                    ["MinLevel"] = 62,
                    ["RepRequirements"] =
                        {
                            ["Sporeggar"]=
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Gzhun'tt",
                                            ["deDE"] = "Gzhun'tt",
                                            ["frFR"] = "Gzhun'tt",
                                            ["zhTW"] = "卡思汗特",
                                            ["zhCN"] = "舒特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zangarmarsh",
                                            ["deDE"] = "Zangarmarschen",
                                            ["frFR"] = "Mar\195\169cage de Zangar",
                                            ["zhTW"] = "贊格沼澤",
                                            ["zhCN"] = "赞加沼泽",
                                        },
                                    ["xCoord"] = 19,
                                    ["yCoord"] = 50
                                }
                        }
                },
            [7]={
                    ["Quest"] = "SanguineHibiscus",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Herb_19",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Bring Me Another Shrubbery!",
                                    ["deDE"] = "Bringt mir ein weiteres Gebüsch!",
                                    ["frFR"] = "Ramenez-moi un autre jardinet !",
                                    ["zhTW"] = "再給我木槿花!",
                                    ["zhCN"] = "我还要红色木槿！ ",
                                }
                        },
                    ["RepValue"] = 750,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [24246] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Sanguine Hibiscus",
                                            ["deDE"] = "Bluthibiskus",
                                            ["frFR"] = "Hibiscus sanguin",
                                            ["zhTW"] = "血紅木槿",
                                            ["zhCN"] = "红色木槿",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 63,
                    ["RepRequirements"] =
                        {
                            ["Sporeggar"]=
                                {
                                    ["Min"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Gzhun'tt",
                                            ["deDE"] = "Gzhun'tt",
                                            ["frFR"] = "Gzhun'tt",
                                            ["zhTW"] = "卡思汗特",
                                            ["zhCN"] = "舒特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Zangarmarsh",
                                            ["deDE"] = "Zangarmarschen",
                                            ["frFR"] = "Mar\195\169cage de Zangar",
                                            ["zhTW"] = "贊格沼澤",
                                            ["zhCN"] = "赞加沼泽",
                                        },
                                    ["xCoord"] = 19,
                                    ["yCoord"] = 50
                                }
                        }
                },
            [8]={["EndOfRow"] = true}
        }
}
