﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ThoriumBrotherhood"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Ingot_Mithril",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Thorium Brotherhood",
            ["deDE"] = "Thoriumbruderschaft",
            ["frFR"] = "Confr\195\169rie du thorium",
            ["zhTW"] = "瑟銀兄弟會",
			["zhCN"] = "瑟银兄弟会",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "TB",
            ["deDE"] = "TB",
            ["frFR"] = "CT",
            ["zhTW"] = "瑟銀",
			["zhCN"] = "瑟银",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "HeavyLeather",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_LeatherScrap_07",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Restoring Fiery Flux Supplies via Heavy Leather",
                                    ["deDE"] = "Nachschub an feurigem Fluxus: Schweres Leder",
                                    ["frFR"] = "R\195\169approvisionnement en flux embras\195\169 (Cuir lourd)",
                                    ["zhTW"] = "熾熱助熔劑的補給:重皮",
									["zhCN"] = "炽热助熔剂的补给：重皮",
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18944] =
                                {
                                    ["Count"] = 2, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Incendosaur Scale",
                                            ["deDE"] = "Incendosaurierschuppe",
                                            ["frFR"] = "Ecaille d'incendosaure",
                                            ["zhTW"] = "燻火龍的鱗片",
											["zhCN"] = "熏火龙的鳞片",
                                        }
                                },
                            [4234] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Heavy Leather",
                                            ["deDE"] = "Schweres Leder",
                                            ["frFR"] = "Cuir lourd",
                                            ["zhTW"] = "重皮",
											["zhCN"] = "重皮",
                                        }
                                },
                            [3857] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Coal",
                                            ["deDE"] = "Kohle",
                                            ["frFR"] = "Charbon",
                                            ["zhTW"] = "煤塊",
											["zhCN"] = "煤块",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 46,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Master Smith Burninate",
                                            ["deDE"] = "Meisterschmied Burninate",
                                            ["frFR"] = "Ma\195\174tre forgeron Br\195\187lotin",
                                            ["zhTW"] = "大鐵匠博恩奈特",
											["zhCN"] = "大铁匠博恩奈特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Searing Gorge",
                                            ["deDE"] = "Sengende Schlucht",
                                            ["frFR"] = "Gorge des Vents br\195\187lants",
                                            ["zhTW"] = "灼熱峽谷",
											["zhCN"] = "灼热峡谷",
                                        },
                                    ["xCoord"] = 38,
                                    ["yCoord"] = 28
                                }
                        }
                },
            [2]={
                    ["Quest"] = "Iron",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Ingot_Iron",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Restoring Fiery Flux Supplies via Iron",
                                    ["deDE"] = "Nachschub an feurigem Fluxus: Eisen",
                                    ["frFR"] = "R\195\169approvisionnement en flux embras\195\169 (Fer)",
                                    ["zhTW"] = "熾熱助熔劑的補給:鐵錠",
									["zhCN"] = "炽热助熔剂的补给：铁锭",
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18944] =
                                {
                                    ["Count"] = 2, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Incendosaur Scale",
                                            ["deDE"] = "Incendosaurierschuppe",
                                            ["frFR"] = "Ecaille d'incendosaure",
                                            ["zhTW"] = "燻火龍的鱗片",
											["zhCN"] = "熏火龙的鳞片",
                                        }
                                },
                            [3575] =
                                {
                                    ["Count"] = 4, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Iron Bar",
                                            ["deDE"] = "Eisenbarren",
                                            ["frFR"] = "Barre de fer",
                                            ["zhTW"] = "鐵錠",
											["zhCN"] = "铁锭",
                                        }
                                },
                            [3857] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Coal",
                                            ["deDE"] = "Kohle",
                                            ["frFR"] = "Charbon",
                                            ["zhTW"] = "煤塊",
											["zhCN"] = "煤块",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 46,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Master Smith Burninate",
                                            ["deDE"] = "Meisterschmied Burninate",
                                            ["frFR"] = "Ma\195\174tre forgeron Br\195\187lotin",
                                            ["zhTW"] = "大鐵匠博恩奈特",
											["zhCN"] = "大铁匠博恩奈特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Searing Gorge",
                                            ["deDE"] = "Sengende Schlucht",
                                            ["frFR"] = "Gorge des Vents br\195\187lants",
                                            ["zhTW"] = "灼熱峽谷",
											["zhCN"] = "灼热峡谷",
                                        },
                                    ["xCoord"] = 38,
                                    ["yCoord"] = 28
                                }
                        }
                },
            [3]={
                    ["Quest"] = "Kingsblood",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Herb_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Restoring Fiery Flux Supplies via Kingsblood",
                                    ["deDE"] = "Nachschub an feurigem Fluxus: Königsblut",
                                    ["frFR"] = "R\195\169approvisionnement en flux embras\195\169 (Sang-royal)",
                                    ["zhTW"] = "熾熱助熔劑的補給:皇血草",
									["zhCN"] = "炽热助熔剂的补给：皇血草",
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18944] =
                                {
                                    ["Count"] = 2, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Incendosaur Scale",
                                            ["deDE"] = "Incendosaurierschuppe",
                                            ["frFR"] = "Ecaille d'incendosaure",
                                            ["zhTW"] = "燻火龍的鱗片",
											["zhCN"] = "熏火龙的鳞片",
                                        }
                                },
                            [3356] =
                                {
                                    ["Count"] = 4, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Kingsblood",
                                            ["deDE"] = "Königsblut",
                                            ["frFR"] = "Sang-royal",
                                            ["zhTW"] = "皇血草",
											["zhCN"] = "皇血草",
                                        }
                                },
                            [3857] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Coal",
                                            ["deDE"] = "Kohle",
                                            ["frFR"] = "Charbon",
                                            ["zhTW"] = "煤塊",
											["zhCN"] = "煤块",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 46,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 4,
                                    ["Max"] = 4
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Master Smith Burninate",
                                            ["deDE"] = "Meisterschmied Burninate",
                                            ["frFR"] = "Ma\195\174tre forgeron Br\195\187lotin",
                                            ["zhTW"] = "大鐵匠博恩奈特",
											["zhCN"] = "大铁匠博恩奈特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Searing Gorge",
                                            ["deDE"] = "Sengende Schlucht",
                                            ["frFR"] = "Gorge des Vents br\195\187lants",
                                            ["zhTW"] = "灼熱峽谷",
											["zhCN"] = "灼热峡谷",
                                        },
                                    ["xCoord"] = 38,
                                    ["yCoord"] = 28
                                }
                        }
                },
            [4]={["EndOfRow"] = true},
            [5]={
                    ["Quest"] = "DarkIronResidue",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Enchant_DustSoul",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Gaining Acceptance",
                                    ["deDE"] = "Erlangte Anerkennung",
                                    ["frFR"] = "Se faire accepter",
                                    ["zhTW"] = "獲得信任",
									["zhCN"] = "获得信任 ",
                                }
                        },
                    ["RepValue"] = 25,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18945] =
                                {
                                    ["Count"] = 4, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Dark Iron Residue",
                                            ["deDE"] = "Dunkeleisenrückstände",
                                            ["frFR"] = "R\195\169sidu de sombrefer",
                                            ["zhTW"] = "黑鐵殘油",
											["zhCN"] = "黑铁残油",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 48,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 5,
                                    ["Max"] = 5
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Master Smith Burninate",
                                            ["deDE"] = "Meisterschmied Burninate",
                                            ["frFR"] = "Ma\195\174tre forgeron Br\195\187lotin",
                                            ["zhTW"] = "大鐵匠博恩奈特",
											["zhCN"] = "大铁匠博恩奈特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Searing Gorge",
                                            ["deDE"] = "Sengende Schlucht",
                                            ["frFR"] = "Gorge des Vents br\195\187lants",
                                            ["zhTW"] = "灼熱峽谷",
											["zhCN"] = "灼热峡谷",
                                        },
                                    ["xCoord"] = 38,
                                    ["yCoord"] = 28
                                }
                        }
                },
            [6]={["EndOfRow"] = true},
            [7]={
                    ["Quest"] = "DarkIronOre",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Ore_Mithril_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Favor Amongst the Brotherhood, Dark Iron Ore",
                                    ["deDE"] = "Gunst der Bruderschaft, Dunkeleisenerz",
                                    ["frFR"] = "Faveur aupr\195\168s de la Confr\195\169rie, Minerai de sombrefer",
                                    ["zhTW"] = "兄弟會的好感 - 黑鐵礦石",
									["zhCN"] = "兄弟会的好感 - 黑铁矿石",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [11370] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Dark Iron Ore",
                                            ["deDE"] = "Dunkeleisenerz",
                                            ["frFR"] = "Minerai de sombrefer",
                                            ["zhTW"] = "黑鐵礦石",
											["zhCN"] = "黑铁矿石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lokhtos Darkbargainer",
                                            ["deDE"] = "Lokhtos Düsterfeilsch",
                                            ["frFR"] = "Lokhtos Sombrescompte",
                                            ["zhTW"] = "羅克圖斯·暗契",
											["zhCN"] = "罗克图斯·暗契",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blackrock Depths, The Bar",
                                            ["deDE"] = "Blackrocktiefen, Die Schenke",
                                            ["frFR"] = "Profondeurs de Rochenoire, la taverne",
                                            ["zhTW"] = "黑石深淵, 酒吧",
											["zhCN"] = "黑石深渊, 酒吧",
                                        },
                                    ["xCoord"] = "?",
                                    ["yCoord"] = "?"
                                }
                        }
                },
            [8]={
                    ["Quest"] = "CoreLeather",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Ammo_FireTar",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Favor Amongst the Brotherhood, Core Leather",
                                    ["deDE"] = "Gunst der Bruderschaft, Kernleder",
                                    ["frFR"] = "Faveur aupr\195\168s de la Confr\195\169rie, Cuir du magma",
                                    ["zhTW"] = "兄弟會的好感 - 熔核犬皮",
									["zhCN"] = "兄弟会的好感 - 熔火犬皮",
                                }
                        },
                    ["RepValue"] = 350,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [17012] =
                                {
                                    ["Count"] = 2, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Core Leather",
                                            ["deDE"] = "Kernleder",
                                            ["frFR"] = "Cuir du magma",
                                            ["zhTW"] = "熔核犬皮",
											["zhCN"] = "熔火犬皮",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lokhtos Darkbargainer",
                                            ["deDE"] = "Lokhtos Düsterfeilsch",
                                            ["frFR"] = "Lokhtos Sombrescompte",
                                            ["zhTW"] = "羅克圖斯·暗契",
											["zhCN"] = "罗克图斯·暗契",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blackrock Depths, The Bar",
                                            ["deDE"] = "Blackrocktiefen, Die Schenke",
                                            ["frFR"] = "Profondeurs de Rochenoire, la taverne",
                                            ["zhTW"] = "黑石深淵, 酒吧",
											["zhCN"] = "黑石深渊, 酒吧",
                                        },
                                    ["xCoord"] = "?",
                                    ["yCoord"] = "?"
                                }
                        }
                },
            [9]={
                    ["Quest"] = "FieryCore",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Fire_FlameBolt",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Favor Amongst the Brotherhood, Fiery Core",
                                    ["deDE"] = "Gunst der Bruderschaft, Feuerkern",
                                    ["frFR"] = "Faveur aupr\195\168s de la Confr\195\169rie, Noyau de feu",
                                    ["zhTW"] = "兄弟會的好感 - 熾熱之核",
									["zhCN"] = "兄弟会的好感 - 炽热之核",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [17010] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Fiery Core",
                                            ["deDE"] = "Feuerkern",
                                            ["frFR"] = "Noyau de feu",
                                            ["zhTW"] = "熾熱之核",
											["zhCN"] = "炽热之核",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lokhtos Darkbargainer",
                                            ["deDE"] = "Lokhtos Düsterfeilsch",
                                            ["frFR"] = "Lokhtos Sombrescompte",
                                            ["zhTW"] = "羅克圖斯·暗契",
											["zhCN"] = "罗克图斯·暗契",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blackrock Depths, The Bar",
                                            ["deDE"] = "Blackrocktiefen, Die Schenke",
                                            ["frFR"] = "Profondeurs de Rochenoire, la taverne",
                                            ["zhTW"] = "黑石深淵, 酒吧",
											["zhCN"] = "黑石深渊, 酒吧",
                                        },
                                    ["xCoord"] = "?",
                                    ["yCoord"] = "?"
                                }
                        }
                },
            [10]={
                    ["Quest"] = "LavaCore",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\Spell_Nature_Earthquake",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Favor Amongst the Brotherhood, Lava Core",
                                    ["deDE"] = "Gunst der Bruderschaft, Lavakern",
                                    ["frFR"] = "Faveur aupr\195\168s de la Confr\195\169rie, Noyau de lave",
                                    ["zhTW"] = "兄弟會的好感 - 熔岩之核",
									["zhCN"] = "兄弟会的好感 - 熔岩之核",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [17011] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Lava Core",
                                            ["deDE"] = "Lavakern",
                                            ["frFR"] = "Noyau de lave",
                                            ["zhTW"] = "熔岩之核",
											["zhCN"] = "熔岩之核",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lokhtos Darkbargainer",
                                            ["deDE"] = "Lokhtos Düsterfeilsch",
                                            ["frFR"] = "Lokhtos Sombrescompte",
                                            ["zhTW"] = "羅克圖斯·暗契",
											["zhCN"] = "罗克图斯·暗契",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blackrock Depths, The Bar",
                                            ["deDE"] = "Blackrocktiefen, Die Schenke",
                                            ["frFR"] = "Profondeurs de Rochenoire, la taverne",
                                            ["zhTW"] = "黑石深淵, 酒吧",
											["zhCN"] = "黑石深渊, 酒吧",
                                        },
                                    ["xCoord"] = "?",
                                    ["yCoord"] = "?"
                                }
                        }
                },
            [11]={
                    ["Quest"] = "BloodoftheMountain",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Gem_Bloodstone_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Favor Amongst the Brotherhood, Blood of the Mountain",
                                    ["deDE"] = "Gunst der Bruderschaft, Blut des Berges",
                                    ["frFR"] = "Faveur aupr\195\168s de la Confr\195\169rie, Sang de la montagne",
                                    ["zhTW"] = "兄弟會的好感 - 山脈之血",
									["zhCN"] = "兄弟会的好感 - 山脉之血",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [11382] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Blood of the Mountain",
                                            ["deDE"] = "Blut des Berges",
                                            ["frFR"] = "Sang de la montagne",
                                            ["zhTW"] = "山脈之血",
											["zhCN"] = "山脉之血",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                            ["ThoriumBrotherhood"]=
                                {
                                    ["Min"] = 6
                                }
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lokhtos Darkbargainer",
                                            ["deDE"] = "Lokhtos Düsterfeilsch",
                                            ["frFR"] = "Lokhtos Sombrescompte",
                                            ["zhTW"] = "羅克圖斯·暗契",
											["zhCN"] = "罗克图斯·暗契",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Blackrock Depths, The Bar",
                                            ["deDE"] = "Blackrocktiefen, Die Schenke",
                                            ["frFR"] = "Profondeurs de Rochenoire, la taverne",
                                            ["zhTW"] = "黑石深淵, 酒吧",
											["zhCN"] = "黑石深渊, 酒吧",
                                        },
                                    ["xCoord"] = "?",
                                    ["yCoord"] = "?"
                                }
                        }
                },
            [12]={["EndOfRow"] = true},
        }
}
