﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ThunderBluff"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Horde",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Head_Tauren_02",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Thunder Bluff",
            ["deDE"] = "Donnerfels",
            ["frFR"] = "Les Pitons du Tonnerre",
            ["zhTW"] = "雷霆崖",
			["zhCN"] = "雷霆崖",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "TB",
            ["deDE"] = "DF",
            ["frFR"] = "PT",
            ["zhTW"] = "雷霆",
			["zhCN"] = "雷霆",
        },

    ["StartingRep"] = 3000,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = -3000,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "PristineYetiHide",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Pelt_Boar_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Perfect Yeti Hide",
                                    ["deDE"] = "Perfekter Yetibalg",
                                    ["frFR"] = "Une peau de y\195\169ti parfaite",
                                    ["zhTW"] = "完美的雪人毛皮",
									["zhCN"] = "完美的雪人毛皮",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [18972] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Perfect Yeti Hide",
                                            ["deDE"] = "Perfekter Yetibalg",
                                            ["frFR"] = "Peau de y\195\169ti parfaite",
                                            ["zhTW"] = "完美的雪人毛皮",
											["zhCN"] = "完美的雪人毛皮",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 46,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Jangdor Swiftstrider",
                                            ["deDE"] = "Jangdor Flinkschreiter",
                                            ["frFR"] = "Jangdor R\195\180deur-agile",
                                            ["zhTW"] = "杉多爾·迅蹄",
											["zhCN"] = "杉多尔·迅蹄",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Feralas",
                                            ["deDE"] = "Feralas",
                                            ["frFR"] = "F\195\169ralas",
                                            ["zhTW"] = "菲拉斯",
											["zhCN"] = "菲拉斯",
                                        },
                                    ["xCoord"] = 74,
                                    ["yCoord"] = 42
                                }
                        }
                },
            [2]={
                    ["Quest"] = "Morrowgrain",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Herb_05",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Morrowgrain to Thunder Bluff",
                                    ["deDE"] = "Morgenkorn nach Donnerfels",
                                    ["frFR"] = "Des Fibres d'aurore pour les Pitons du Tonnerre",
                                    ["zhTW"] = "雷霆崖的晨光麥",
									["zhCN"] = "雷霆崖的晨光麦",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [11040] =
                                {
                                    ["Count"] = 10, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Morrowgrain",
                                            ["deDE"] = "Morgenkorn",
                                            ["frFR"] = "Fibre d'aurore",
                                            ["zhTW"] = "晨光麥",
											["zhCN"] = "晨光麦",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 47,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Bashana Runetotem",
                                            ["deDE"] = "Bashana Runentotem",
                                            ["frFR"] = "Bashana Totem-runique",
                                            ["zhTW"] = "巴珊娜·符文圖騰",
											["zhCN"] = "巴珊娜·符文图腾",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Thunder Bluff",
                                            ["deDE"] = "Donnerfels",
                                            ["frFR"] = "Les Pitons du Tonnerre",
                                            ["zhTW"] = "雷霆崖",
											["zhCN"] = "雷霆崖",
                                        },
                                    ["xCoord"] = 70,
                                    ["yCoord"] = 33
                                }
                        }
                },
            [3]={
                    ["Quest"] = "Runecloth",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Fabric_PurpleFire_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "A Donation of Runecloth",
                                    ["deDE"] = "Spendet Runenstoff",
                                    ["frFR"] = "Encore de l'\195\169toffe runique",
                                    ["zhTW"] = "捐獻符文布",
									["zhCN"] = "捐献符文布",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [14047] =
                                {
                                    ["Count"] = 20, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Runecloth",
                                            ["deDE"] = "Runenstoff",
                                            ["frFR"] = "Etoffe runique",
                                            ["zhTW"] = "符文布",
											["zhCN"] = "符文布",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rumstag Proudstrider",
                                            ["deDE"] = "Rumstag Stolzschreiter",
                                            ["frFR"] = "Rumstag Fier-r\195\180deur",
                                            ["zhTW"] = "拉姆斯塔格",
											["zhCN"] = "拉姆斯塔格",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Thunder Bluff",
                                            ["deDE"] = "Donnerfels",
                                            ["frFR"] = "Les Pitons du Tonnerre",
                                            ["zhTW"] = "雷霆崖",
											["zhCN"] = "雷霆崖",
                                        },
                                    ["xCoord"] = 43,
                                    ["yCoord"] = 42
                                }
                        }
                },
            [4]={["EndOfRow"] = true}
        }
}
