﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["TimbermawHold"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Horn_01",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Timbermaw Hold",
            ["deDE"] = "Holzschlundfeste",
            ["frFR"] = "Les Grumegueules",
            ["zhTW"] = "木喉要塞",
			["zhCN"] = "木喉要塞",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "TH",
            ["deDE"] = "HF",
            ["frFR"] = "GG",
            ["zhTW"] = "木喉",
			["zhCN"] = "木喉",
        },

    ["StartingRep"] = -3500,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "DeadwoodHeaddressFeathers",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Feather_13",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Feathers for Grazle",
                                    ["deDE"] = "Federn für Grazle",
                                    ["frFR"] = "Des plumes pour Grifleur",
                                    ["zhTW"] = "給格拉茲的羽毛",
									["zhCN"] = "给格拉兹的羽毛",
                                },
                            [2]={
                                    ["enUS"] = "Feathers for Nafien",
                                    ["deDE"] = "Federn für Nafien",
                                    ["frFR"] = "Des plumes pour Nafien",
                                    ["zhTW"] = "給納菲恩的羽毛",
									["zhCN"] = "给纳菲恩的羽毛 ",
                                }
                        },
                    ["RepValue"] = 300,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [21377] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Deadwood Headdress Feather",
                                            ["deDE"] = "Kopfputzfeder der Totenwaldfelle",
                                            ["frFR"] = "Coiffure de plumes mort-bois",
                                            ["zhTW"] = "死木頭飾羽毛",
											["zhCN"] = "死木头饰羽毛 ",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Grazle",
                                            ["deDE"] = "Grazle",
                                            ["frFR"] = "Grifleur",
                                            ["zhTW"] = "格拉茲",
											["zhCN"] = "格拉兹",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Felwood",
                                            ["deDE"] = "Teufelswald",
                                            ["frFR"] = "Gangrebois",
                                            ["zhTW"] = "費伍德森林",
											["zhCN"] = "费伍德森林",
                                        },
                                    ["xCoord"] = 50,
                                    ["yCoord"] = 85
                                },
                            [2]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Nafien",
                                            ["deDE"] = "Nafien",
                                            ["frFR"] = "Nafien",
                                            ["zhTW"] = "納菲恩",
											["zhCN"] = "纳菲恩",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Felwood",
                                            ["deDE"] = "Teufelswald",
                                            ["frFR"] = "Gangrebois",
                                            ["zhTW"] = "費伍德森林",
											["zhCN"] = "费伍德森林",
                                        },
                                    ["xCoord"] = 63,
                                    ["yCoord"] = 9
                                }
                        }
                },

            [2]={
                    ["Quest"] = "WinterfallSpiritBeads",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Amulet_05",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Beads for Salfa",
                                    ["deDE"] = "Perlen für Salfa",
                                    ["frFR"] = "Des perles pour Salfa",
                                    ["zhTW"] = "給薩爾法的珠串",
									["zhCN"] = "给萨尔法的珠串 ",
                                }
                        },
                    ["RepValue"] = 300,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [21383] = 
                                {
                                    ["Count"] = 5,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Winterfall Spirit Beads",
                                            ["deDE"] = "Geisterperlen der Winterfelle",
                                            ["frFR"] = "Perles d'esprit tombe-hiver",
                                            ["zhTW"] = "冬泉靈魂珠串",
											["zhCN"] = "冬泉灵魂珠串",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Salfa",
                                            ["deDE"] = "Salfa",
                                            ["frFR"] = "Salfa",
                                            ["zhTW"] = "薩爾法",
											["zhCN"] = "萨尔法",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Winterspring",
                                            ["deDE"] = "Winterquell",
                                            ["frFR"] = "Berceau-de-l'Hiver",
                                            ["zhTW"] = "冬泉谷",
											["zhCN"] = "冬泉谷",
                                        },
                                    ["xCoord"] = 28,
                                    ["yCoord"] = 35
                                }
                        }
                },
            [3]={["EndOfRow"] = true}
        }
}
