﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ValianceExpedition"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Alliance",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_BannerPVP_02",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Valiance Expedition",
            ["deDE"] = "Expedition Valianz",
            ["frFR"] = "Exp\195\169dition de la Bravoure",
            ["zhTW"] = "驍勇遠征軍",
			["zhCN"] = "无畏远征军",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "VE",
            ["deDE"] = "EV",
            ["frFR"] = "EB",
            ["zhTW"] = "驍勇",
			["zhCN"] = "无畏",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "BreaktheBlockade",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bomb_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Break the Blockade",
                                    ["deDE"] = "Durchbrecht die Blockade",
                                    ["frFR"] = "Forcer le blocus",
                                    ["zhTW"] = "突破封鎖線",
									["zhCN"] = "冲破封锁",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Blockade Pirate",
                                            ["deDE"] = "Blockadenpirat",
                                            ["frFR"] = "Pirate du blocus tu\195\169",
                                            ["zhTW"] = "已殺死封鎖線海賊",
											["zhCN"] = "封锁船的水手",
                                        },
                                    ["Count"] = 25
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Blockade Cannons destroyed",
                                            ["deDE"] = "Kanonen der Blockade zerstört",
                                            ["frFR"] = "Canons du blocus d\195\169truits",
                                            ["zhTW"] = "摧毀了封鎖線火砲",
											["zhCN"] = "摧毁封锁船的火炮",
                                        },
                                    ["Count"] = 10
                                }
                        },
                    ["MinLevel"] = 68,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Bombardier Petrov",
                                            ["deDE"] = "Bombenschütze Petrov",
                                            ["frFR"] = "Bombardier Petrov",
                                            ["zhTW"] = "投彈手派特洛夫",
											["zhCN"] = "炮兵匹特洛夫",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Howling Fjord",
                                            ["deDE"] = "Heulenden Fjord",
                                            ["frFR"] = "Fjord hurlant",
                                            ["zhTW"] = "凜風峽灣",
											["zhCN"] = "嚎风峡湾",
                                        },
                                    ["xCoord"] = 28,
                                    ["yCoord"] = 41
                                }
                        }
                },
            [2]={
                    ["Quest"] = "BlackriverSkirmish",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Head_Orc_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Blackriver Skirmish",
                                    ["deDE"] = "Gemetzel am Schwarzwasser",
                                    ["frFR"] = "Escarmouches sur la rivi\195\168re Noire",
                                    ["zhTW"] = "黑河前哨戰",
									["zhCN"] = "黑水伐木场的战斗",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Horde in Blackriver slain",
                                            ["deDE"] = "Horde in Schwarzwasser getötet",
                                            ["frFR"] = "Forces de la Horde tu\195\169es \195\160 la rivi\195\168re Noire",
                                            ["zhTW"] = "殺死了黑河的部落",
											["zhCN"] = "消灭黑水伐木场的部落",
                                        },
                                    ["Count"] = 10
                                }
                        },
                    ["MinLevel"] = 73,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Scout Captain Carter",
                                            ["deDE"] = "Feldspäherhauptmann Carter",
                                            ["frFR"] = "Capitaine des \195\169claireurs Carter",
                                            ["zhTW"] = "斥候隊長卡特",
											["zhCN"] = "斥候队长卡特尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Grizzly Hills",
                                            ["deDE"] = "Grizzlyhügel",
                                            ["frFR"] = "Les Grisonnes",
                                            ["zhTW"] = "灰白之丘",
											["zhCN"] = "灰熊丘陵",
                                        },
                                    ["xCoord"] = 29,
                                    ["yCoord"] = 59
                                }
                        }
                },
            [3]={
                    ["Quest"] = "LifeorDeath",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bandage_16",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Life or Death",
                                    ["deDE"] = "Leben oder Tod",
                                    ["frFR"] = "La vie ou la mort",
                                    ["zhTW"] = "生死一線",
									["zhCN"] = "生存或是死亡",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Westfall Infantry Healed",
                                            ["deDE"] = "Westfallinfanterie geheilt",
                                            ["frFR"] = "Soldat d'infanterie de la marche de l'Ouest soign\195\169",
                                            ["zhTW"] = "治療西荒步兵",
											["zhCN"] = "治疗月溪旅步兵",
                                        },
                                    ["Count"] = 10
                                }
                        },
                    ["MinLevel"] = 73,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Rheanna",
                                            ["deDE"] = "Rheanna",
                                            ["frFR"] = "Rheanna",
                                            ["zhTW"] = "雷安娜",
											["zhCN"] = "蕾安娜",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Grizzly Hills",
                                            ["deDE"] = "Grizzlyhügel",
                                            ["frFR"] = "Les Grisonnes",
                                            ["zhTW"] = "灰白之丘",
											["zhCN"] = "灰熊丘陵",
                                        },
                                    ["xCoord"] = 40,
                                    ["yCoord"] = 41
                                }
                        }
                },
            [4]={
                    ["Quest"] = "KickEmWhileTheyreDown",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Boots_Plate_06",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Kick 'Em While They're Down",
                                    ["deDE"] = "Tritt rein, solang' sie am Boden liegen",
                                    ["frFR"] = "Frappez-les tant qu'ils sont \195\160 terre",
                                    ["zhTW"] = "落井下石",
									["zhCN"] = "乘胜追击",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Horde units eliminated",
                                            ["deDE"] = "Einheiten der Horde vernichtet",
                                            ["frFR"] = "Unit\195\169s de la Horde \195\169limin\195\169es",
                                            ["zhTW"] = "部落成員被消滅",
											["zhCN"] = "消灭部落成员",
                                        },
                                    ["Count"] = 15
                                }
                        },
                    ["MinLevel"] = 73,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Sergeant Hartsman",
                                            ["deDE"] = "Unteroffizier Hartsmann",
                                            ["frFR"] = "Sergent Hartsman",
                                            ["zhTW"] = "士官赫茲曼",
											["zhCN"] = "哈斯曼中士",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Grizzly Hills",
                                            ["deDE"] = "Grizzlyhügel",
                                            ["frFR"] = "Les Grisonnes",
                                            ["zhTW"] = "灰白之丘",
											["zhCN"] = "灰熊丘陵",
                                        },
                                    ["xCoord"] = 38,
                                    ["yCoord"] = 42
                                }
                        }
                },
            [5]={["EndOfRow"] = true},
            [6]={
                    ["Quest"] = "AssaultbyAir",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Bag_08",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Assault by Air",
                                    ["deDE"] = "Luftangriff",
                                    ["frFR"] = "Attaque a\195\169rienne",
                                    ["zhTW"] = "空中突襲",
									["zhCN"] = "空中突袭",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Skybreaker Infiltrators dropped",
                                            ["deDE"] = "Spitzel der Himmelsbrecher abgeworfen",
                                            ["frFR"] = "Infiltrateurs du Brise-ciel largu\195\169s",
                                            ["zhTW"] = "破天者號滲透者抵達",
											["zhCN"] = "破天号潜入者安全着陆",
                                        },
                                    ["Count"] = 4
                                }
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Ground Commander Koup",
                                            ["deDE"] = "Feldkommandant Koup",
                                            ["frFR"] = "Commandant Koup",
                                            ["zhTW"] = "地面指揮官庫普",
											["zhCN"] = "地面指挥官库普",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La Couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 62,
                                    ["yCoord"] = 51
                                }
                        }
                },
            [7]={
                    ["Quest"] = "AssaultbyGround",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Banner_02",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Assault by Ground",
                                    ["deDE"] = "Bodenangriff",
                                    ["frFR"] = "Attaque sur le terrain",
                                    ["zhTW"] = "地面突襲",
									["zhCN"] = "地面突袭",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Alliance troops escorted to Ymirheim",
                                            ["deDE"] = "Truppen der Allianz nach Ymirheim eskortiert",
                                            ["frFR"] = "Troupes de l'Alliance escort\195\169es jusqu'\195\160 Ymirheim",
                                            ["zhTW"] = "已護送聯盟軍隊抵達依米海姆",
											["zhCN"] = "护送联盟部队前往伊米海姆",
                                        },
                                    ["Count"] = 4
                                }
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Ground Commander Koup",
                                            ["deDE"] = "Feldkommandant Koup",
                                            ["frFR"] = "Commandant Koup",
                                            ["zhTW"] = "地面指揮官庫普",
											["zhCN"] = "地面指挥官库普",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La Couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 62,
                                    ["yCoord"] = 51
                                }
                        }
                },
            [8]={
                    ["Quest"] = "BloodoftheChosen",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\Spell_Shadow_BloodBoil",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Blood of the Chosen",
                                    ["deDE"] = "Blut der Auserwählten",
                                    ["frFR"] = "Le sang des \195\169lus",
                                    ["zhTW"] = "受選者的血",
									["zhCN"] = "伊米亚之血",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Ymirheim Vrykul slain",
                                            ["deDE"] = "Vrykul von Ymirheim getötet",
                                            ["frFR"] = "Vrykul ymirheim tu\195\169",
                                            ["zhTW"] = "殺死依米海姆維酷人",
											["zhCN"] = "杀死伊米海姆维库人",
                                        },
                                    ["Count"] = 20
                                }
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Knight-Captain Drosche",
                                            ["deDE"] = "Kürassier Drosche",
                                            ["frFR"] = "Chevalier-capitaine Drosche",
                                            ["zhTW"] = "騎士長德羅許",
											["zhCN"] = "骑士队长德洛斯彻",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown, Skybreaker",
                                            ["deDE"] = "Eiskrone, Himmelsbrecher",
                                            ["frFR"] = "La Couronne de glace, Brise-ciel",
                                            ["zhTW"] = "寒冰皇冠, 破天者號",
											["zhCN"] = "冰冠冰川, 破天号",
                                        },
                                    ["xCoord"] = "55-66",
                                    ["yCoord"] = "38-57"
                                }
                        }
                },
            [9]={
                    ["Quest"] = "CaptureMoreDispatches",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Scroll_16",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Capture More Dispatches",
                                    ["deDE"] = "Mehr Sendungen abfangen",
                                    ["frFR"] = "R\195\169cup\195\169rez plus de d\195\169p\195\170ches",
                                    ["zhTW"] = "攔截更多急件",
									["zhCN"] = "抢夺急件",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [44220] =
                                {
                                    ["Count"] = 4, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Orgrim's Hammer Dispatch",
                                            ["deDE"] = "Sendung der Orgrims Hammer",
                                            ["frFR"] = "D\195\169p\195\170che du Marteau d'Orgrim",
                                            ["zhTW"] = "奧格林之錘急件",
											["zhCN"] = "奥格瑞姆之锤急件",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "High Captain Justin Bartlett",
                                            ["deDE"] = "Hochkapitän Justin Bartlett",
                                            ["frFR"] = "Grand capitaine Justin Bartlett",
                                            ["zhTW"] = "提督賈斯汀·巴特勒",
											["zhCN"] = "高级指挥官加斯汀·巴雷特",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown, Skybreaker",
                                            ["deDE"] = "Eiskrone, Himmelsbrecher",
                                            ["frFR"] = "La Couronne de glace, Brise-ciel",
                                            ["zhTW"] = "寒冰皇冠, 破天者號",
											["zhCN"] = "冰冠冰川, 破天号",
                                        },
                                    ["xCoord"] = "55-66",
                                    ["yCoord"] = "38-57"
                                }
                        }
                },
            [10]={
                    ["Quest"] = "KingoftheMountain",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Gizmo_RocketBoot_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "King of the Mountain",
                                    ["deDE"] = "König der Berge",
                                    ["frFR"] = "Roi de la montagne",
                                    ["zhTW"] = "山脈之王",
									["zhCN"] = "占山为王",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Alliance Battle Standard planted",
                                            ["deDE"] = "Schlachtstandarde der Allianz platziert",
                                            ["frFR"] = "\195\169tendard de bataille de l'Alliance plant\195\169",
                                            ["zhTW"] = "聯盟戰旗已部署",
											["zhCN"] = "插下联盟军旗",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 77,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Frazzle Geargrinder",
                                            ["deDE"] = "Fetzi Gangzwinger",
                                            ["frFR"] = "Flagade Ecrouabouille",
                                            ["zhTW"] = "芙芮索·齒研",
											["zhCN"] = "弗拉索·磨轮",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Icecrown",
                                            ["deDE"] = "Eiskrone",
                                            ["frFR"] = "La Couronne de glace",
                                            ["zhTW"] = "寒冰皇冠",
											["zhCN"] = "冰冠冰川",
                                        },
                                    ["xCoord"] = 56,
                                    ["yCoord"] = 62
                                }
                        }
                },
            [11]={["EndOfRow"] = true}
        }
}
