﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["WyrmrestAccord"] = 
{
    ["Category"] = "Wrath",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\Ability_Druid_Eclipse",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "The Wyrmrest Accord",
            ["deDE"] = "Der Wyrmruhpakt",
            ["frFR"] = "L'Accord de Repos du ver",
            ["zhTW"] = "龍眠協調者",
			["zhCN"] = "龙眠联军",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "WA",
            ["deDE"] = "WP",
            ["frFR"] = "AR",
            ["zhTW"] = "龍眠",
			["zhCN"] = "龙眠",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "DrakeHunt",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Spear_11",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Drake Hunt",
                                    ["deDE"] = "Drachenjagd",
                                    ["frFR"] = "La chasse au drake",
                                    ["zhTW"] = "獵龍",
									["zhCN"] = "猎龙",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Captured Nexus Drake",
                                            ["deDE"] = "Naxusdrache eingefangen",
                                            ["frFR"] = "Drake du Nexus captur\195\169",
                                            ["zhTW"] = "捕獲奧核雛龍",
											["zhCN"] = "捕获魔枢雏龙",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 71,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Raelorasz",
                                            ["deDE"] = "Raelorasz",
                                            ["frFR"] = "Raelorasz",
                                            ["zhTW"] = "瑞洛拉茲",
											["zhCN"] = "莱洛拉斯",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Borean Tundra",
                                            ["deDE"] = "Boreanische Tundra",
                                            ["frFR"] = "Toundra bor\195\169enne (Frimarra)",
                                            ["zhTW"] = "北風凍原",
											["zhCN"] = "北风苔原",
                                        },
                                    ["xCoord"] = 33,
                                    ["yCoord"] = 34
                                }
                        }
                },
            [2]={
                    ["Quest"] = "AcesHigh",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Head_Dragon_01",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Aces High!",
                                    ["deDE"] = "Schlacht in den Wolken",
                                    ["frFR"] = "Un as dans notre jeu !",
                                    ["zhTW"] = "振翼高飛!",
									["zhCN"] = "展翅高飞！",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Scalesworn Elites Slain",
                                            ["deDE"] = "Elitesoldat der Eidschuppen getötet",
                                            ["frFR"] = "Lig\195\169cailles d'\195\169lite tu\195\169s",
                                            ["zhTW"] = "殺死誓鱗精英",
											["zhCN"] = "杀死鳞誓精英",
                                        },
                                    ["Count"] = 5
                                }
                        },
                    ["MinLevel"] = 80,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Corastrasza",
                                            ["deDE"] = "Corastrasza",
                                            ["frFR"] = "Corastrasza",
                                            ["zhTW"] = "寇菈史卓莎",
											["zhCN"] = "科拉丝塔萨",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Borean Tundra",
                                            ["deDE"] = "Boreanische Tundra",
                                            ["frFR"] = "Toundra bor\195\169enne (Frimarra)",
                                            ["zhTW"] = "北風凍原",
											["zhCN"] = "北风苔原",
                                        },
                                    ["xCoord"] = 29,
                                    ["yCoord"] = 24
                                }
                        }
                },
            [3]={
                    ["Quest"] = "DefendingWyrmrestTemple",
                    ["Stackable"] = false,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Head_Dragon_Blue",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Defending Wyrmrest Temple",
                                    ["deDE"] = "Verteidigt den Wyrmruhtempel",
                                    ["frFR"] = "La d\195\169fense du temple du Repos du ver",
                                    ["zhTW"] = "死守龍眠神殿",
									["zhCN"] = "保卫龙眠神殿",
                                }
                        },
                    ["RepValue"] = 250,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                        },
                    ["OtherObjectives"] =
                        {
                            [1]={
                                    ["ObjectiveIndex"] = 1,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Azure Dragon slain",
                                            ["deDE"] = "Azurblauer Großdrache getötet",
                                            ["frFR"] = "Dragon azur tu\195\169",
                                            ["zhTW"] = "殺死蒼藍巨龍",
											["zhCN"] = "消灭碧蓝巨龙",
                                        },
                                    ["Count"] = 3
                                },
                            [2]={
                                    ["ObjectiveIndex"] = 2,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Azure Drake slain",
                                            ["deDE"] = "Azurblauer Drache getötet",
                                            ["frFR"] = "Drake azur tu\195\169",
                                            ["zhTW"] = "殺死蒼藍飛龍",
											["zhCN"] = "消灭碧蓝幼龙",
                                        },
                                    ["Count"] = 5
                                },
                            [3]={
                                    ["ObjectiveIndex"] = 3,
                                    ["Text"] = 
                                        {
                                            ["enUS"] = "Destabilize the Azure Dragonshrine",
                                            ["deDE"] = "Azurdrachenschrein destabilisiert",
                                            ["frFR"] = "Sanctuaire draconique azur d\195\169stabilis\195\169",
                                            ["zhTW"] = "擾亂蒼藍龍殿",
											["zhCN"] = "破坏碧蓝巨龙圣地",
                                        },
                                    ["Count"] = 0
                                }
                        },
                    ["MinLevel"] = 71,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Lord Afrasastrasz",
                                            ["deDE"] = "Fürst Afrasastrasz",
                                            ["frFR"] = "Seigneur Afrasastrasz",
                                            ["zhTW"] = "艾弗薩斯塔茲領主",
											["zhCN"] = "阿弗拉沙斯塔兹",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Dragonblight",
                                            ["deDE"] = "Drachenöde",
                                            ["frFR"] = "D\195\169solation des dragons",
                                            ["zhTW"] = "龍骨荒野",
											["zhCN"] = "龙骨荒野",
                                        },
                                    ["xCoord"] = 59,
                                    ["yCoord"] = 54
                                }
                        }
                },
            [4]={["EndOfRow"] = true}
        }
}
