﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["ZandalarTribe"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Head_Troll_01",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Zandalar Tribe",
            ["deDE"] = "Stamm der Zandalar",
            ["frFR"] = "Tribu Zandalar",
            ["zhTW"] = "贊達拉部族",
			["zhCN"] = "赞达拉部族",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "ZT",
            ["deDE"] = "SZ",
            ["frFR"] = "TZ",
            ["zhTW"] = "贊達拉",
			["zhCN"] = "赞达拉",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "Coins1",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Coin_09",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Zulian, Razzashi, and Hakkari Coins",
                                    ["deDE"] = "Münzen der Razzashi, Hakkari und zulianische Münzen",
                                    ["frFR"] = "Pi\195\168ces zuliennes, razzashi et hakkari",
                                    ["zhTW"] = "祖利安、拉札希和哈卡萊硬幣",
									["zhCN"] = "祖利安、拉扎什和哈卡莱硬币",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19698] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Zulian Coin",
                                            ["deDE"] = "Zulianische Münze",
                                            ["frFR"] = "Pi\195\168ce zulienne",
                                            ["zhTW"] = "祖利安硬幣",
											["zhCN"] = "祖利安硬币",
                                        }
                                },
                            [19699] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Razzashi Coin",
                                            ["deDE"] = "Münze der Razzashi",
                                            ["frFR"] = "Pi\195\168ce Razzashi",
                                            ["zhTW"] = "拉札希硬幣",
											["zhCN"] = "拉扎什硬币",
                                        }
                                },
                            [19700] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Hakkari Coin",
                                            ["deDE"] = "Münze der Hakkari",
                                            ["frFR"] = "Pi\195\168ce hakkari",
                                            ["zhTW"] = "哈卡萊錢幣",
											["zhCN"] = "哈卡莱硬币",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Vinchaxa",
                                            ["deDE"] = "Vinchaxa",
                                            ["frFR"] = "Vinchaxa",
                                            ["zhTW"] = "溫卡薩",
											["zhCN"] = "温卡萨",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 13,
                                    ["yCoord"] = 15
                                }
                        }
                },
            [2]={
                    ["Quest"] = "Coins2",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Coin_15",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Sandfury, Skullsplitter, and Bloodscalp Coins",
                                    ["deDE"] = "Münzen der Sandwüter, Schädelspalter und Blutskalpe",
                                    ["frFR"] = "Pi\195\168ces Furie-des-sables, Casse-cr\195\162ne et Scalp-rouge",
                                    ["zhTW"] = "沙怒、劈顱和血頂硬幣",
									["zhCN"] = "沙怒、碎颅和血顶硬币 ",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19704] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Sandfury Coin",
                                            ["deDE"] = "Münze der Sandwüter",
                                            ["frFR"] = "Pi\195\168ce Furie-des-sables",
                                            ["zhTW"] = "沙怒硬幣",
											["zhCN"] = "沙怒硬币 ",
                                        }
                                },
                            [19705] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Skullsplitter Coin",
                                            ["deDE"] = "Münze der Schädelspalter",
                                            ["frFR"] = "Pi\195\168ce Casse-cr\195\162ne",
                                            ["zhTW"] = "劈顱硬幣",
											["zhCN"] = "碎颅硬币",
                                        }
                                },
                            [19706] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Bloodscalp Coin",
                                            ["deDE"] = "Münze der Blutskalpe",
                                            ["frFR"] = "Pi\195\168ce Scalp-rouge",
                                            ["zhTW"] = "血頂硬幣",
											["zhCN"] = "血顶硬币",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Vinchaxa",
                                            ["deDE"] = "Vinchaxa",
                                            ["frFR"] = "Vinchaxa",
                                            ["zhTW"] = "溫卡薩",
											["zhCN"] = "温卡萨",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 13,
                                    ["yCoord"] = 15
                                }
                        }
                },
            [3]={
                    ["Quest"] = "Coins3",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Coin_07",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Gurubashi, Vilebranch, and Witherbark Coins",
                                    ["deDE"] = "Münzen der Gurubashi, Blutfratzen und Bleichborken",
                                    ["frFR"] = "Pi\195\168ces Gurubashi, Vilebranche et F\195\162n\195\169corce",
                                    ["zhTW"] = "古拉巴什、邪枝和枯木硬幣",
									["zhCN"] = "古拉巴什、邪枝和枯木硬币",
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19701] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Gurubashi Coin",
                                            ["deDE"] = "Münze der Gurubashi",
                                            ["frFR"] = "Pi\195\168ce Gurubashi",
                                            ["zhTW"] = "古拉巴什硬幣",
											["zhCN"] = "古拉巴什硬币",
                                        }
                                },
                            [19702] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Vilebranch Coin",
                                            ["deDE"] = "Münze der Blutfratzen",
                                            ["frFR"] = "Pi\195\168ce Vilebranche",
                                            ["zhTW"] = "邪枝硬幣",
											["zhCN"] = "邪枝硬币",
                                        }
                                },
                            [19703] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Witherbark Coin",
                                            ["deDE"] = "Münze der Bleichborken",
                                            ["frFR"] = "Pi\195\168ce F\195\162n\195\169corce",
                                            ["zhTW"] = "枯木硬幣",
											["zhCN"] = "枯木硬币",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Vinchaxa",
                                            ["deDE"] = "Vinchaxa",
                                            ["frFR"] = "Vinchaxa",
                                            ["zhTW"] = "溫卡薩",
											["zhCN"] = "温卡萨",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 13,
                                    ["yCoord"] = 15
                                }
                        }
                },
            [4]={["EndOfRow"] = true},
            [5]={
                    ["Quest"] = "ZandalarHonorToken",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Misc_Coin_08",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Zandalar Honor Token",
                                    ["deDE"] = "Ehrenmünze der Zandalari",
                                    ["frFR"] = "Marque d'honneur zandalar",
                                    ["zhTW"] = "贊達拉榮譽勳章",
									["zhCN"] = "赞达拉荣誉勋章",
                                }
                        },
                    ["RepValue"] = 50,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19858] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Zandalar Honor Token",
                                            ["deDE"] = "Ehrenmünze der Zandalari",
                                            ["frFR"] = "Marque d'honneur zandalar",
                                            ["zhTW"] = "贊達拉榮譽勳章",
											["zhCN"] = "赞达拉荣誉勋章",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                        }
                },
            [6]={["EndOfRow"] = true},
            [7]={
                    ["Quest"] = "BlueHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Blue",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Blue Hakkari Bijou",
                                    ["deDE"] = "Blaues Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari bleu",
                                    ["zhTW"] = "藍色哈卡萊寶石",
									["zhCN"] = "蓝色哈卡莱宝石",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19708] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Blue Hakkari Bijou",
                                            ["deDE"] = "Blaues Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari bleu",
                                            ["zhTW"] = "藍色哈卡萊寶石",
											["zhCN"] = "蓝色哈卡莱宝石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [8]={
                    ["Quest"] = "BronzeHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Bronze",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Bronze Hakkari Bijou",
                                    ["deDE"] = "Bronzefarbenes Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari bronze",
                                    ["zhTW"] = "青銅哈卡萊寶石",
									["zhCN"] = "青铜哈卡莱宝石",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19713] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Bronze Hakkari Bijou",
                                            ["deDE"] = "Bronzefarbenes Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari bronze",
                                            ["zhTW"] = "青銅哈卡萊寶石",
											["zhCN"] = "青铜哈卡莱宝石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [9]={
                    ["Quest"] = "GoldHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Gold",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Gold Hakkari Bijou",
                                    ["deDE"] = "Goldenes Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari dor\195\169",
                                    ["zhTW"] = "金色哈卡萊寶石",
									["zhCN"] = "金色哈卡莱宝石",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19715] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Gold Hakkari Bijou",
                                            ["deDE"] = "Goldenes Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari dor\195\169",
                                            ["zhTW"] = "金色哈卡萊寶石",
											["zhCN"] = "金色哈卡莱宝石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [10]={["EndOfRow"] = true},
            [11]={
                    ["Quest"] = "GreenHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Green",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Green Hakkari Bijou",
                                    ["deDE"] = "Grünes Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari vert",
                                    ["zhTW"] = "綠色哈卡萊寶石",
									["zhCN"] = "绿色哈卡莱宝石",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19711] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Green Hakkari Bijou",
                                            ["deDE"] = "Grünes Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari vert",
                                            ["zhTW"] = "綠色哈卡萊寶石",
											["zhCN"] = "绿色哈卡莱宝石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [12]={
                    ["Quest"] = "OrangeHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Orange",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Orange Hakkari Bijou",
                                    ["deDE"] = "Orangefarbenes Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari orange",
                                    ["zhTW"] = "橘色哈卡萊寶石",
									["zhCN"] = "橙色哈卡莱宝石",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19710] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Orange Hakkari Bijou",
                                            ["deDE"] = "Orangefarbenes Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari orange",
                                            ["zhTW"] = "橘色哈卡萊寶石",
											["zhCN"] = "橙色哈卡莱宝石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [13]={
                    ["Quest"] = "PurpleHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Purple",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Purple Hakkari Bijou",
                                    ["deDE"] = "Lila Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari violet",
                                    ["zhTW"] = "紫色哈卡萊寶石",
									["zhCN"] = "紫色哈卡莱宝石",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19712] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Purple Hakkari Bijou",
                                            ["deDE"] = "Lila Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari violet",
                                            ["zhTW"] = "紫色哈卡萊寶石",
											["zhCN"] = "紫色哈卡莱宝石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [14]={["EndOfRow"] = true},
            [15]={
                    ["Quest"] = "RedHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Red",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Red Hakkari Bijou",
                                    ["deDE"] = "Rotes Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari rouge",
                                    ["zhTW"] = "紅色哈卡萊寶石",
									["zhCN"] = "红色哈卡莱宝石 ",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19707] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Red Hakkari Bijou",
                                            ["deDE"] = "Rotes Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari rouge",
                                            ["zhTW"] = "紅色哈卡萊寶石",
											["zhCN"] = "红色哈卡莱宝石 ",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [16]={
                    ["Quest"] = "SilverHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Silver",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Silver Hakkari Bijou",
                                    ["deDE"] = "Silbernes Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari argent\195\169",
                                    ["zhTW"] = "銀色哈卡萊寶石",
									["zhCN"] = "银色哈卡莱宝石",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19714] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Silver Hakkari Bijou",
                                            ["deDE"] = "Silbernes Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari argent\195\169",
                                            ["zhTW"] = "銀色哈卡萊寶石",
											["zhCN"] = "银色哈卡莱宝石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [17]={
                    ["Quest"] = "YellowHakkariBijou",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Bijou_Yellow",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Yellow Hakkari Bijou",
                                    ["deDE"] = "Gelbes Schmuckstück der Hakkari",
                                    ["frFR"] = "Bijou hakkari jaune",
                                    ["zhTW"] = "黃色哈卡萊寶石",
									["zhCN"] = "黄色哈卡莱宝石",
                                }
                        },
                    ["RepValue"] = 125,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [19709] =
                                {
                                    ["Count"] = 1, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Yellow Hakkari Bijou",
                                            ["deDE"] = "Gelbes Schmuckstück der Hakkari",
                                            ["frFR"] = "Bijou hakkari jaune",
                                            ["zhTW"] = "黃色哈卡萊寶石",
											["zhCN"] = "黄色哈卡莱宝石",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 0,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Altar of Zanza",
                                            ["deDE"] = "Altar von Zanza",
                                            ["frFR"] = "Autel de Zanza",
                                            ["zhTW"] = "贊札祭壇",
											["zhCN"] = "赞扎祭坛",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Stranglethorn Vale",
                                            ["deDE"] = "Schlingendorntal",
                                            ["frFR"] = "Vall\195\169e de Strangleronce",
                                            ["zhTW"] = "荊棘谷",
											["zhCN"] = "荆棘谷",
                                        },
                                    ["xCoord"] = 15,
                                    ["yCoord"] = 16
                                }
                        }
                },
            [18]={["EndOfRow"] = true}
        }
}
