--FactionGrinder2
--Written By Tiok - US Thrall
function D(t) DEFAULT_CHAT_FRAME:AddMessage(t) end

FG2_VERSION = 2.06
FG2_INITIALIZED = false
FG2_INITIAL_UPDATE_QUEUED = false

FACTIONGRINDER2_PREFIX = "FACTIONGRINDER2";

FactionGrinder2_Categories = 
{
    ["Classic"] = 
        {
            ["enUS"] = "Classic",
            ["deDE"] = "Classic",
            ["frFR"] = "Classic",
            ["zhTW"] = "Classic",
        },
    ["BurningCrusade"] = 
        {
            ["enUS"] = "Burning Crusade",
            ["deDE"] = "Burning Crusade",
            ["frFR"] = "Burning Crusade",
            ["zhTW"] = "Burning Crusade",
        },
    ["Wrath"] = 
        {
            ["enUS"] = "Wrath of the Lich King",
            ["deDE"] = "Wrath of the Lich King",
            ["frFR"] = "Wrath of the Lich King",
            ["zhTW"] = "Wrath of the Lich King",
        },
	["Cataclysm"] =
		{
			["enUS"] = "Cataclysm",
            ["deDE"] = "Cataclysm",
            ["frFR"] = "Cataclysm",
            ["zhTW"] = "Cataclysm",
		},
}

FG2_RED      = "|cffff0000";
FG2_ORANGE   = "|cffff8800";
FG2_GREEN    = "|cff00ff00";
FG2_BLUE     = "|cff0000ff";
FG2_YELLOW   = "|cffffff00";
FG2_WHITE    = "|cffffffff";
FG2_GOLD     = "|cffffcc22";
FG2_GREY     = "|cffaaaaaa";
FG2_GRELLOW  = "|cffaaff00";
FG2_GRUE     = "|cff00ff50";
FG2_EPIC     = "|cffa436ee"; --that epic purpley color
FG2_SUPERIOR = "|cff0071df"; --that superior bluey color

FG2_FactionTopValues = --Key:factionStandingID (0-6), Value:rep amount to move to next standing
{
    [1] = -6000,
    [2] = -3000,
    [3] = 0,
    [4] = 3000,
    [5] = 9000,
    [6] = 21000,
    [7] = 42000,
    [8] = 43000
}

FG2_FactionBottomValues = --Key:factionStandingID (0-6), Value:rep amount to move to next standing
{
    [1] = -42000,
    [2] = -6000,
    [3] = -3000,
    [4] = 0,
    [5] = 3000,
    [6] = 9000,
    [7] = 21000,
    [8] = 42000
}

FG2_FactionStandingNames = 
{
    [1] = "Hated",
    [2] = "Hostile",
    [3] = "Unfriendly",
    [4] = "Neutral",
    [5] = "Friendly",
    [6] = "Honored",
    [7] = "Revered",
    [8] = "Exalted"
}

FG2_FactionStandingColors = 
{
    [1] = FG2_RED,
    [2] = FG2_RED,
    [3] = FG2_ORANGE,
    [4] = FG2_YELLOW,
    [5] = FG2_WHITE,
    [6] = FG2_GREEN,
    [7] = FG2_SUPERIOR,
    [8] = FG2_EPIC
}

FG2_GRIND_UPDATE_INTERVAL = 1.0
FG2_NEXT_GRIND_UPDATE = 0

FG2_PendingRep = {}
FG2_NowGrinding = {}
FG2_GrindingStartedAt = {}
FG2_InitialRep = {}
FG2_PreviousGrindingTime = {}
FG2_PreviousRepGround = {}

FG2_FactionWidgetsCreated = {}

if (FG2_FactionData == nil) then FG2_FactionData = {} end

function FG2_Localize(text)
    if (text[GetLocale()] == nil) then text[GetLocale()] = text["enUS"] end --Make sure we have a legal text string
    return text[GetLocale()]
end


function FactionGrinder2_RegisterEvents()
    FactionGrinder2Frame:RegisterEvent("VARIABLES_LOADED")
    FactionGrinder2Frame:RegisterEvent("CHAT_MSG_CHANNEL_NOTICE")
    FactionGrinder2Frame:RegisterEvent("CHAT_MSG_COMBAT_FACTION_CHANGE")
    FactionGrinder2Frame:RegisterEvent("QUEST_LOG_UPDATE")
    FactionGrinder2Frame:RegisterEvent("PLAYER_LEAVING_WORLD")
    --add event registrations here
end

function FactionGrinder2_Init()
    FG2_INITIALIZED = true
    FG2_NEXT_GRIND_UPDATE = GetTime() + FG2_GRIND_UPDATE_INTERVAL
    --Version Check
    if (FG2Settings == nil) or (FG2Settings["Version"] < FG2_VERSION) then
        FG2Settings = {}
        FG2Settings["GrindStatsTrackersShown"] = {}
        FG2Settings["TurnInTrackersShown"] = {}
        FG2Settings["TrackerPositions"] = {}
        FG2Settings["Version"] = FG2_VERSION
    end
    --Category Display
    if (FG2Settings["Categories"] == nil) then FG2Settings["Categories"] = {} end
    for cat,text in pairs(FactionGrinder2_Categories) do
        --Add any new categories to the list, defaults to ON.
        if (FG2Settings["Categories"][cat] == nil) then
            FG2Settings["Categories"][cat] = 1
        end
    end
    for cat,show in pairs(FG2Settings["Categories"]) do
        --Remove any "extinct" categories from the list.
        if (FactionGrinder2_Categories[cat] == nil) then
            FG2Settings["Categories"][cat] = nil
        end
    end

    --Create Category labels and checkboxes.
    local name,win
    local top = -5
    local yInc = -20
    local f = getglobal("FG2_CategoriesScrollChild");

    for cat,text in pairs(FactionGrinder2_Categories) do
        --Create the labels
        name = "FG2_"..cat.."CategoryLabel"
        f:CreateFontString(name)
        win = _G[name]
        win:SetFontObject("GameFontNormalSmall")
        win:SetText(FG2_Localize(text))
        win:SetPoint("TOPLEFT",30,top)

        --Create the checkboxes
        name = "FG2_"..cat.."CategoryCheckbox"
        win = CreateFrame("CheckButton",name,f,"FG2_CategoryCheckButton")
        win:SetPoint("TOPLEFT",10,top+5)
        --Check the checkboxes if necessary
        win:SetChecked(FG2Settings["Categories"][cat] == 1)

        top = top + yInc
    end
    f:SetHeight(math.max(f:GetParent():GetHeight(),-top))

    --Now that we know what categories are selected, let's show all the appropriate factions.
    FactionGrinder2_DisplaySelectedCategories()

    --Update the General Settings status
    FG2_CB_IncludeBankBags:SetChecked(FG2Settings["IncludeBankBags"])
    FG2_CB_IncludeItemsOnAlts:SetChecked(FG2Settings["IncludeItemsOnAlts"])

    --And show/hide anything that was shown/hidden during the last play session.
    FG2_ToggleTrackerDisplay(FG2Settings["Show"] == 1)
    FG2_UpdateDisplayData()
    FG2_UpdateRepBars()
end

function FactionGrinder2_SlashSettings()
    local frame = getglobal("FactionGrinder2_SettingsFrame");
    if(frame:IsVisible())then
        frame:Hide();
        getglobal("FactionGrinder2_SettingsFrame"):ClearAllPoints();
        getglobal("FactionGrinder2_SettingsFrame"):SetPoint("TOPLEFT","UIParent","TOPLEFT",-1000,0);
    else
        frame:ClearAllPoints();
        frame:SetPoint("CENTER","UIParent","CENTER",0,0);
        frame:Show();
    end
end

function FactionGrinder2_SlashShow()
    FG2_ToggleTrackerDisplay(FG2Settings["Show"] == nil or FG2Settings["Show"] == 0)
end

function FactionGrinder2_RegisterSlashCommands()
    SLASH_fg2settings1 = "/fgs";
    SLASH_fg2show1 = "/fg";

    SlashCmdList["fg2settings"] = function() FactionGrinder2_SlashSettings(); end
    SlashCmdList["fg2show"] = function() FactionGrinder2_SlashShow(); end

    --add slash command registrations here
end

function FactionGrinder2_OnLoad()
    FactionGrinder2_RegisterEvents();
    FactionGrinder2_RegisterSlashCommands();
end

function FactionGrinder2_OnEvent(event,...)
    if ( event == "VARIABLES_LOADED" ) then
        FactionGrinder2_Init();
    elseif ( event == "CHAT_MSG_CHANNEL_NOTICE") then
        --This event usually fires late enough for all item and faction data to have been loaded,
        --so we use it to trigger an initial update on visible trackers.
        FactionGrinder2Frame:UnregisterEvent("CHAT_MSG_CHANNEL_NOTICE");
        FG2_InitialDataUpdate()
    elseif ( event == "CHAT_MSG_COMBAT_FACTION_CHANGE") then
        FG2_UpdateRepBars()
    elseif ( event == "QUEST_LOG_UPDATE") then
        FG2_UpdateDisplayData()
    elseif ( event == "PLAYER_LEAVING_WORLD") then
        FG2_OnPlayerLeavingWorld()
    end

    if (FG2_INITIAL_UPDATE_QUEUED and FG2_INITIALIZED) then
        FG2_InitialDataUpdate()
    end
end

function FactionGrinder2_OnCategoryCheckButtonClicked(category,checked)
    if (checked) then
        FG2Settings["Categories"][category] = 1
    else
        FG2Settings["Categories"][category] = 0
    end

    FactionGrinder2_DisplaySelectedCategories()
end

function FactionGrinder2_OnIncludeBankBagsClicked(checked)
    FG2Settings["IncludeBankBags"] = checked
    FG2_UpdateDisplayData()
end

function FactionGrinder2_OnIncludeItemsOnAltsClicked(checked)
    FG2Settings["IncludeItemsOnAlts"] = checked
    FG2_UpdateDisplayData()
end

function FactionGrinder2_OnResetWindowPositionsClicked()
    local win

    for faction,_ in pairs(FG2Settings["GrindStatsTrackersShown"]) do
        win = _G["FG2_"..faction.."GrindStatsTrackerFrame"]
        if (win) then
            win:ClearAllPoints()
            win:SetPoint("CENTER",-win:GetWidth()-10,0)
        end
    end

    for faction,_ in pairs(FG2Settings["TurnInTrackersShown"]) do
        win = _G["FG2_"..faction.."TurnInTrackerFrame"]
        if (win) then
            win:ClearAllPoints()
            win:SetPoint("CENTER",10,0)
        end
    end
end

function FactionGrinder2_DisplaySelectedCategories()
    if not (FG2_INITIALIZED) then
        FG2_INITIAL_UPDATE_QUEUED = true
        return
    end
    
    --Make a list of all factions that match the selected categories.
    local factions = {} --Key:localized faction name, Value:faction code name
    local name,win

    for faction,data in pairs(FG2_FactionData) do
        --Only show factions from checked categories.
        if (FG2Settings["Categories"][data.Category] == 1) then
            --Only show Side-appropriate factions
            if (data.Side == "Both") or (data.Side == UnitFactionGroup("player")) then
                factions[FG2_Localize(data.FactionName)] = faction
            end
        end

        --Hide any already-created widgets from all factions.
        local widgetNames = 
        {
            "FG2_"..faction.."FactionNameLabel",
            "FG2_"..faction.."ListTexture",
            "FG2_"..faction.."GrindStatsTrackerCheckbox",
            "FG2_"..faction.."TurnInTrackerCheckbox"
        }
        for i,n in ipairs(widgetNames) do
            win = _G[n]
            if (win) then win:Hide() end
        end
    end

    --Now, go through the list in localized alphabetical order and add them
    local top = -20
    local yInc = -20
    local f = FG2_FactionsScrollChild
    for fname,faction in FG2_sortedpairs(factions) do
        --If the faction's list widgets haven't been created yet, create them.
        if (not FG2_FactionWidgetsCreated[faction]) then
            --Create the faction label
            name = "FG2_"..faction.."FactionNameLabel"
            f:CreateFontString(name)
            win = _G[name]
            win:SetFontObject("GameFontNormalSmall")
            win:SetText(fname) --Name was pre-localized already.
            win:SetPoint("TOPLEFT",30,top)

            --Create the faction icon
            name = "FG2_"..faction.."ListTexture"
            f:CreateTexture(name)
            win = _G[name]
            win:SetTexture(FG2_FactionData[faction].Icon);
            win:SetWidth(18);
            win:SetHeight(18);
            win:SetTexCoord(0,1,0,1);

            --Create the checkbox for the rep-tracker
            name = "FG2_"..faction.."GrindStatsTrackerCheckbox"
            win = CreateFrame("CheckButton",name,f,"FG2_GrindStatsTrackerCheckButton");
            win:SetChecked(false);

            --If necessary, create the checkbox for the quest-tracker
            if (FG2_tablesize(FG2_FactionData[faction].Quests) > 0) then
                name = "FG2_"..faction.."TurnInTrackerCheckbox"
                win = CreateFrame("CheckButton",name,f,"FG2_TurnInTrackerCheckButton");
                win:SetChecked(false);
            end

            FG2_FactionWidgetsCreated[faction] = true
        end

        --Now that we're sure the widgets for this faction exist, we can place them.
        win = _G["FG2_"..faction.."FactionNameLabel"]
        win:SetPoint("TOPLEFT",100,top-2)
        win:Show()

        win = _G["FG2_"..faction.."ListTexture"]
        win:SetPoint("TOPLEFT",48,top+2)
        win:Show()

        win = _G["FG2_"..faction.."GrindStatsTrackerCheckbox"]
        win:SetPoint("TOPLEFT",70,top+3)
        win:SetChecked(FG2Settings["GrindStatsTrackersShown"][faction])
        win:Show()

        if (FG2_tablesize(FG2_FactionData[faction].Quests) > 0) then
            win = _G["FG2_"..faction.."TurnInTrackerCheckbox"]
            win:SetChecked(FG2Settings["TurnInTrackersShown"][faction])
            win:SetPoint("TOPLEFT",25,top+3)
            win:Show()
        end

        top = top + yInc
    end
    f:SetHeight(math.max(f:GetParent():GetHeight(),-top))
end

function FG2_sortedpairs(t,comparator)
    local sortedKeys = {};
    table.foreach(t, function(k,v) table.insert(sortedKeys,k) end);
    table.sort(sortedKeys,comparator);
    local i = 0;
    local function _f(_s,_v)
	i = i + 1;
	local k = sortedKeys[i];
	if (k) then
	   return k,t[k];
	end
    end
    return _f,nil,nil;
end

function FG2_tablesize(t)
    local count = 0
    for k,v in pairs(t) do
        count = count + 1
    end
    return count
end

function FactionGrinder2_OnGrindStatsTrackerCheckButtonClicked(faction,checked)
    if (checked) then
        FG2Settings["GrindStatsTrackersShown"][faction] = 1
    else
        FG2Settings["GrindStatsTrackersShown"][faction] = 0
    end

    FG2_ToggleTrackerDisplay(true)
end

function FactionGrinder2_OnTurnInTrackerCheckButtonClicked(faction,checked)
    if (checked) then
        FG2Settings["TurnInTrackersShown"][faction] = 1
    else
        FG2Settings["TurnInTrackersShown"][faction] = 0
    end

    FG2_ToggleTrackerDisplay(true)
end

function FG2_ToggleTrackerDisplay(show)
    if not (FG2_INITIALIZED) then
        FG2_INITIAL_UPDATE_QUEUED = true
        return
    end

    local someVisible = false
    local win

    if (FG2Settings["GrindStatsTrackersShown"] ~= nil) then
        --Show all "shown" grind stats trackers.
        for faction,display in pairs(FG2Settings["GrindStatsTrackersShown"]) do
            display = (display == 1) --Convert from int to bool
            win = _G["FG2_"..faction.."GrindStatsTrackerFrame"]
            if (display and win==nil) then
                FG2_CreateGrindStatsTrackerFor(faction)
                win = _G["FG2_"..faction.."GrindStatsTrackerFrame"]
            end
            if (win) then
                if (display and show) then
                    someVisible = true
                    win:Show()
                else
                    win:Hide()
                end
            end
        end
    end

    if (FG2Settings["TurnInTrackersShown"] ~= nil) then
        --Show all "shown" turn in trackers.
        for faction,display in pairs(FG2Settings["TurnInTrackersShown"]) do
            display = (display == 1) --Convert from int to bool
            win = _G["FG2_"..faction.."TurnInTrackerFrame"]
            if (display and win==nil) then
                FG2_CreateTurnInTrackerFor(faction)
                win = _G["FG2_"..faction.."TurnInTrackerFrame"]
            end
            if (win) then
                if (display and show) then
                    someVisible = true
                    win:Show()
                else
                    win:Hide()
                end
            end
        end
    end

    if (someVisible) then
        FG2Settings["Show"] = 1
        FG2_UpdateDisplayData()
        FG2_UpdateRepBars()
    else
        FG2Settings["Show"] = 0
    end
end

function FG2_RecordFramePosition(win)
    --Window positions are stored as single anchors
    local name = win:GetName()

    FG2Settings["TrackerPositions"][name] = {}

    local numPoints = win:GetNumPoints()
    local pointData
    local point,relativeTo,relativePoint,x,y
    for i=1,numPoints do
        point,relativeTo,relativePoint,x,y = win:GetPoint(i)

        pointData = 
        {
            ["point"] = point,
            ["relativeTo"] = relativeTo,
            ["relativePoint"] = relativePoint,
            ["x"] = x,
            ["y"] = y
        }

        table.insert(FG2Settings["TrackerPositions"][name], pointData)
    end
end

function FG2_CreateTurnInTrackerFor(faction)
    local name = "FG2_"..faction.."TurnInTrackerFrame"
    local win = _G[name]
    if (win == nil) then
        win = CreateFrame("Frame",name,UIParent,"FG2_TrackerFrame")
        win:SetFrameStrata("BACKGROUND")

        local questWins = {}
        local numRows = 0
        local rowWidth
        local widestRow = 0

        for i,data in ipairs(FG2_FactionData[faction]["Quests"]) do
            if (data.EndOfRow) then
                --If this is the end of a row, place the windows.
                rowWidth = FG2_tablesize(questWins)
                if (rowWidth > widestRow) then widestRow = rowWidth end

                for col,qw in ipairs(questWins) do
                    local x = (-20*(rowWidth-1)) + (col-1)*40
                    local y = -13 - (numRows)*50
                    qw:SetPoint("TOP",win,"TOP",x,y)
                end
                --And clear out the list for the next row of quests.
                questWins = {}
                numRows = numRows + 1
            else
                --If this is not the end of a row, just create the window
                local button = CreateFrame("Button","FG2_"..faction.."_"..data.Quest.."QuestButton",win,"FG2_QuestButton")
                local texture = button:CreateTexture("FG2_"..faction.."_"..data.Quest.."QuestButtonTexture","ARTWORK")
                texture:SetTexture(data.Icon)
                texture:SetAllPoints(button)
                texture:SetTexCoord(0,1,0,1)
                local count = button:CreateFontString("FG2_"..faction.."_"..data.Quest.."QuestButtonCount","OVERLAY")
                count:SetFontObject("GameFontNormalSmall");
                count:SetText("0")
                count:SetPoint("TOP",button,"BOTTOM",0,-3)

                table.insert(questWins,button)

                --If this quest has any Item Objectives, we need to register them with GrinderCore2.
                for itemID,itemData in pairs(data["ItemObjectives"]) do
                    GrinderCore2_RegisterItem(faction,itemID)
                end
            end
        end

        --Now, set the size of the tracker window.
        local height = numRows * 50 + 20
        if (height < 70) then height = 70 end
        win:SetHeight(height)

        local width = widestRow * 40 + 20
        if (width < 140) then width = 140 end
        win:SetWidth(width)

        --And finally, set the tracker window's position.
        win:ClearAllPoints()
        if (FG2Settings["TrackerPositions"][name]) then
            --This tracker already had a saved, user-defined position, so we need to use that.
            for _,point in pairs(FG2Settings["TrackerPositions"][name]) do
                win:SetPoint(point.point,point.relativeTo,point.relativePoint,point.x,point.y)
            end
        else
            --This tracker had no saved position, so put it in the default.
            win:SetPoint("CENTER","UIParent","CENTER",-width-200,0)
        end
    end
end

function FG2_CreateGrindStatsTrackerFor(faction)
    local fdata = FG2_FactionData[faction]
    local name = "FG2_"..faction.."GrindStatsTrackerFrame"

    local widget
    local win = _G[name]
    if (win==nil) then
        win = CreateFrame("Frame",name,UIParent,"FG2_GrindStatsTrackerFrame")
        win:SetFrameStrata("BACKGROUND")
        --Set the icon
        widget = _G[name.."_Texture"]
        widget:SetTexture(fdata.Icon)
        --Localize the static text labels
        _G[name.."_ToRepUpFrame_Abbreviation"]:SetText(FG2_Localize(fdata.Abbreviation))
        _G[name.."_BU_ToggleGrinding"]:SetText(FG2_Localize(FG2_TEXT["Start Grinding"]))
        _G[name.."_CurrentlyGrinding"]:SetText(FG2_RED..FG2_Localize(FG2_TEXT["Not Grinding"]))

        _G[name.."_Today"]:SetText(FG2_WHITE..FG2_Localize(FG2_TEXT["Today's Grinding"]))
        _G[name.."_TimeToday"]:SetText(FG2_GREY..FG2_Localize(FG2_TEXT["Time"]).." :")
        _G[name.."_RepToday"]:SetText(FG2_GREY..FG2_Localize(FG2_TEXT["Rep"]).." :")
        _G[name.."_RepPerHourToday"]:SetText(FG2_GREY..FG2_Localize(FG2_TEXT["Rep/Hour"]).." :")
        _G[name.."_Total"]:SetText(FG2_WHITE..FG2_Localize(FG2_TEXT["Total Grinding"]))
        _G[name.."_TimeTotal"]:SetText(FG2_GREY..FG2_Localize(FG2_TEXT["Time"]).." :")
        _G[name.."_RepTotal"]:SetText(FG2_GREY..FG2_Localize(FG2_TEXT["Rep"]).." :")
        _G[name.."_RepPerHourTotal"]:SetText(FG2_GREY..FG2_Localize(FG2_TEXT["Rep/Hour"]).." :")
        _G[name.."_TimeToRepUpToday"]:SetText(FG2_GREY..FG2_Localize(FG2_TEXT["Rep-up In"]).." :")
        _G[name.."_TimeToRepUpTotal"]:SetText(FG2_GREY..FG2_Localize(FG2_TEXT["Rep-up In"]).." :")
        
        --And finally, set the tracker window's position.
        win:ClearAllPoints()
        if (FG2Settings["TrackerPositions"][name]) then
            --This tracker already had a saved, user-defined position, so we need to use that.
            for _,point in pairs(FG2Settings["TrackerPositions"][name]) do
                win:SetPoint(point.point,point.relativeTo,point.relativePoint,point.x,point.y)
            end
        else
            --This tracker had no saved position, so put it in the default.
            win:SetPoint("CENTER","UIParent","CENTER",200,0)
        end
    end
end

function FG2_HideToolTip()
    FG2ToolTip:Hide()
end

function FG2_QuestButtonClick(button)
    --TODO:
    Debug("CLICK!")
end

function FG2_GetPendingRep(faction)
    if (FG2_PendingRep[faction]) then
        return FG2_PendingRep[faction]
    else
        return 0
    end
end

function FG2_ShowToolTip(button)
    local _,playerRace = UnitRace("player")
    local _,playerClass = UnitClass("player")
    local _,_,faction,quest = string.find(button:GetName(),"FG2_(.*)_(.*)QuestButton")

    --Find the quest data for this button.
    local fdata = FG2_FactionData[faction]
    local qdata
    for i,qd in ipairs(fdata.Quests) do
        if (qd.Quest == quest) then
            qdata = qd
            break
        end
    end

    local RepToRepUp = 0
    local RepToExalted = 0

	ExpandAllFactionHeaders()

    for factionIndex = 1, GetNumFactions() do
        factionName,_,standingId,_,topValue,earnedValue,_,_,isHeader,_,_ = GetFactionInfo(factionIndex)
        if ((isHeader == nil) and (string.find(factionName, FG2_Localize(fdata.FactionName)))) then
            factionFound = true;
            break
        end
    end

    if(not factionFound)then
        earnedValue = fdata.StartingRep + fdata.RacialRepBonuses[playerRace] + fdata.ClassRepBonuses[playerClass]
        standingId = FG2_RepToStandingID(earnedValue)
        topValue = FG2_FactionTopValues[standingId]
    end

    RepToRepUp = math.max(topValue - earnedValue - FG2_GetPendingRep(faction),0);
    RepToExalted = math.max(42000  - earnedValue - FG2_GetPendingRep(faction),0);

    --Start populating the tooltip data
    local tooltip = FG2ToolTip
    tooltip:SetOwner(button,"ANCHOR_TOPLEFT",0,0)
    tooltip:ClearLines()
    --Add Quest Name(s)
    for i,qname in ipairs(qdata.Names) do
        tooltip:AddLine(FG2_Localize(qname))
    end

    local qRepValue = qdata.RepValue
	local repMultiplier = 1.0;
    if (playerRace == "Human") then repMultiplier = repMultiplier + 0.1 end      --Racial bonus: Diplomacy
	if (IsInGuild()) then
		if (GetGuildLevel() >= 4)  then repMultiplier = repMultiplier + 0.05 end --Guild Perk: Mr. Popularity, Rank 1
		if (GetGuildLevel() >= 12) then repMultiplier = repMultiplier + 0.05 end --Guild Perk: Mr. Popularity, Rank 2
	end

	qRepValue = qRepValue * repMultiplier;

    tooltip:AddLine(FG2_GREY..qRepValue.." "..FG2_Localize(FG2_TEXT["rep"]))

    --Get the data for any item objectives.
    local itemCounts = {}
    for itemID,itemData in pairs(qdata.ItemObjectives) do
        itemCounts[itemID] = GetItemCount(itemID,FG2Settings["IncludeBankBags"])
        if (itemData.Shareable and FG2Settings["IncludeItemsOnAlts"]) then
            itemCounts[itemID] = itemCounts[itemID] + GrinderCore2_AltTotalCount(itemID)
        end
    end

    --Only repeatable item turnin quests are "Stackable".
    --For such, we get to display the total rep value of all their collection of the item(s).
    local timesCompleted
    if (qdata.Stackable) then
        --Find the total number of times they could complete this quest with their current items.
        timesCompleted = 999999999999999999
        for itemID,itemData in pairs(qdata.ItemObjectives) do
            timesCompleted = math.floor(math.min(timesCompleted,itemCounts[itemID]/itemData.Count))
        end
        --And now display the rep value for that total number of turnins.
        tooltip:AddLine(FG2_YELLOW..timesCompleted.."x = "..(timesCompleted*qRepValue).." "..FG2_Localize(FG2_TEXT["rep"]))
    end

    tooltip:AddLine(" ")
    tooltip:AddLine(FG2_Localize(FG2_TEXT["Objectives"]))

    --Does this quest cost Gold to complete?
    local GoldCostMet = false
    if (qdata.GoldCost > 0) then
        local playerCash = GetMoney()
        GoldCostMet = (playerCash >= qdata.GoldCost)

        if (GoldCostMet) then
            tooltip:AddLine("  "..FG2_GREEN..FG2_FormatMoney(qdata.GoldCost).." / "..FG2_FormatMoney(qdata.GoldCost).." "..FG2_Localize(FG2_TEXT["Gold"]))
        else
            tooltip:AddLine("  "..FG2_GREY..FG2_FormatMoney(playerCash).." / "..FG2_FormatMoney(qdata.GoldCost).." "..FG2_Localize(FG2_TEXT["Gold"]))
        end
    end

    --Does this quest have item objectives?
    if (FG2_tablesize(qdata.ItemObjectives) > 0) then
        local itemName
        for itemID,itemData in pairs(qdata.ItemObjectives) do
            itemName = FG2_Localize(itemData.Name)
            if (itemCounts[itemID] >= itemData.Count) then
                if(qdata.Stackable) then
                    local fullCount = math.floor(itemCounts[itemID]/itemData.Count)*itemData.Count
                    local spareCount = itemCounts[itemID] - fullCount
                    local s = "  "..FG2_GREEN..itemName..": "..(fullCount)
                    if (spareCount > 0) then
                        s = s.."(+"..spareCount..")"
                    end
                    s = s.." / "..itemData.Count.."  =  "..math.floor(itemCounts[itemID]/itemData.Count).." "..FG2_Localize(FG2_TEXT["turn-ins"])
                    tooltip:AddLine(s)
                else
                    tooltip:AddLine("  "..FG2_GREEN..itemName..": "..itemData.Count.." / "..itemData.Count)
                end
            else
                tooltip:AddLine("  "..FG2_GREY..itemName..": "..itemCounts[itemID].." / "..itemData.Count)
            end
        end
    end

    --Does this quest have other objectives?
    if (FG2_tablesize(qdata.OtherObjectives) > 0)then
        --See if the player is on this quest right now.
        local questIndex
        for qi=1,GetNumQuestLogEntries(),1 do
            for i,qname in pairs(qdata.Names) do
                if (GetQuestLogTitle(qi) == FG2_Localize(qname)) then
                    questIndex = qi
                    break
                end
            end
            if (questIndex) then break end
        end

        --Check the status of all the objectives.
        for i,objectiveData in ipairs(qdata.OtherObjectives) do
            local oText, oDone
            if (questIndex) then
                oText,_,oDone = GetQuestLogLeaderBoard(objectiveData.ObjectiveIndex,questIndex)
            else
                oDone = false
                if (objectiveData.Count > 0) then
                    oText = FG2_Localize(objectiveData.Text).." : 0/"..objectiveData.Count
                else
                    oText = FG2_Localize(objectiveData.Text)
                end
            end

            if (oDone) then
                tooltip:AddLine("  "..FG2_GREEN..oText)
            else
                tooltip:AddLine("  "..FG2_GREY..oText)
            end
        end
    end

    tooltip:AddLine(" ")

    --Add the number to completion info
    if(standingId < 7) then
        tooltip:AddLine(FG2_GRUE..(math.max(0,math.floor((RepToRepUp/qRepValue)+0.9999))).." "..FG2_Localize(FG2_TEXT["quests to rep-up"]))
    end
    if(standingId < 8) then
        tooltip:AddLine(FG2_GRUE..(math.max(0,math.floor((RepToExalted/qRepValue)+0.9999))).." "..FG2_Localize(FG2_TEXT["quests to exalted"]))
        tooltip:AddLine(" ")
    end

    --Add the requirements info
    if (qdata.MinLevel > 0) or (FG2_tablesize(qdata.RepRequirements)>0) then
        tooltip:AddLine(FG2_Localize(FG2_TEXT["Requirements"]))

        --Level requirement
        if (qdata.MinLevel > 0) then
            if (UnitLevel("player") >= qdata.MinLevel) then
                tooltip:AddLine("  "..FG2_GREEN..FG2_Localize(FG2_TEXT["Level"]).." "..qdata.MinLevel)
            else
                tooltip:AddLine("  "..FG2_RED..FG2_Localize(FG2_TEXT["Level"]).." "..qdata.MinLevel)
            end
        end

        --Rep requirements
        local reqfdata
        local reqFactionFound
        if (FG2_tablesize(qdata.RepRequirements)>0) then
            for reqFaction,reqData in pairs(qdata.RepRequirements) do
                reqFactionFound = false
                reqfdata = FG2_FactionData[reqFaction]

				ExpandAllFactionHeaders()

                for reqFactionIndex = 1, GetNumFactions() do
                    reqFactionName,_,reqStandingId,_,_,reqEarnedValue,_,_,isHeader,_,_ = GetFactionInfo(reqFactionIndex)
                    if ((isHeader == nil) and (string.find(reqFactionName, FG2_Localize(reqfdata.FactionName)))) then
                        reqFactionFound = true;
                        break
                    end
                end

                if(not reqFactionFound)then
                    reqEarnedValue = reqfdata.StartingRep + reqfdata.RacialRepBonuses[playerRace] + reqfdata.ClassRepBonuses[playerClass]
                    reqStandingId = FG2_RepToStandingID(reqEarnedValue)
                end

                local repReqMet
                local s = "  "..FG2_Localize(FG2_FactionData[reqFaction].FactionName).." : "

                if (reqData.Min) and not(reqData.Max) then
                    repReqMet = reqStandingId >= reqData.Min
                    s = s .. FG2_Localize(FG2_TEXT[FG2_FactionStandingNames[reqData.Min] ])
                    if (reqData.MinExact) then
                        repReqMet = repReqMet and ( reqEarnedValue >= reqData.MinExact )
                        s = s .. " ("..(reqData.MinExact - FG2_FactionBottomValues[reqData.Min])..")"
                    end
                    s = s .. " " .. FG2_Localize(FG2_TEXT["or higher"])
                end
                if(reqData.Max) and not(reqData.Min) then
                    repReqMet = reqStandingId <= reqData.Max
                    s = s .. FG2_Localize(FG2_TEXT[FG2_FactionStandingNames[reqData.Max] ])
                    if (reqData.MaxExact) then
                        repReqMet = repReqMet and (reqEarnedValue <= reqData.MaxExact)
                        s = s .. " ("..(reqData.MaxExact - FG2_FactionBottomValues[reqData.Max])..")"
                    end
                    s = s .. " " .. FG2_Localize(FG2_TEXT["or lower"])
                end
                if(reqData.Min) and (reqData.Max) then
                    repReqMet = (reqStandingId >= reqData.Min) and (reqStandingId <= reqData.Max)
                    s = s .. FG2_Localize(FG2_TEXT["between"]).." "..FG2_Localize(FG2_TEXT[FG2_FactionStandingNames[reqData.Min] ])
                    if (reqData.MinExact) then
                        repReqMet = repReqMet and ( reqEarnedValue >= reqData.MinExact )
                        s = s .. " ("..(reqData.MinExact - FG2_FactionBottomValues[reqData.Min])..")"
                    end
                    s = s .. " " .. FG2_Localize(FG2_TEXT["and"]) .. " " .. FG2_Localize(FG2_TEXT[FG2_FactionStandingNames[reqData.Max] ])
                    if (reqData.MaxExact) then
                        repReqMet = repReqMet and (reqEarnedValue <= reqData.MaxExact)
                        s = s .. " ("..(reqData.MaxExact - FG2_FactionBottomValues[reqData.Max])..")"
                    end

                    --Some quests are only available at one exact rep level.  This covers those.
                    if (reqData.Min == reqData.Max) then
                        s = "  "..FG2_Localize(FG2_FactionData[reqFaction].FactionName).." : "..FG2_Localize(FG2_TEXT[FG2_FactionStandingNames[reqData.Max] ])
                    end
                end

                if (repReqMet) then
                    tooltip:AddLine(FG2_GREEN..s)
                else
                    tooltip:AddLine(FG2_RED..s)
                end
            end
        end
    end

    --Display any "extra" info
    if (qdata.ExtraInfo) then
        tooltip:AddLine(" ")
        tooltip:AddLine(FG2_WHITE..FG2_Localize(qdata.ExtraInfo))
    end

    --Add the turn-in locations.
    tooltip:AddLine(" ")
    tooltip:AddLine(FG2_Localize(FG2_TEXT["Turn-in Locations"]))

    for i,questGuy in ipairs(qdata.QuestAccepters) do
        tooltip:AddLine(FG2_GREY.."  "..FG2_Localize(questGuy.Name).." - "..FG2_Localize(questGuy.Zone).." ("..questGuy.xCoord..","..questGuy.yCoord..")")
    end

    tooltip:Show()
    tooltip:ClearAllPoints()
    tooltip:SetPoint("BOTTOM",button:GetParent(),"TOP",0,-5)
end

function FG2_RepToStandingID(rep)
    local result = 4
    for standingID,topValue in ipairs(FG2_FactionTopValues) do
        if (rep < topValue) then
            result = standingID
            break
        end
    end
    return result
end

function FG2_FormatMoney(cash)
    local gold = math.floor(cash/100/100)
    cash = cash - gold*100*100
    local silver = math.floor(cash/100)
    cash = cash - silver*100
    local copper = cash

    if (copper == 0 and silver == 0) then
        return ""..gold
    else
        return ""..gold.."."..silver.."."..copper
    end
end

function FG2_UpdateGrindingStats()
    --If there was an item-count change for a faction with visible trackers, update it.
    for faction,updated in pairs(GrinderCore2_Settings["Item Update For"]) do
        if updated then
            gsWin = _G["FG2_"..faction.."GrindStatsTrackerFrame"]
            tiWin = _G["FG2_"..faction.."TurnInTrackerFrame"]
            if (gsWin and gsWin:IsVisible()) or (tiWin and tiWin:IsVisible()) then
                GrinderCore2_AcknowledgeItemChange(faction)
                FG2_UpdateDisplayDataFor(faction)
            end
        end
    end

    --Update visible GrindStatsTrackers on a timer.
    if (FG2_NEXT_GRIND_UPDATE) and (GetTime() > FG2_NEXT_GRIND_UPDATE) then
	    FG2_NEXT_GRIND_UPDATE = FG2_NEXT_GRIND_UPDATE + FG2_GRIND_UPDATE_INTERVAL
        --Find who's visible
        if (FG2Settings ~= nil) and (FG2Settings["GrindStatsTrackersShown"] ~= nil) then
            for faction,_ in pairs(FG2Settings["GrindStatsTrackersShown"]) do
                gsWin = _G["FG2_"..faction.."GrindStatsTrackerFrame"]
                if (gsWin and gsWin:IsVisible()) then
                    FG2_UpdateGrindingStatsFor(faction)
                end
            end
        end
    end
end

function FG2_GetCurrentRepTotal(faction)
    --If we know the faction, we can get its data directly.
	ExpandAllFactionHeaders()

    for factionIndex = 1, GetNumFactions() do
        factionName,_,_,_,_,earnedValue,_,_,isHeader,_,_ = GetFactionInfo(factionIndex)
        if ((isHeader == nil)and(string.find(factionName, FG2_Localize(FG2_FactionData[faction].FactionName)))) then
            return earnedValue + FG2_GetPendingRep(faction);
        end
    end

    --If we don't know the faction, we have to calculate the starting rep first.
    local _,playerRace = UnitRace("player")
    local _,playerClass = UnitClass("player")
    local fdata = FG2_FactionData[faction]

    return fdata.StartingRep + fdata.RacialRepBonuses[playerRace] + fdata.ClassRepBonuses[playerClass] + FG2_GetPendingRep(faction);
end

function FG2_ToggleGrinding(button)
    local _,_,faction = string.find(button:GetName(),"FG2_(.*)GrindStatsTrackerFrame_BU_ToggleGrinding")

    if (FG2_NowGrinding[faction] == nil) then FG2_NowGrinding[faction] = 0 end

    FG2_NowGrinding[faction] = math.abs(FG2_NowGrinding[faction]-1) --Yes, this toggles between 1 and 0.

    if(FG2_NowGrinding[faction] == 1)then
        button:SetText(FG2_Localize(FG2_TEXT["Stop Grinding"]));
        _G["FG2_"..faction.."GrindStatsTrackerFrame_CurrentlyGrinding"]:SetText(FG2_GREEN..FG2_Localize(FG2_TEXT["Grinding"]))

        FG2_GrindingStartedAt[faction] = GetTime()
        FG2_InitialRep[faction] = FG2_GetCurrentRepTotal(faction)
    else
        button:SetText(FG2_Localize(FG2_TEXT["Start Grinding"]));
        _G["FG2_"..faction.."GrindStatsTrackerFrame_CurrentlyGrinding"]:SetText(FG2_RED..FG2_Localize(FG2_TEXT["Not Grinding"]))

        if(FG2_PreviousGrindingTime[faction] == nil) then FG2_PreviousGrindingTime[faction] = 0 end
        if(FG2_PreviousRepGround[faction] == nil) then FG2_PreviousRepGround[faction] = 0 end

        FG2_PreviousGrindingTime[faction] = FG2_PreviousGrindingTime[faction] + (GetTime() - FG2_GrindingStartedAt[faction])
        FG2_PreviousRepGround[faction] = FG2_PreviousRepGround[faction] + (FG2_GetCurrentRepTotal(faction) - FG2_InitialRep[faction])
    end
end

function FG2_InitialDataUpdate()
    if not (FG2_INITIALIZED) then
        FG2_INITIAL_UPDATE_QUEUED = true
        return
    end
    FG2_INITIAL_UPDATE_QUEUED = false

    for faction,_ in pairs(FG2Settings["GrindStatsTrackersShown"]) do
        gsWin = _G["FG2_"..faction.."GrindStatsTrackerFrame"]
        if (gsWin and gsWin:IsVisible()) then
            FG2_UpdateDisplayDataFor(faction)
            FG2_UpdateRepBarsFor(faction)
        end
    end

    for faction,_ in pairs(FG2Settings["TurnInTrackersShown"]) do
        tiWin = _G["FG2_"..faction.."TurnInTrackerFrame"]
        if (tiWin and tiWin:IsVisible())then
            FG2_UpdateDisplayDataFor(faction)
            FG2_UpdateRepBarsFor(faction)
        end
    end
end

function FG2_UpdateRepBars()
    --We only need to update factions with visible GrindStatsTrackers.
    for faction,_ in pairs(FG2Settings["GrindStatsTrackersShown"]) do
        gsWin = _G["FG2_"..faction.."GrindStatsTrackerFrame"]
        if (gsWin and gsWin:IsVisible()) then
            FG2_UpdateRepBarsFor(faction)
        end
    end
end

function FG2_UpdateDisplayData()
    if not (FG2_INITIALIZED) then
        FG2_INITIAL_UPDATE_QUEUED = true
        return
    end

    --We only need to update factions with visible Trackers.
    for faction,_ in pairs(FG2Settings["GrindStatsTrackersShown"]) do
        gsWin = _G["FG2_"..faction.."GrindStatsTrackerFrame"]
        if (gsWin and gsWin:IsVisible()) then
            FG2_UpdateDisplayDataFor(faction)
        end
    end

    for faction,_ in pairs(FG2Settings["TurnInTrackersShown"]) do
        tiWin = _G["FG2_"..faction.."TurnInTrackerFrame"]
        if (tiWin and tiWin:IsVisible()) then
            FG2_UpdateDisplayDataFor(faction)
        end
    end
end

function FG2_OnPlayerLeavingWorld()
    --Save grinding data for all factions that were tracked this session.
    for faction,nowGrinding in pairs(FG2_NowGrinding) do
        if (FG2_PreviousGrindingTime[faction] == nil) then FG2_PreviousGrindingTime[faction] = 0 end
        if (FG2_PreviousRepGround[faction] == nil) then FG2_PreviousRepGround[faction] = 0 end

        GrinderCore2_SetGrindingTime(faction,GrinderCore2_GetGrindingTime(faction)+FG2_PreviousGrindingTime[faction]);
        GrinderCore2_SetRepGround(faction,GrinderCore2_GetRepGround(faction)+FG2_PreviousRepGround[faction]);
        if(nowGrinding==1)then
            GrinderCore2_SetGrindingTime(faction,GrinderCore2_GetGrindingTime(faction)+(GetTime()-FG2_GrindingStartedAt[faction]));
            GrinderCore2_SetRepGround(faction,GrinderCore2_GetRepGround(faction)+(FG2_GetCurrentRepTotal(faction) - FG2_InitialRep[faction]));
        end
    end
end

function FG2_UpdateRepBarsFor(faction)
    local repPercent = 0;
    local itemPercent = 0;
    local totalPercent = 0;

    local factionFound = false;

    local _,playerRace = UnitRace("player")
    local _,playerClass = UnitClass("player")

    local fdata = FG2_FactionData[faction]

	ExpandAllFactionHeaders()

    for factionIndex = 1, GetNumFactions() do
        factionName,_,standingId,_,topValue,earnedValue,_,_,isHeader,_,_ = GetFactionInfo(factionIndex)
        if ((isHeader == nil) and (string.find(factionName, FG2_Localize(fdata.FactionName)))) then
            factionFound = true;
            break
        end
    end

    if(not factionFound)then
        earnedValue = fdata.StartingRep + fdata.RacialRepBonuses[playerRace] + fdata.ClassRepBonuses[playerClass]
        standingId = FG2_RepToStandingID(earnedValue)
        topValue = FG2_FactionTopValues[standingId]
    end

    local standingRange = FG2_FactionTopValues[standingId] - FG2_FactionBottomValues[standingId]

    --Only do an actual visual update if the grind stats tracker has been created.
    if (_G["FG2_"..faction.."GrindStatsTrackerFrame"] ~= nil) then
        _G["FG2_"..faction.."GrindStatsTrackerFrame_ToRepUpFrame_SB_ActualRep"]:SetValue( 
            math.floor((earnedValue-FG2_FactionBottomValues[standingId])/standingRange*100))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_ToRepUpFrame_SB_RepWithItems"]:SetValue( 
            math.min(100, math.floor((earnedValue+FG2_GetPendingRep(faction)-FG2_FactionBottomValues[standingId])/standingRange*100)))

        repPercent = math.floor((earnedValue-FG2_FactionBottomValues[standingId])/standingRange*1000)/10
        itemPercent = math.floor(FG2_GetPendingRep(faction)/standingRange*1000)/10

        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepLevel"]:SetText(FG2_FactionStandingColors[standingId]..FG2_Localize(FG2_TEXT["Now "..FG2_FactionStandingNames[standingId] ]))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_ToRepUpFrame_ToRepUpOverlayFrame_RepPoints"]:SetText((earnedValue+FG2_GetPendingRep(faction)-FG2_FactionBottomValues[standingId]).."/"..standingRange)

        totalPercent = repPercent + itemPercent;
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepPercent"]:SetText("|cff00ff00"..repPercent.."% |caaaaaaaa+ |cffffff00"..itemPercent.."% |caaaaaaaa\226\137\136 |cff88ff00"..totalPercent.."%");
    end
end

function FG2_SecondsToTime(seconds)
    seconds = math.floor(seconds);
    local daysonly = math.floor(seconds/86400);
    seconds = seconds - (daysonly*86400);
    local hoursonly = math.floor(seconds/3600);
    seconds = seconds - (hoursonly*3600);
    local minutesonly = math.floor(seconds/60);
    seconds = seconds - (minutesonly*60);

    return daysonly    .. FG2_Localize(FG2_TEXT["day abbreviation"]).." "..
           hoursonly   .. FG2_Localize(FG2_TEXT["hour abbreviation"]).." "..
           minutesonly .. FG2_Localize(FG2_TEXT["minute abbreviation"]).." "..
           seconds     .. FG2_Localize(FG2_TEXT["second abbreviation"])
end

function FG2_TimeToRepUp(faction,RepPerSecond)
    if(RepPerSecond==0)then
        return "-----"
    end

    local fdata = FG2_FactionData[faction]
    local _,playerRace = UnitRace("player")
    local _,playerClass = UnitClass("player")

    local factionFound = false

	ExpandAllFactionHeaders()

    for factionIndex = 1, GetNumFactions() do
        factionName,_,standingId,_,topValue,earnedValue,_,_,isHeader,_,_ = GetFactionInfo(factionIndex)
        if ((isHeader == nil) and (string.find(factionName, FG2_Localize(fdata.FactionName)))) then
            factionFound = true;
            break
        end
    end

    if(not factionFound)then
        earnedValue = fdata.StartingRep + fdata.RacialRepBonuses[playerRace] + fdata.ClassRepBonuses[playerClass]
        standingId = FG2_RepToStandingID(earnedValue)
        topValue = FG2_FactionTopValues[standingId]
    end

    if(standingId == 8)then --exalted
        return "-----";
    else
        local RepToRepUp = math.max(topValue-earnedValue-FG2_GetPendingRep(faction),0);
        return FG2_SecondsToTime(RepToRepUp / RepPerSecond);
    end
end

function FG2_UpdateGrindingStatsFor(faction)
    local RepPerSecond = 0;

    if (FG2_PreviousGrindingTime[faction] == nil) then FG2_PreviousGrindingTime[faction] = 0 end
    if (FG2_PreviousRepGround[faction] == nil) then FG2_PreviousRepGround[faction] = 0 end

    if (FG2_NowGrinding[faction] == 1) then
        _G["FG2_"..faction.."GrindStatsTrackerFrame_TimeTodayVal"]:SetText(FG2_GREY..FG2_SecondsToTime(FG2_PreviousGrindingTime[faction] + (GetTime()-FG2_GrindingStartedAt[faction])))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepTodayVal"]:SetText(FG2_GREY..(FG2_PreviousRepGround[faction] + (FG2_GetCurrentRepTotal(faction) - FG2_InitialRep[faction])))
        RepPerSecond = ((FG2_PreviousRepGround[faction] + (FG2_GetCurrentRepTotal(faction) - FG2_InitialRep[faction])) /
                        math.max(math.floor(FG2_PreviousGrindingTime[faction] + (GetTime() - FG2_GrindingStartedAt[faction])),1))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepPerHourTodayVal"]:SetText(FG2_GREY..math.floor(RepPerSecond*3600))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_TimeToRepUpTodayVal"]:SetText(FG2_GREY..FG2_TimeToRepUp(faction,RepPerSecond))

        _G["FG2_"..faction.."GrindStatsTrackerFrame_TimeTotalVal"]:SetText(FG2_GREY..FG2_SecondsToTime(GrinderCore2_GetGrindingTime(faction)+FG2_PreviousGrindingTime[faction] + (GetTime()-FG2_GrindingStartedAt[faction])))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepTotalVal"]:SetText(FG2_GREY..(GrinderCore2_GetRepGround(faction)+FG2_PreviousRepGround[faction] + (FG2_GetCurrentRepTotal(faction) - FG2_InitialRep[faction])))
        RepPerSecond = ((GrinderCore2_GetRepGround(faction)+FG2_PreviousRepGround[faction] + (FG2_GetCurrentRepTotal(faction) - FG2_InitialRep[faction])) /
                        math.max(math.floor(GrinderCore2_GetGrindingTime(faction)+FG2_PreviousGrindingTime[faction] + (GetTime() - FG2_GrindingStartedAt[faction])),1))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepPerHourTotalVal"]:SetText(FG2_GREY..math.floor(RepPerSecond*3600))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_TimeToRepUpTotalVal"]:SetText(FG2_GREY..FG2_TimeToRepUp(faction,RepPerSecond))
    else
        _G["FG2_"..faction.."GrindStatsTrackerFrame_TimeTodayVal"]:SetText(FG2_GREY..FG2_SecondsToTime(FG2_PreviousGrindingTime[faction]))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepTodayVal"]:SetText(FG2_GREY..FG2_PreviousRepGround[faction])
        RepPerSecond = (FG2_PreviousRepGround[faction] / math.max(FG2_PreviousGrindingTime[faction],1))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepPerHourTodayVal"]:SetText(FG2_GREY..math.floor(RepPerSecond*3600))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_TimeToRepUpTodayVal"]:SetText(FG2_GREY..FG2_TimeToRepUp(faction,RepPerSecond))

        _G["FG2_"..faction.."GrindStatsTrackerFrame_TimeTotalVal"]:SetText(FG2_GREY..FG2_SecondsToTime(GrinderCore2_GetGrindingTime(faction)+FG2_PreviousGrindingTime[faction]))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepTotalVal"]:SetText(FG2_GREY..(GrinderCore2_GetRepGround(faction)+FG2_PreviousRepGround[faction]))
        RepPerSecond = ((GrinderCore2_GetRepGround(faction)+FG2_PreviousRepGround[faction]) /
                        math.max(math.floor(GrinderCore2_GetGrindingTime(faction)+FG2_PreviousGrindingTime[faction]),1))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_RepPerHourTotalVal"]:SetText(FG2_GREY..math.floor(RepPerSecond*3600))
        _G["FG2_"..faction.."GrindStatsTrackerFrame_TimeToRepUpTotalVal"]:SetText(FG2_GREY..FG2_TimeToRepUp(faction,RepPerSecond))
    end
end

function FG2_UpdateDisplayDataFor(faction)
    local repValue = 0

    local _,playerRace = UnitRace("player")
    local _,playerClass = UnitClass("player")

    local fdata = FG2_FactionData[faction]
    local qdata

    local totalObjectiveCount
    local totalObjectivesCompleted

    --Iterate across all of this faction's quests.
    for i,qdata in ipairs(fdata.Quests) do
        if not(qdata.EndOfRow) then
            totalObjectiveCount = 0
            totalObjectivesCompleted = 0

            --Go through all of this quest's objectives.

            --Money objective?
            if (qdata.GoldCost > 0) then
                totalObjectiveCount = totalObjectiveCount + 1

                --Do they have enough money?
                if (GetMoney() >= qdata.GoldCost) then
                    totalObjectivesCompleted = totalObjectivesCompleted + 1
                end
            end

            --Item objectives?
            local itemCounts = {}
            if (FG2_tablesize(qdata.ItemObjectives) > 0) then
                --Get the data for any item objectives.
                for itemID,itemData in pairs(qdata.ItemObjectives) do
                    totalObjectiveCount = totalObjectiveCount + itemData.Count
                    itemCounts[itemID] = GetItemCount(itemID,FG2Settings["IncludeBankBags"])
                    if (itemData.Shareable and FG2Settings["IncludeItemsOnAlts"]) then
                        itemCounts[itemID] = itemCounts[itemID] + GrinderCore2_AltTotalCount(itemID)
                    end

                    --Enough of this item?
                    if (itemCounts[itemID] >= itemData.Count) then
                        totalObjectivesCompleted = totalObjectivesCompleted + itemData.Count
                    else
                        totalObjectivesCompleted = totalObjectivesCompleted + itemCounts[itemID]
                    end
                end
            end

            --Other objectives?
            local questIndex = nil
            --See if the player is on this quest right now.
            for qi=1,GetNumQuestLogEntries(),1 do
                for i,qname in pairs(qdata.Names) do
                    if (GetQuestLogTitle(qi) == FG2_Localize(qname)) then
                        questIndex = qi
                        break
                    end
                end
                if (questIndex) then break end
            end
            if (FG2_tablesize(qdata.OtherObjectives) > 0) then
                --Check the status of all the objectives.
                for i,objectiveData in pairs(qdata.OtherObjectives) do
                    local oText, oDone
                    if (questIndex) then
                        oText,_,oDone = GetQuestLogLeaderBoard(objectiveData.ObjectiveIndex,questIndex)
                    else
                        oDone = false
                    end
    
                    if (objectiveData.Count == 0) then
                        totalObjectiveCount = totalObjectiveCount + 1
    
                        if (oDone) then
                            totalObjectivesCompleted = totalObjectivesCompleted + 1
                        end
                    else
                        totalObjectiveCount = totalObjectiveCount + objectiveData.Count

                        if (oDone) then
                            totalObjectivesCompleted = totalObjectivesCompleted + objectiveData.Count
                        else
                            if (questIndex) then
                                local _,_,done = string.find(oText,"(%d*)/"..objectiveData.Count)
                                totalObjectivesCompleted = totalObjectivesCompleted + done
                            end
                            --If we aren't on the quest, the number of objective parts completed is zero.
                        end
                    end
                end
            end

            --Calculate the rep value gained from this quest (if any)
            local countColor = ""
            if (qdata.Stackable) then
                --A stackable quest may be worth multiple completions.
                local timesCompleted = 999999999999999

                local soloItemID
                for itemID,itemData in pairs(qdata.ItemObjectives) do
                    soloItemID = itemID --Ignored unless it's the only item.
                    timesCompleted = math.floor(math.min(timesCompleted,itemCounts[itemID]/itemData.Count))
                end
                repValue = repValue + timesCompleted * qdata.RepValue
    
                if (timesCompleted > 0) then
                    countColor = FG2_WHITE
                else
                    countColor = FG2_GREY
                end

                local qtexture = _G["FG2_"..faction.."_"..qdata.Quest.."QuestButtonTexture"]
                if (qtexture ~= nil) then
                    SetDesaturation(qtexture,0)
                end

                --To match FG1 functionality, single-item stackable quests display the full item count on the count label.
                if (FG2_tablesize(qdata.ItemObjectives) == 1) then
                    totalObjectivesCompleted = itemCounts[soloItemID]
                end
            else
                --A non-stackable quest can only be worth a single completion.
                if (totalObjectivesCompleted >= totalObjectiveCount) then
                    repValue = repValue + qdata.RepValue
                    countColor = FG2_WHITE
                else
                    countColor = FG2_GREY
                end
                --A non-stackable quest that is not in your log gets a greyed-out icon
                local qtexture = _G["FG2_"..faction.."_"..qdata.Quest.."QuestButtonTexture"]
                if (qtexture ~= nil) then
                    if (questIndex) then
                        SetDesaturation(qtexture,0);
                    else
                        SetDesaturation(qtexture,1);
                    end
                end
            end
            --Update the objective count label.
            local cwin=_G["FG2_"..faction.."_"..qdata.Quest.."QuestButtonCount"]
            if (cwin ~= nil) then
                cwin:SetText(countColor..totalObjectivesCompleted.."/"..totalObjectiveCount)
            end
        end
    end

    --Account for human rep bonus
    if (playerRace=="Human") then
        repValue = repValue * 1.1
    end

    local win = _G["FG2_"..faction.."GrindStatsTrackerFrame_RepValue"]
    if (win ~= nil) then 
        win:SetText(FG2_YELLOW..FG2_Localize(FG2_TEXT["Rep Value"]).." : "..repValue) 
    end

    if(FG2_GetPendingRep(faction) ~= repValue)then
        FG2_PendingRep[faction] = repValue
        FG2_UpdateRepBarsFor(faction)
    end
end
