--GrinderCore2
--Written By Tiok - US Thrall

GRINDERCORE2_VERSION = 2.0
GC2_INITIALIZED = false

GrinderCore2_AltBags = {};

function GrinderCore2_OnLoad()
    GrinderCore2_RegisterEvents();
end

function GrinderCore2_RegisterEvents()
    GrinderCore2Frame:RegisterEvent("VARIABLES_LOADED");
    GrinderCore2Frame:RegisterEvent("PLAYERBANKSLOTS_CHANGED");
    GrinderCore2Frame:RegisterEvent("BAG_UPDATE");
end

function GrinderCore2_OnEvent(event,...)
    if ( event == "VARIABLES_LOADED" ) then
        GrinderCore2_Init();
    elseif( event == "BAG_UPDATE" ) then
        GrinderCore2_UpdateItemCounts();
    elseif( event == "PLAYERBANKSLOTS_CHANGED" ) then
        GrinderCore2_UpdateItemCounts();
    end
end

function GrinderCore2_Init()
    GC2_INITIALIZED = true
    --Make sure the Settings variables exist.
    if(GrinderCore2_Settings == nil)or(GrinderCore2_Settings["Version"] == nil)or(GrinderCore2_Settings["Version"] < GRINDERCORE2_VERSION)then
        GrinderCore2_Settings = 
        {
            ["Version"] = GRINDERCORE2_VERSION,
            ["Item IDs"] = {},
            ["Item Tracked By"] = {}, --Key: Item Name, Value: set of factions
            ["Item Update For"] = {} --Key: faction, Value: T/F (set to true when any item for the given faction has changed count on this character)
        };

        GrinderCore2_Inventories = nil;
    end

    --Make sure the Inventories variables exist.
    if(GrinderCore2_Inventories == nil)then
        GrinderCore2_Inventories = {}
    end
    if(GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")] == nil) then
        GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")] = {}
    end
    if(GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Carried"] == nil) then
        GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Carried"] = {}
    end
    if(GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Total"] == nil) then
        GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Total"] = {}
    end
    if(GrinderCore2_AltBags == nil) then
        GrinderCore2_AltBags = {}
    end

    --Make sure there is an Inventories entry for the current character.
    if(GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")] == nil)then
        GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")] = 
        {
            ["Carried"] = {},
            ["Total"] = {}
        }
    end

    --Make sure each bag for the current character has a value for every registered item.
    for _,itemID in ipairs(GrinderCore2_Settings["Item IDs"]) do
        GrinderCore2_AltBags[itemID] = 0;
        GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Carried"][itemID] = GetItemCount(itemID,false);
        GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Total"][itemID] = GetItemCount(itemID,true);
    end

    --Calculate alt item totals here once so we never have to do it again.
    for RealmPlusName,_ in pairs(GrinderCore2_Inventories) do
        local index = strfind(RealmPlusName, "_");
        local realm = strsub(RealmPlusName,1,index-1);
        local toonName = strsub(RealmPlusName,index+1,string.len(RealmPlusName));

        if((realm == GetRealmName()) and (toonName ~= UnitName("player")))then
            for itemName,itemId in pairs(GrinderCore2_Settings["Item IDs"])do
                if(GrinderCore2_Inventories[RealmPlusName]["Total"][itemId] == nil) then GrinderCore2_Inventories[RealmPlusName]["Total"][itemId] = 0; end
                GrinderCore2_AltBags[itemId] = GrinderCore2_AltBags[itemId] + GrinderCore2_Inventories[RealmPlusName]["Total"][itemId];
            end
        end
    end
    
    --Make sure the Factions variables existsysTime = getServerTime()
    if(GrinderCore2_Factions == nil)then
        GrinderCore2_Factions = 
        {
            ["Rep Ground"] = {}; --Key: faction, Value: # of rep earned while grinding
            ["Grinding Time"] = {}; --Key: faction, Value: # of seconds spent grinding
        }
    end
end

function GrinderCore2_UpdateItemCounts()
    if not (GC2_INITIALIZED) then return end
    for _,itemID in ipairs(GrinderCore2_Settings["Item IDs"])do
        if(GetItemCount(itemID,false) ~= GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Carried"][itemID])or
          (GetItemCount(itemID,true) ~= GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Total"][itemID])then
            GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Carried"][itemID] = GetItemCount(itemID,false);
            GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Total"][itemID] = GetItemCount(itemID,true);
            for _,faction in pairs(GrinderCore2_Settings["Item Tracked By"][itemID]) do
            	GrinderCore2_Settings["Item Update For"][faction] = true;
            end
        end
    end
end

function GrinderCore2_IDFromItemLink(link)
    local index = strfind(link, ":");
    if ( index ) then
        link = strsub(link, index+1, index+8);
        index = strfind(link,":");
        if(index) then
            link = strsub(link,1,index-1);
        else
            link = "";
        end
    else
        link = "";
    end	
    return link;
end

function GrinderCore2_TableContainsValue(table,value)
    local result = false;
    for _,val in pairs(table) do
        if(value == val)then
            result = true;
            break;
        end
    end
    return result;
end

function GrinderCore2_RegisterItem(faction,itemID)
    if not (GC2_INITIALIZED) then return end

    if (not GrinderCore2_TableContainsValue(GrinderCore2_Settings["Item IDs"],itemID))then
	--This item has not previously been tracked, so set it up everywhere!
        table.insert(GrinderCore2_Settings["Item IDs"],itemID)
        GrinderCore2_Settings["Item Tracked By"][itemID] = {faction};
        GrinderCore2_Settings["Item Update For"][faction] = false;
        GrinderCore2_AltBags[itemID] = 0;
        GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Carried"][itemID] = GetItemCount(itemID,false);
        GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Total"][itemID] = GetItemCount(itemID,true);
    elseif (not(GrinderCore2_TableContainsValue(GrinderCore2_Settings["Item Tracked By"][itemID],faction))) then
        --This item has been previously tracked, so make sure this addon is in the tracking list.
        table.insert(GrinderCore2_Settings["Item Tracked By"][itemID],faction);
    end
end

function GrinderCore2_PlayerInventoryCount(itemID)
    if not (GC2_INITIALIZED) then return end

    if(GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Carried"][itemID] == nil)then
        return 0
    else
        return GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Carried"][itemID]
    end
    return 0
end

function GrinderCore2_PlayerTotalCount(itemID)
    if not (GC2_INITIALIZED) then return end

    if(GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Total"][itemID] == nil)then
        return 0
    else
        return GrinderCore2_Inventories[GetRealmName().."_"..UnitName("player")]["Total"][itemID]
    end
    return 0
end

function GrinderCore2_AltTotalCount(itemID)
    if(GrinderCore2_AltBags[itemID] == nil)then
    	return 0
    else
        return GrinderCore2_AltBags[itemID]
    end
    return 0
end

function GrinderCore2_GetGrindingTime(faction)
    if not (GC2_INITIALIZED) then return end

    if(GrinderCore2_Factions["Grinding Time"][faction] == nil)then
        return 0
    else
        return GrinderCore2_Factions["Grinding Time"][faction];
    end
    return 0
end

function GrinderCore2_SetGrindingTime(faction,seconds)
    if not (GC2_INITIALIZED) then return end

    GrinderCore2_Factions["Grinding Time"][faction] = seconds;
end

function GrinderCore2_GetRepGround(faction)
    if not (GC2_INITIALIZED) then return end

    if(GrinderCore2_Factions["Rep Ground"][faction] == nil)then
        return 0
    else
        return GrinderCore2_Factions["Rep Ground"][faction];
    end
    return 0
end

function GrinderCore2_SetRepGround(faction,rep)
    if not (GC2_INITIALIZED) then return end

    GrinderCore2_Factions["Rep Ground"][faction] = rep;
end

function GrinderCore2_FactionItemsChanged(faction)
    if not (GC2_INITIALIZED) then return false end

    return GrinderCore2_Settings["Item Update For"][faction];
end

function GrinderCore2_AcknowledgeItemChange(faction)
    if not (GC2_INITIALIZED) then return end

    GrinderCore2_Settings["Item Update For"][faction] = false;
end
